Introduction

Navigation: »No topics above this level«

Introduction

JTAlert provides several alert types based on decoded Callsigns within WSJT-X.

·Audio and visual alerts for several alert conditions.

§Your Callsign decoded (someone calling you).

§CQ & QRZ.

§Wanted Callsign.

§Wanted Prefix (by Band/Mode)

§Wanted Grid (by Band/Mode)

§Wanted US State (by Band/Mode)

§Wanted VE Province (by Band/Mode)

§Wanted DXCC (by Band/Mode)

§Wanted CQ Zone (by Band/Mode)

§Wanted ITU Zone (by Band/Mode)

§Wanted Continent (by Band/Mode)

§Wanted CQ Marathon Country/Zone (by Band/Mode)

·Automatic logging to these log types when QSO is logged in WSJT-X.

o DXKeeper

o Log4OM

o ACLog

o HRD Log V5/V6

o Standard ADIF file

·Various Web Services Supported.

oOnline XML Callsign Database lookup. QRZ.com (paid) and HamQTH (free).

oUpload logged QSO to Online Logbooks. ClubLog.org, HRDLog.net QRZ.com and eQSL.cc

oUpload all decoded Callsigns with frequency and Signal report to HamSpots.net

·Works with DXLab applications.

oAutomatic log to DXKeeper when WSJT-X QSO is logged.

oAutomatic post decoded Callsigns to SpotCollector (local spots).

oDXKeeper lookup of previous QSOs with decoded Callsign.

oSend Callsign to Pathfinder for lookup.

·Supports user-selectable Sound Card.

·Each audio alert type has independent volume setting & wave file.

·LoTW and eQSL membership flagging of decoded callsigns.

·Band Tracking or alerts. 160m to 2m, including 60m and 4m.

·Disable audio alert for "Worked B4" stations on current Band.

·Automatic "Worked B4" flagging of previous QSOs.

·Scan your log to update needs lists for alerting (US State, DXCC, CQZones, etc)

·Dockable to bottom or top of WSJT-X window.

·Bring WSJT-X window to front of other windows on alert activation.

·Auto start & close of WSJT-X and other applications on JTAlert start & close.

·Send TX Power and current QSO partner data "Name, Callsign & No. Bands worked" to JTMacros for dynamic macros.


JTAlert Software Usage License

Navigation: »No topics above this level«

JTAlert Software Usage License

Copyright 2011 - 2021, Laurie VK3AMA, All Rights Reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to use the Software subject to the following conditions.

The software is provided "AS IS", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and non-infringement. In no event shall the authors or copyright holders be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the software.

Specifically:

1.You may install and use an unlimited number of copies of JTAlert on any number of computers for personal use ONLY. Commercial use is expressly forbidden.

2.You are not permitted to sell JTAlert or any portion of it.

3.You are not permitted to host JTAlert files on external websites, forums, bulletin-boards, blogs, etc.

4.You are not permitted to distribute JTAlert or associated files in any form.

5.You are not permitted to include JTAlert or any portion of it in any commercial software.

6.You are not permitted to decompile, disassemble, reverse engineer or modify the JTAlert executable or any portion of it, including support files (eg. plugin, sound and callsign files).


Version History

Navigation: »No topics above this level«

Version History

JTAlert Release Notes:
--------------------------------------------------------------------------------

2.50.9 (01-12-2021)

  *** Includes Callsign database file version 2021-12-01 (2021-Dec-01)

  Changes:

    - Ignored Callsigns: When disabled, all callsigns in the ignored list are now
       treated as non-ignored and can produce other alert types if triggered.
       Previously when disabled only the ignored coloring of the callsign was
       removed and the callsigns would not generate other alert types.

  Fixes:

    - VE Province Alert: LoTW confirmed provinces not found when running the
       "Rebuild Alert Database" operation against a DXLab DXKeeper log.

    - Blocked HamSpots Spotting: The help file topic for blocked spotting not being
       displayed when the warning popup window was acknowleged.

    - Fatal Error: Random line 38993 errors. (2.50.8 defect)

2.50.8 (2021-Nov-25)

  *** Includes Callsign database file version 2021-11-25 (2021-Nov-25)

  New:

    - Callsigns Window: New ATNO (All Time New One) visual alert for the Wanted DXCC,
       US State and VE Province alerts. When the ATNO is triggered the callsign display
       tile will blink. See the Help file "Tutorials -> ATNO Visual Alert" topic for
       setup and usage instructions.

    - Decodes window: New "Window On Top" option.

    - Wanted Callsigns: New option to export the list of callsigns to a csv file.

    - Ignored Callsigns: New option to export the list of callsigns to a csv file.

    - User Defined Alert: New ATNO environment variables, %JTAlert_IsAtnoDxcc%,
       %JTAlert_IsAtnoState% & %JTAlert_IsAtnoProvince%, set to "Yes" or "No"
       depending on triggered state of the ATNO type.

  Changes:

    - JTAlert installer: Now distributed as a single multi-architecture x64 & x86
       (64bit & 32bit) executable file.

    - Callsigns Window: dB font size increased. It now matches the font size of
       the Country name.

    - Worked B4: The "Ignore Gridsquare" option split into two frequency dependent
       options, HF and VHF. VHF is considered to be 6m, 4m & 2m only.

    - AK & HI log entries: When an Alaskan or Hawaiian QSO is encountered in the
       users Log file during the "Alert Database Rebuild" operation, The US State
       used for the rebuild will be automatically set to "AK" & "HI" respectively,
       ignoring any incorrect or missing State recorded in the Log.
       Note: This does NOT alter the users Log.

  Fixes:

    - ACLog: The Alert database rebuild was incorrectly assignig dxcc credit for
       maritime mobile, /MM, callsigns. This is due to a defect in ACLog recording
       a dxcc number for /MM QSOs in the log when there should be no assignment.

    - MSHV style F/H decodes: Fox callsign not alerting when decode is a multi-message
       decode with individual messages seperated by a semicolon character.

    - JTDX UDP: Broken JTDX Multicast UDP triggered by the JTAlert "WSJT-X Multicast
       on Loopback" menu setting being enabled when using a 224.x.x.x address. This was
       caused  by JTDX internally behaving differently for 224.x.x.x addresses compared
       to 239.x.x.x multicast addresses.

    - DXLab SpotCollector: Local spot notes incorrectly displaying positive DT values
       with a double plus sign, "++".

    - Grid Logging: In some cases the gridsquare entered in the WSJTX/JTDX "Log QSO"
       window was being ignored and an old log entry gridsquare was logged instead.

2.50.7 (2021-Oct-16)

  *** Includes Callsign database file version 2021-10-16 (2021-Oct-16)

  New:

    - Callsigns Window: Option to display the worked B4 date rather than the
       Country name. See the Options display (click the gear icon), "Callsigns"
       section, "B4 date replaces Country" checkbox.

  Changes:

    - Support: The automated file submission when using the "Help ->
       Contact Support" menu has been removed. It has been replaced with a
       help file topic which provides information on how to get support.

  Fixes:

    - Callsigns Window: Zoom level of the callsign display was scaling at a
       greater rate than all other visual elements of the window.

    - Menus: Menus not scaled when the zoom level changed. Affecting the Callsigns,
       Messaging, Activity and BandHeat windows. (2.50.0 design limitation)

    - Gear Icon: Not scaled per the zoom level value. (2.50.6 defect)

2.50.6 (2021-Sep-12)

  *** Includes Callsign database file version 2021-09-12 (2021-Sep-12)

  Changes:

    - Gear Icon: Is now always visible regardless of how small the window is.
       This is for the 2.50.x series introduced windows, Callsigns, Activity and
       Messaging windows.

    - JTDX Operating Mode: All JTAlert windows will now show the "Blue musical note"
       icon in their titlebar when running JTAlert agianst JTDX.

    - Color Selectors: All the Option popups of the 2.50.x windows have a new
       color-selector with an improved color swatch with an increased number
       of dark colors.

  Fixes:

    - Messaging: For a small number of users, sent messages are never received
       by destination Callsign and there was no error notification.

2.50.5 (2021-Aug-11)

  *** Includes Callsign database file version 2021-08-11 (2021-Aug-11)

  New:

    - Worked B4 Alert: Ignoreing the B4 status based on the age of QSOs in the Log.
       Selectable in Monthly increments, 1, 2, 3, 6, 9, 12, 24 and 36 Months. The age
       is determinined by the utc Date when the current JTAlert session is started.
       See the Alerts -> Worked B4 section of the main JTAlert window Settings.

    - User Defined Alert: New %JTAlert_IsFFMAGrid% environment variable has been
       added for use within the Alert script/batch file. This environment variable will
       indicate "Yes" or "No" if the Grid of the Alerted decode is an FFMA grid.

    - Activity Window: WSJTX/JTDX active Band and Mode now displayed in status bar.
       Note: This is for the first JTAlert instance only (#1).

    - Activity Window: The Band matching the WSJTX/JTDX active Band now has a user-
       settable colored indicator to the left of the Band title. The tx and rx count
       numbers of the active Band are displayed with an increased font weight.
       Note: This is for the first JTAlert instance only (#1).

  Changes:

    - WSJTX/JTDX UDP Resend: If the UDP resend is enabled and the port is set to
       match the WSJTX/JTDX UDP Server port, the port is reset to the default 2334
       and the resend option is disabled. This is to prevent resent data being sent
       back to the port that JTAlert is listening too for UDP messages from WSJTX/JTDX
       and creating a feedback loop causing endless duplicated decodes and logging

    - Sample User Alert script: The script has been updated to use the CMail freeware
       command-line SMTP mailer. CMail supports SSL/TLS connections to SMTP accounts
       something that was not possible with the previously used Blat mailer.

  Fixes:

    - Callsigns Window: Band and Mode shown in status bar not visible after
       closing and reopening the window.

    - Logging: "QSO_DATE_OFF" not being sent in logging instruction sent to all
       supported logs when there was not a date change during the length of a QSO.
       The lastqso.adi file was also not getting this data. Note: the QSO End Date
       is not sent to ACLog as it has no support for this data in its logging API.

    - Activity Window: Last display line, Band or Total depending on display
       options not visible when window is first shown after startup requiring
       a manual window resizing to bring the missing line back into view.

2.50.4 (2021-Jul-15)

  *** Includes Callsign database file version 2021-07-12 (2021-Jul-12)

  Fixes:

    Miscellaneous critical faults: Callsigns window and other 2.50.x series windows
     not opening, no sound, no UDP comms with WSJT-X. JTAlertV2.Manager.exe process
     continually stopping and starting. This did not affect all JTAlert users.
     (2.50.3 defect)

2.50.3 (2021-Jul-12)

  *** Includes Callsign database file version 2021-07-12 (2021-Jul-12)

  New:

    - Wanted Grid Alert: New option to restrict audio alerts to FFMA grids only when
       operating on 6m. The default is for this setting to be off so all 6m alerted
       grids will generate the audio alert.
       See the "Alerts, Wanted Grid" section of the main JTAlert window Settings.

    - Alerts: New "Directed CQ" Alert, with user-settable colors and sound file.
       This Alert will trigger on any directed CQ decode that has a direction
       word set in the settings. eg SOTA, POTA, TEST, FD, VK, etc.
       See the "Alerts, Directed CQ" section of the main JTAlert window Settings.

    - Callsigns Window: New "Alert Directed CQ" View. Callsigns generating a
       "Directed CQ" Alert (see above) will be displayed in this view.
       Note: Non-alerting directed CQs will not appear in this view.

    - Callsigns Window: New "Portable decodes" View. Callsigns operating portable
       signing their callsigns with "/P" or "/R" will be shown in this Display View.

    - Callsigns Window: "CQ decodes" View has options to include Directed CQ and
       RR73 or 73 decodes.

  Changes:

    - WSJT-X / JTDX UDP: JTAlert will no longer show an error window if there has
       been no received UDP messages. Previously an error window would be shown
       after 2 minutes of no UDP messages following JTAlert startup.

  Fixes:

    - Callsigns Window: QSL and Online symbols being reset and changes to symbol
      selection not being remembered. (2.50.2 defect)

    - Marathon Alert: Alerted callsigns not being displayed in the Callsigns window
       "Alert Marathon" display view. (2.50.2 defect)

2.50.2 (2021-Jun-22)

  *** Includes Callsign database file version 2021-06-22 (2021-Jun-22)

  New:

    - Callsigns Window: New multi-panel display consisting of a main (non-removable)
       display panel and up to 6 optional sub-panels. Each display panel can be set
       to display a different decode view. Some decode views offer additional options
       like sorting by km for the distance view and sorting by dB value for the
       SNR decodes view. There are 25 different decode views available...
         "All Decodes", "Callers", "Decodes DX", "Decodes Local", "CQ", "CQ Directed",
         "SNR weak decodes", "SNR strong decodes", "Distant decodes", "QSL Lotw decodes",
         "QSL Eqsl decodes", "RR73/73 decodes", "Alerts None", "Alerts Only", "Alert DXCC",
         "Alert US State", "Alert VE Province", "Alert Continent", "Alert CQ Zone",
         "Alert ITU Zone", "Alert Grid", "Alert FFMA Grid", "Alert Prefix", "Alert Marathon",
         "Alert Wanted Call".
       Please refer to the 2.50 features help file, Callsigns Window topic.

    - Decodes Window: Callsigns generating DXCC, US State or VE Province alerts
       now highlight the Country, State and Province name entries.

    - Off-screen windows: Menu entry under the "View" menu to bring ALL 2.50.x
       introduced windows (Callsigns, Messaging, Activity and BandHeat) into
       view on the primary Windows display.

    - WSJT-X UDP: Dedicated "Help" menu entry to the WSJT-X UDP Setup topic.
       The help topic provides simplified 4 step multicast instructions.

  Changes:

    - Qsl flags: The flags used to indicate Lotw and Eqsl membership have been replaced
       with user-selectable symbols. See the "Callsigns" section of the Callsigns window
       options popup. All Qsl symbols and the Online symbol are grouped together and are
       automatically positioned depending on the Badge position and if the Country area
       is visible. Note: The Decodes window still uses the old style flags.

    - Online symbol: The symbol used to display if a Callsign has JTAlert messaging enabled
       is now user-selectable. Previously it was hard-coded to be a star symbol.

  Fixes:

    - Alert audio: Broken or no Alert audio and Callsigns window repeatedly opening/closing.
       Caused by a defect in the NET 5.0.7 Desktop Runtime causing a fatal error in the
       audio library used by JTAlert.

    - HRD Logging: Random QSOs logged with a Submode when not an MFSK Mode. (2.50.0 defect)

    - QSO History: Random showing FT4 results when in FT8 mode. (2.50.0 defect)

    - Marathon Alert: Triggered countries and zones not being shown in the callsign
       info tooltip of the Callsigns window. (2.50.0 defect)

    - Messaging: Only available on the first instance (#1) of JTAlert and its
       child windows. (2.50.0 design limitation).

    - Windows user accounts: JTAlert would not run correctly when used from multiple
      user accounts. It would typically work correctly for the user account under
      which JTAlert was first started.

2.50.1 (2021-May-01)

  *** Includes Callsign database file version 2021-05-01 (2021-May-01)

  New:

    - JTAlert: Is now distributed as individual x86 (32bit) & x64 (64bit) builds.
       Windows 32bit requires the x86 build, while Windows 64bit can run either
       the x86 or x64 build. The x64 build is recommended for Windows 64bit.
       Note: The .NET desktop runtime architecture must match the architecture
       type of the JTAlert installer, x86 or x64.

    - Messaging window: Ability to delete all messages. Available via the right-click
       menu of any visible message or the right-click menu of the Options (gear) icon.

    - Callsigns, Messaging, Activity and Band Heat windows: Window background color
       and other areas depending on the window are now user settable. Note: this is
       not full featured window theming (set for a future release) just the most
       prominent areas can be altered. The Config popup, tooltips and context menus
       are not changeable they will still obey the color theme you are using for Windows.
       See under the Colors section of the Options popup (click the gear icon).

    - Callsigns window: The callsign right-click context menu can be customized.
       It can be turned off completely or individual entries can be hidden.

    - Activity window: Data column text alignment is adjustable, either Left, Right,
       Center or Mixed, where Mixed is Right aligned for the Tx counts and Left
       for the Rx counts. See the Bands view of the Options popup (click gear icon).

  Changed:

    - Callsigns window: The divider-bar between the main callsigns view and the
       callers view is now moveable, drag while holding the left mouse button
       down. The callers view can now display multiple rows or columns depending
       on the display position and the area available after dragging the divider.
       The callers view width/height after moving the divider is remembered and
       restored at startup. The callers view no longer auto-opens when callers
       first appear and no longer auto-closes when there are no callers.

    - Callsigns window: Online indicator (star icon) now has a size selector.
       Previously it used the QSL flag size selector. See the Options popup
       of the Callsigns window.

    - Messaging window: WSJT-X DX Call changes now no longer auto populate the
       Callsign field if a message is already being composed. That is if the
       message field contains text, the DX Call change is ignored.

    - Statusbar hiding: The option to hide the statusbar for windows has been
       removed. The statusbar is now always shown. This change affects the
       new Activity, Callsigns & Messaging windows introduced with 2.50.0.

    - WSJT-X highlighting: B4 and ignored Callsign highlighting in the WSJT-X window
       can now be turned off via a checkbox in the Settings window, "Applications
       -> WSJT-X / JTDX" section. Note this does not apply to JTDX, it doesn't
       support decode coloring.

    - FT4 logging: The option to log FT4 QSOs as Mode=FT4 rather than the adif
       compliant specification has been removed. This affects all Logs except
       ACLog, HRD5, and HRD6 (up to 6.2).

    - FT4, Q65 & FST4 logging: FT4, Q65, & FST4 mode QSOs are now logged using the
       official adif specifications (3.1.2) of Mode=MFSK & Submode=Q65, FST4 & FT4
       respectively.

  Fixed:

    - Windows 32bit (x86): Installer would incorrectly report the .NET 5 Desktop
       Runtime was not installed. JTAlert would execute with several fatal errors.

    - ADIF log: Very slow import at startup. (2.50.0 defect)

    - Q65 decodes: Not displayed in the Callsigns window. (2.50.0 defect)

    - All loggers: Solar data (SFI,A,K) not logged. (2.50.0 defect)

    - WSJT-X: Control key pressed state, for changing WSJT-X TX frequency, not used
       when Callsign is clicked in the Callsigns window. (2.50.0 defect)

    - Messaging window: Incorrect scaling (zooming) applied to messages and the
       Options popup. (2.50.0 defect)

    - Callsigns window #2 and higher: For all instances except #1, not following
       the JTAlert window state (minimize, restore or bring forward) despite the
       "Follow JTAlert window" setting being enabled. (2.50.0 defect)

    - Callsigns window: DT median value in statusbar not shown or doesn't change
       over time. (2.50.0 defect)

    - DXLab integration: The DXKeeper, Pathfinder and DXView lookups missing
       from the right-click context menu of the callsign displays in the Callsigns
       window. (2.50.0 defect)

    - Config backups: Config backup files, older than 7 days, not being deleted
       by the automated file maintenance routine.

  Unresolved Defects:

    - Messaging: Only available on the first instance (#1) of JTAlert and its child windows.

2.50.0 (2021-Apr-12)

  *** The Microsoft .NET 5 desktop runtime is required to be installed for this
  *** version of JTAlert (and all future versions). The JTAlert installer will
  *** automatically run a runtime check utility which will offer to install the
  *** necessary runtime if it is not detected installed on your PC.

  *** Important note regarding Q65 mode: Q65 support is only partial.
  *** Accurate Q65 B4 checks and Q65 logging are fully supported.
  *** There is no Alerting for Q65 DXCCs, States, Grids, Prefixes, etc.

  *** Includes Callsign database file version 2021-04-05 (2021-Apr-05)

  New:

    *** Important: Please review the new "JTAlert 2.50 features" help file for
    *** a complete description (with loads of images) of the new Callsigns,
    *** Activity, Messaging & Band Heat windows and the location of their
    *** respective settings. See under the "Help" window of the main JTAlert
    *** window or the shortcut in the "HamApps JTAlert" Windows start-menu group.

    - Callsigns window: This replaces the old callsigns display grid embedded
       in the main JTAlert window. This window is fully resizable with no limit
       on the number of Callsigns displayed, except for available screen space
       and the number of decodes produced at the end of a period.

    - Messaging window: This replaces the old Text Messages window. It will
       show both sent and received messages and retain them for 7 days.
       Previously sent/received messages can be saved for reuse. The message
       limit is 2048 character (old window was 256 characters).

    - Activity window: This replaces the old Mode Activity window. It is resizable,
       supports the new FST4 and Q65 modes as well as the 560m, 8m, & 5m bands.
       Individual bands and modes can be turned off and not displayed.

    - Band Heat window: This replaces the old Activity Bands display that was
       embedded in the main JTAlert window. It is now an independent window,
       supports the 560m, 8m & 5m bands, and can be set to display vertically
       or horizontally (the default). Individual bands can be turned off and hidden.

  Changed:

    - Decodes window: Frequency column can be set to either KHz or MHz.

    - QSL flags: The Lotw and Eqsl flag positions on the Callsigns display
       and Decodes window are no longer changeable. They are fixed in location.
        Lotw -> bottom left of the Callsign.
        Eqsl -> bottom right of the Callsign.

    - Hotkeys: No longer user-changeable, they are now hard-coded.
        F1 -> Help window
        F2 -> Settings window
        F3 -> Callsigns window
        F4 -> Decodes window
        F5 -> Text Messages window
        F6 -> Call History window
        F7 -> Alert Status window
        F8 -> Macros window
        F9 -> not used
        F10 -> not used
        F11 -> Activity window
        F12 -> BandHeat window

        Alt + H -> Open browser to HamSpots.net
        Alt + Q -> Open browser to QRZ.com

    - Callsign Display Grid: Has been removed and is now a separate,
       resizable window, simply called the "Callsigns" window.

    - Text Messages Window: Now called "Messaging" Window, is only launchable
       from the JTAlert first instance (#1).

    - WSJT-X: B4 & Ignored callsigns are now highlighted in WSJT-X when
       they are hidden in JTAlert due to filtering.

    - Menus: Several menus associated with the new Windows introduced with
       this release (Activity, Messaging & Callsigns) have been removed from
       the main JTAlert window. All necessary options/settings for these new
       windows can be set from the Options popup for each of these windows.

  Fixed:

    - Q65 mode: Callsigns not being displayed in the Callsign display and
       decodes not being displayed in the Decodes window.

    - DXKeeper: non-AG eQSL member QSLs marked as "received" incorrectly considered
       as confirmed when running the Alert database rebuild. That is QSOs marked as
       confirmed from non-AG callsigns will no longer be considered during the rebuild.

    - HRDLogbook V6+: Lat & Lon data missing from logging instruction sent to
       Log via its TCP interface

    - Text Messages: Online status randomly incorrectly shows offline when the
       Callsign is online and has been sending messages.

    - JTAlert debug data: Some session files not being truncated as part of
       the automated maintenance routines.

    - JTAlert Installer: The desktop shortcuts checkbox settings when the installer was
       last run are now remembered and restored.


Version History 2.16.0 - 2.16.17

Navigation: Version History >

Version History 2.16.0 - 2.16.17

JTAlert Release Notes:
--------------------------------------------------------------------------------

2.16.17 (06-Dec-2020)

  *** Important note regarding FST4 mode: FST4 support is only partial.
  *** Accurate FST4 B4 checks and FST4 logging are fully supported.
  *** There is no Alerting for FST4 DXCCs, States, Grids, Prefixes, etc.
  *** There is no reporting of FST4 activity in the Mode Activity window.

  *** Includes Callsign database file version 2020-12-06 (2020-Dec-06)

  New Features:

    - Callsigns Display Grid: New online for text messages indicator, a filled
       square, can be shown in the top-right corner of the Callsign display.
       See the "Windows -> Text Messages" section of the Settings window.

    - Logging: New option to 'Log USA District "DC" as State "MD"'. This option
       is off by default. If enabled "DC" based stations will have their State
       converted from "DC" to "MD" and logged as "MD" regardless of the value
       returned from XML lookups and previous QSO lookups.

    - Command Line Parameter: "/myid=" a user defined string that will appear
       in the status section of the JTAlert titlebar text. This parameter is
       not used internally by JTAlert except for the status display.

    - WSJT-X Multicast UDP: Due to the unreliability in automatically
       determining which network interfaces are being used by WSJT-X for
       multicast UDP, JTAlert now has an explicit setting to indicate
       if WSJT-X multicast UDP is using a loopback interface. Ensure that
       the "Settings -> WSJT-X UDP Multicast on Loopback" menu is ticked.
       This applies for WSJT-X 2.3.0 -rc2 and later. The setting is
       ignored when using WSJT-X 2.2.2 and earlier.

  Changes:

    - US State Alert: "Consider DC as MD" setting moved from the "Rebuild
       Alert Database" section to the "Alerts -> Wanted US States" section
       of the Settings window. This setting is now titled 'Alert "DC" as "MD"'.
       When this setting is enabled, all "DC" stations will alert as "MD".

    - Decodes Windows: Online for text messages indicator symbol changed from
       a filled circle to a square.

  Fixes:

    - FST4: Callsigns not being displayed in the Callsign display and
       decodes not being displayed in the Decodes History window.

    - Decodes Window: Fatal error when changing the "Highlight excess DT"
       threshold value in the Settings when the Windows regional-settings
       utilizes a non-dot for the decimal separator.

    - Text Messages Window: Incorrectly being show at JTAlert startup
       despite the "Receive text messages ..." option being turned off.

2.16.16 (18-Nov-2020)

  *****************************************************************************
  *** IMPORTANT: WSJT-X Multicast UDP Server setting requirement
  ***
  *** For WSJT-X 2.3.0-rc2 and future versions when using a multicast
  *** address for the UDP Server the "Outgoing Interfaces" selector needs
  *** to have the Loopback interface enabled.
  *****************************************************************************

  *** Includes Callsign database file version 2020-11-18 (2020-Nov-18)

  New Features:

    - Decodes Window Online Indicators: Callsigns that are online for text message
       receipt will be shown with an underline, the same as the main JTAlert
       Callsigns display. A new online indicator, a filled circle, can be shown
       in the top-right corner of the Callsign display cell.

    - Text Messages: Can now be initiated via the Callsign right-click context menu
       of the Decodes Window.

  Changes:

    - Callsign QSL Indicators: Striped QSL indicators have been removed.
       Only flag style indicators are used. The position of the indicators is
       now fixed, Lotw in the top-left corner and Eqsl in the bottom-right corner
       of the Callsign display. This change is for both the main JTAlert window
       and the Decodes window.

    - WSJT-X Decode Highlighting: "73" or "RR73" decode highlighting no longer
       require the CQ Alert to be enabled. A dedicated setting is now available.
       See the "Applications -> WSJT-X / JTDX" section of the Settings window.
       Note: This and other color highlighting is not available for JTDX.

  Fixes:

    - Decodes Window: Showing 6 character grids instead of 4 characters for
       compound callsigns (typicaly seen for portable and special event calls)
       when a log entry for the callsign exists with a 6 character grid.

    - Grid Alert: If the Grid alert is enabled a 6 character grid would be
       alerted despite its 4 character grid being set as not needed after the
       Alert database rebuild was run.

    - Popup Notifications: Popups like "Logging Confirmation" and "Text Message
       Reciept" not displaying if the main JTAlert window was mimimized (hidden)
       at the time the popop was shown.

    - TX PWR: Value change not remembered when set to no value (empty string).

2.16.15 (01-Nov-2020)

  *** Includes Callsign database file version 2020-10-30 (2020-Oct-30)

  New Features:

    - Callsign Display: Can be turned off by setting the number of display lines
       to zero. Via the "View -> Callsign Display Lines" menu.

  Changes:

    - Sound Device: Warnings about an un-selected sound card have been removed.
       JTAlert now assumes you have the correct or a valid device selected.

    - Menus: "View -> Show DXCC Names" menu relocated. It is now a sub-menu of
       the "View -> Callsign Display Lines" menu.

  Fixes:

    - Sound Devices: Device names containing accented international characters
       not displayed correctly.

    - Decodes Window: Some decodes being lost (never received) when the number
       of decodes processed for the main JTAlert display exceedes the maximum 36
       (4 lines x 9 callsigns max) display limit.

2.16.14 (01-Oct-2020)

  *** Includes Callsign database file version 2020-09-24 (2020-Sep-24)

  New Features:

    - New Alert Type: Wanted ITU Zone Alert.

    - New Alert Filter: Do not show NON ALERTING Callsigns under a set Km distance.
       Note: Callsigns that don't convey their gridsquare in the standard format
       CQ message will not be displayed (because of the unknown distance) when this
       Filter is active and the Callsign does not trigger an Alert.

    - Temporary Ignored Callsigns: Callsigns can be temporarily ignored for the
       current JTAlert session. Callsigns can be ignored by using the Callsign
       right-click context menu. The temporary ignored Callsign list is
       automatically cleared at JTAlert startup.

  Fixes:

    - Decodes Window: Randomly starting with no previous decodes visible and not
       showing new decodes.

    - Decodes Window: Fatal "Clipboard" error when using Chrome remote desktop.

    - Station Gridsquare: Not being set (is empty) after a mismatch with the WSJTX
       grid is reported and completing the update when prompted during startup.

    - Log4OM V1 & V2: Last QSO lookups were not returning the correct QSO in
       the log if the log had previously been updated using an adif import.

2.16.13 (29-Aug-2020)

  *** Includes Callsign database file version 2020-08-29 (2020-Aug-29)

  New Features:

    - Auto Clear Alert Triggers: New "Auto clear triggered Alert entity after
       logging" option available for each of the 8 Wanted Alert types. When set
       this option will automatically clear an Alert entity (eg. Grid) after
       logging a QSO, thus avoiding the need to run a "Rebuild Alert Database"
       operation to remove "worked only" entities. Note: This is only suitable
       for users who don't require any form of QSL confirmation (as read from
       their log during a Rebuild operation) before an Entity is considered no
       longer needed.
       See the "Options" section of each of the "Wanted Alerts" in the Settings.

    - Alert Database Rebuild: New "Ignore QSOs before this date" option for each
       of the 8 Wanted Alert types (Dxcc, State, Grid, etc). Setting this option
       will instruct the rebuild log scanning to exclude (ignore) QSOs in your
       log before the specified date.
       See the "Rebuild Alert Database" section of the Settings window.

  Changes:

    - Country Names: Several of the country names displayed below the Callsigns
       in the main JTAlert window have been changed to reduce the truncation of
       longer names, improving readability, and to remove the ambiguity when
       similarly named countries are truncated.

    - Logging Success Popop: The display time for this popup is increased to 10
       seconds (default is 5 seconds) if one or more of the Wanted Alerts is set
       to have their "Needed" settings automatically adjusted when logging a QSO
       as per the new "Auto clear triggered Alert entity after logging" feature.
       The increase display time is to provide sufficient time to review what
       changes have been automatically applied to the internal Alert Database.

2.16.12 (14-Aug-2020)

  Fixes:

    - UDP Resend: WSJT-X/JTDX UDP packet resend not working (2.16.11 defect).

2.16.11 (12-Aug-2020)

  *** Includes Callsign database file version 2020-08-12 (2020-Aug-12)

  New Features:

    - UDP Multicast: JTAlert now supports joining a UDP multicast group IP address
       when interacting with WSJT-X. This is automatic, using the settings as defined
       for each detected WSJT-X instance discovered running on the same PC as JTAlert.
       Multicast support across multiple PCs/Networks is not supported.
       Current JTAlert/WSJT-X setups, either single or multiple instance will operate
       as normal without any changes to WSJT-X settings.
       Users who want to take advantage of concurrently running applications like DX
       Aggregator or Grid Tracker along-side JTAlert will need to set the WSJT-X UDP
       Server to a valid Multicast IP (in the 239.0.0.0 to 239.255.255.255 range) and set
       those applications to use that IP address. JTAlert requires zero-configuration.

  Changes:

    - DXCC Country Names: Names starting with "St." changed to "Saint".
       "South Africa" renamed "Republic of South Africa"

    - JTAlertV2.Manager.exe process: JTAlert will close and present an error window
       if it was unable to start the JTAlertV2.Manager.exe process. This process is
       now critical to decodes processing (due to UDP multicast implementation)

    - DXKeeper homeQTH selections: "homeQTH" has been renamed in the Settings and
       help file to "myQTH" per the current DXKeeper naming convention.

  Fixes:

    - JTAlert failing to start or closing shortly after starting with a
       "The requested action with this object has failed" error window shown.

    - TX Watchdog Alert: Options not being shown in the Settings Window (2.16.9 defect).

    - No audio output: Multiple JTAlert restarts required to get Alert sounds to play.

    - Ignored Callsigns: Ignored colors not applied if worked before (B4).

2.16.10 (28-Jul-2020)

  *** Includes Callsign database file version 2020-07-28 (2020-Jul-28)

  New Features:

    - Lotw adif files: The QSL_RCVD fields used by LoTW are now treated as
       LOTW_QSL_RCVD fields. If the Adif file header indicates the file was sourced
       from LoTW, the QSL_RCVD to LOTW_QSL_RCVD translation is automatic.

  Changes:

    - Band Activity Display: Has been renamed to Mode Activity Display.

    - Windows notification sounds: The single sound option (introduced with 2.16.9)
       has been extended to two independant sound/volume options. One sound for
       "Errors & Failure" and the other for "Success & Information" notifications.

  Fixes:

    - Windows user names with accented characters: Functions, like Band Activity,
       Text Messages, Sound play, not working when the %localappdata% path contained
       accented characters (Windows user name has these characters, eg. Jesús).
       Caused by a defect in a 3rd party code library that applied incorrect Json
       data encoding to accented characters sent to the JTAlertV2.Manager process.
       (2.15.1 defect).

2.16.9 (18-Jul-2020)

  *** Includes Callsign database file version 2020-07-18 (2020-Jul-18)

  Changes:

    - Scan Log: The "Scan Log and Rebuild" menu in the Settings has been renamed
       "Rebuild Alert Database".

    - ACLog Logging: "Local" and "Remote" configuration options have been renamed
       "Automatic" and "Manual" respectively.

    - Windows notification sounds: Used by some JTAlert popup messages, like logging
       success/failure, have been replaced with a dedicated sound file/volume
       selection. See the "Alerts -> Miscellaneous Alerts -> Windows Notifications"
       section of the Settings window.

    - Highlight WSJT-X DT: The option "Highlight Band Activity DT values that
       exceed threshold", previously removed in version 2.15.9, is now available.
       See the Settings window, Applications - WSJT-X section.

  Fixes:

    - JTAlertV2.Manager process: Not starting correctly, repeated starts and stops,
       when the %localappdata% path contains accented characters, like "ö", "é", etc.
       Caused by a defect in an AutoIT (used to create JTAlert) inbuilt library.

    - QSO History Window: Incorrectly showing a "First QSO" message in the 2m
      position when no previous QSOs in log. (2.16.7 defect)

    - Marathon Alert: WAE entities incorrectly alerting despite being set as no
       longer needed. This affected all 6 WAE entities.

    - Alert Types Window: Showing on all virtual desktops.

2.16.8 (19-Jun-2020)

  *** Includes Callsign database file version 2020-06-19 (2020-Jun-19)

  New Features:

    - WSJT-X decode highlighting: If the JTAlert CQ Alert is enabled than WSJT-X
       decodes ending in "73" or "RR73", indicating that the DX station has ended
       their QSO, will have the "73" or "RR73" colored with the CQ Alert colors.

  Fixes:

    - Decodes Window: Occasional delay/hang (up to ~30sec) of the Decodes window
       closing when JTAlert is closed

    - Decodes Window: Random corruption of the decodes database.

    - Alert Priority management: Incorrect display with entries missing after
       using the "Bottom" button or the "Down" button to bring an entry to the
       bottom of the list display.

2.16.7 (09-Jun-2020)

  *** Includes Callsign database file version 2020-06-08 (2020-Jun-08)

  New Features:

    - 4m Band Alerting: All the Wanted Alerts, Scan Log, QSO History & Bands
       Confirmed display now support the 4m band.

    - Multiple Grids per QSO Logs: Logs that support recording multiple grids
       (1,2 or 4) are now supported by the Scan Log & Rebuild operation for
       updating the internal "Wanted Grid" lists and the Worked B4 checks.
       Currently only DXKeeper and standard ADIF logs are supported.

    - WSJT-X decode highlighting: The grid in a decode is now only colored if
       a Wanted Grid Alert is generated using the Grid Alert colors.

  Changes:

    - WSJT-X decode highlighting: Only the "CQ Callsign" in a CQ decode is
       colored, previously the entire decode "CQ Callsign Grid" was colored.

    - WSJT-X decode highlighting: For non-CQ decodes, only the DX Callsign is
       Coloured, previously the exchange part of the decode (eg, report, grid,
       RR73, etc) was also colored.

  Fixes:

    - WSJT-X 2.2.x FT8: Random loss of some early first-pass FT8 decodes received
       at the 11 second point of the Rx period.

2.16.6 (22-May-2020)

  *** Includes Callsign database file version 2020-05-21 (2020-May-22)

  Changes:

    - Menus: All top level menus now have an accelerator character defined.

    - Band changes: Now when there is a band change, decodes will not be alerted
       or spotted to HamSpots for one full mode-period regardless of when in the
       period the band change occurred. There are no attempts made to determine
       if the decodes are from the old or the new band, they are simply discarded.

  Fixes:

    - Callsign Tooltip: Not showing Country or Continent. (2.16.5 defect)

    - Callsigns display: Intermittent non-display of Callsigns and QSO logging.

    - Band changes: When changing band mid-period the early-in-the-period decodes
       could be alerted (and spotted) for the new band when they were from the
       old band.

    - WSJT-X Docking: Docking would break when switching WSJT-X configurations.
       This only occured for the 2.2.0-rc1 release candidate.

2.16.5 (08-May-2020)

  ******************************************************************************
  *** Important: JTAlert build type changes
  ***
  *** The Original JTAlert (menus in titlebar) is no longer available.
  *** The Alt Layout JTAlert (menus placed below the titlebar) is now simply
  *** called JTAlert and is the only build type now produced.
  *** The executable file name has changed from JTAlert_AL.exe to JTAlert.exe
  *** The old Alt Layout build icon colors for JTAlert and shortcuts (green
  *** and purple) are no longer used. The icon colors used are ...
  ***   Red icon  -> JTAlert for WSJT-X
  ***   Blue icon -> JTAlert for JTDX
  ******************************************************************************

  *** Includes Callsign database file version 2020-05-08 (2020-May-08)

  Changes:

    - WSJT-X 2.2.0 FT8: Callsign clearing time adjustments for early decodes.

    - Log QSO times: Default setting for recording seconds in QSO times changed
       from off to on. This will apply to new JTAlert installs, existing users
       will need to manually enable the setting if they want seconds recorded.

    - /MM callsigns: No longer alert on DXCC, CQZone or Continent.

    - https queries: Lookup of Callsigns online for text messages and available
       update checks changed from using https to http. This was done due to a
       number of Win7 & Win8 users with older OS installs, lacking modern SSL
       support, failing to correctly establish SSL connections.

  Fixes:

    - Log QSO date: When logging old QSOs with a date before 2019, the current UTC
       date was substitued.

2.16.4 (06-APR-2020)

  Changes:

    - Dxcc name: "Auckland and Campbell" -> "New Zealand SubAntarctic Islands".

  Fixes:

    - HRD 6.7.0.269: All JTAlert FT4 functionality broken, B4 checks, Logging
       confirmations, Log scanning and Callsign QSO History when run against
       HRD 6.7.0.269 with an updated adif 3.1 compliant log.
       See JTAlert help file, "HRD 6.7.0.269, JTAlert settings" topic.

2.16.3 (30-MAR-2020)

  *** Includes Callsign database file version 2020-03-30 (2020-March-30)

  Changes:

    - US State Scan: A popup warning that a new scan is needed will be shown
       whenever the "Consider DC as MD" checkbox is changed. The new scan is
       needed to correctly update the wanted lists counts to reflect whether
       "DC" is considered a separate alert-able entity.

    - Non US Callsigns that are listed in the FCC database with a US based
       State will be alerted as the United States and not the Country normally
       identified by their Callsign prefix. (eg NH2 Guam, AH0 Mariana Is, etc)

  Fixes:

    - Logging: Some users experiencing non-logging of US State code.

    - Decodes Window: Show only Alerts filter incorrectly hiding callsigns that
       generated a VE Province Alert.

    - Decodes Window: Delays in decode population where the display would
       appear to pause with the display updates being one or more periods late.

    - Decodes Window: Rare "Threading" errors being thrown.

    - Decodes Window: US Callsigns loosing their State code after logging.

    - B4 Indicator: All decodes showing as B4 after several decode periods.
       This affected Log4OM MySQL log users. (2.16.0 defect)

    - DXCC Alert: "TNX73" alerting as "Republic of the Congo".

    - State Alert: Showing a total of "51 States" rather than "50 States"
       when the "Consider DC as MD" setting is enabled.

    - B4 Date: "NO Log" users getting "Unknown Date" in the Callsign tooltip
       for previously worked Callsigns showing the B4 indicator.

    - WAE Country Names: Incorrect name shown in Callsign tooltip. This was a
       cosmetic defect only. The correct dxcc code was still used for alerting.

    - Country Name Display: US based callsigns missing the State code after the
       Country name when the Callsign is a B4.

2.16.2 (Unreleased Beta)

2.16.1 (10-MAR-2020)

  Changes:

    - Callsigns Cleared: Callsigns display cleared after logging a new QSO has been
       made optional. See the "Logging section" of the Settings, "Clear Callsigns
       display after logging" option, untick to stop automatic clearing.

  Fixes:

    - B4 Indicator: All decodes showing as B4 after several decode periods. This
       only affected users running JTAlert without an enabled logger, "NO Log"
       shown in titlebar. (2.16.0 defect)

    - Decodes Window: Rare random fatal "threading" error shown after extended
       running time. Note: This defect may not be fully fixed.

2.16.0 (05-MAR-2020)

  *** Includes Callsign database file version 2020-03-05 (2020-March-05)

  New Features:

    - New Alert Type: Wanted Canadian (VE) Province Alert. Full support with Province
       2 character indicator, individual voiced Province sounds, and updating of
       needed Provinces via a "Scan Log and Rebuild" or manual setting. Individual
       voiced Province alert files are included in the 2.5.2 Sound files package.

    - Clear B4 Cache Menu: A user can now force a clearing of the internal worked
       B4 cache via the "Alerts -> Clear B4 Cache" menu. Clearing the cache will force
       all new decodes to get a new B4 status via a Log lookup that is then cached.
       Note: This will initially cause slow Callsign population in JTAlert until the
             Callsign B4 status has been cached.

  Changes:

    - Callsigns Cleared: Callsigns display is now automatically cleared after logging
       a new QSO. This is not optional.

    - State Dropdown: The log fields display State dropdown list now automatically
       adjusts the list of 2 character codes to show only US State (and KL7, KH6)
       or VE Province codes depending on the Country of your current QSO partners.
       The dropdown is cleared for non VE or US callsigns.

    - Wanted State Alert: US State Alerts now consider "DC" for alerting and Scanning.
       If you don't want to chase "DC" as a separate alert-able State you don't need to
       take any action. If you do want to chase "DC" then un-tick the "Consider DC as MD"
       checkbox on the Wanted States Scan Log section, then run a Scan. A voiced alert
       wave file for "District of Columbia" is included in the 2.5.2 Sound files package.

  Fix:

    - B4 indicator: Newly logged Callsigns not displaying the "B4" indicator when the
       Callsign is next decoded after logging. (2.15.11 defect)

    - Fatal Error: Line 11057 or 11247 error when the Wanted State Alert is set to use
      individual State Name announcments and the Alert is triggered. (2.15.11 defect)


Version History 2.12.0 - 2.15.11

Navigation: Version History >

Version History 2.12.0 - 2.15.11

JTAlert Release Notes:
--------------------------------------------------------------------------------

2.15.11 (24-FEB-2020)

  *** Includes Callsign database file version 2020-02-14 (2020-February-14)

  New Features:

    - Audio Play Limit Period: Individual audio alerts will play once per time
       period (max 5 minutes). Set via the "Sound" menu or the Settings window.
       Limit does not apply to "Own Call" and "Out of shack" alerts.
       (Default: No limit, Window: Settings, Section: SoundCard).

  Changes:

    - Callsign Database: Significant reduction in size due to removal of non
       active Callsigns (not spotted in last 6 months). Size is now ~2.5MB,
       previously ~33MB.

    - Callsigns Display: Improved display speed with less redraw flashing.

  Fixes:

    - ADIF Logging: SQLite error when logging "Cote d'Ivoire" country name QSOs.

    - Log4OM2 MySQL: Scan Log failing to find QSL confirmed QSOs.

    - Log4OM2 MySQL: Scan Log failing (returning all entities as need) for non-Windows
       hosted MySQL servers (Linux or MAC). Windows hosted MySQL was not affected.
       (Thanks! to Jorgen, NU1T, for uncovering the source of this defect)

2.15.10 (14-FEB-2020)

  *** Includes Callsign database file version 2020-02-14 (2020-February-14)

  Changes:

    - Sound Device: The sound keep-alive added in JTAlert 2.15.9 has been removed.
       For a very small number of users this was causing repeated Rig keying.

  Fixes:

    - HRD Logging: ITU and CQ zones not logged. (2.15.9 defect)

    - B4 Alert: Callsigns not flagged as "B4" after logging requiring JTAlert
       restart to correctly display (2.15.9 defect)

2.15.9 (06-FEB-2020)

  *** Includes Callsign database file version 2020-02-06 (2020-February-06)

  New Features:

    - Continent filtering of Callsigns: New filtering (hiding) of Callsigns based on
       Continent of origin of the callsign. All Continents by default are enabled.
       When one or more Continents are unchecked, any decodes originating from that
       Continent will not be displayed on the main JTAlert window REGARDLESS of any
       Alert they may have generated or any of the other Filters set. This does not
       affect the Decodes window which already has its own method of hiding decodes
       based on Continent of origin, it is not compatible with the Main window filter.
       (Default: ON, Window: Settings, Section: Alerts, Worked B4).

    - Worked B4: New "Ignore Grid" option to consider on-air grid when performing
       B4 checks against the Log. A previously worked station that normally produces
       a B4 will now generate an alert if their on-air grid is different from previous
       QSOs in your Log and this option is OFF (unticked).
       (Default: ON, Window: Settings, Section: Alerts, Worked B4).

    - B4 Log Database: Now records the Date and Grid of QSOs logged. This will allow
       "NO Log" users to utilise the "Ignore Grid" and "Ignore Date" options for the
        Worked B4 alert. IMPORTANT, this only applies to "NO Log" users.

    - Sound Device: A sound keep-alive added to try and prevent sound devices going
       into power-save mode. This is useful for those Audio drivers that put the
       device to sleep if no audio has been played for some time causing the first
       part of the sound to be lost as the card comes out of sleep.
       (e.g. NVidia HDMI card drivers that don't provide a power-save setting but
        set the power-save on in the Registry, so not user adjustable).

  Changes:

    - MySQL support: libmysql.dll file (used by HRD and Log4OM MySQL logs) has
       been downgraded to the version used in all JTAlert releases except the
       recent 2.15.8 public release. A small number of users experienced MySQL
       errors when trying to open the JTAlert Settings.

    - B4 Log Database: The B4log.mdb file used for B4 checks when running with no
       logger enabled ("NO Log" in the titlebar) is now named B4logV2.mdb and is
       NOT compatible with the old B4log.mdb file. This will require "NO Log" users
       to perform an ADIF import to pre-populate the file with their B4 QSO data.
       See the "Logging -> Log B4 Database" section of the Settings.

    - JTAlertV2.Manager: Process is now forcibly terminated if found to be running
       when JTAlert is first started.

    - Text Messages: Long received messages that were not originally sent with
       embedded carriage returns are now automatically wrapped when being displayed.

    - Highlight WSJT-X DT: The option "Highlight Band Activity DT values that
       exceed threshold" has been removed. Highlighting DT values is still available
       in the JTAlert Decodes window.

  Fixes:

    - MySQL: "MySql Start Failure" message when trying to open the Settings window.

    - IOTA data: Not logged for Log4OM V1 & V2 MySQL logs.

    - Decodes Window: When running multiple JTAlert instances, decodes from one
       or more instances were not being displayed depending on startup sequence
       and if the Decodes window was closed and reopened during a JTAlert session.

    - Decodes Window: Missing decodes when running multiple JTAlert instances
       against several very busy bands resulting in UDP receive buffer overflow.

    - Alerting incorrect callsign: Decodes containing two callsigns only, flags
       the 2nd callsign as a gridsquare (when it is a non-standard callsign and
       the first 4 characters follow valid grid formatting) and incorrectly
       flags the 1st callsign as the transmitting callsign.
       eg. "P29ZL OL725PLZ" when OL725PLZ is Tx, JTAlert will alert on P29ZL.

    - Worked B4: Callsigns signing /MM, /R, /A, /P and /M failing worked B4 check.

    - Cocos Island: TI9A incorrectly shown as Cocos (Keeling) Islands. This is a
       cosmetic display defect only. All alerting and logging correctly used the
       dxcc #37 which is Cocos Island.

2.15.8 (24-JAN-2020)

  *** Includes Callsign database file version 2020-01-24 (2020-January-24)

  New Features:

    - Log4OM V2: Full support for Log4OM V2, both SQLite and MySQL logs.

    - Log4OM V1/V2 SQLite logs: "Test" button to check log file selected is
       a valid SQLite file for the Log4OM version and contains QSO records.
       See Settings window, "Logging -> Log4OM..." sections.

    - Logging option: New "Do not check or report logging success/failure".
       This option when ticked (off by default) instructs JTAlert to not try
       and confirm that a QSO was logged by reading the Loggers log directly.
       Once the logging instruction has been sent, JTAlert goes back to normal
       operation, there are no delays or hangs as JTAlert is stuck waiting to
       confirm the QSO was logged. JTAlert will however still report a logging
       failure when it could not initially establish the TCP or UDP connection
       to the target logger.

  Changes:

    - MySQL support: libmysql.dll file updated to v6.1.10 (previously v5.1.37)

  Fixes:

    - ADIF logging: Excessive time to confirm QSO logged successfully when using
       large adif files. 200,000 record check now takes ~1 sec (previous ~45 secs)

2.15.7 (14-JAN-2020)

  *** Includes Callsign database file version 2020-01-14 (2020-January-14)

  New Features:

    - Help About: Display now shows the current listening UDP ports and initialized
       status of each of the modules of the JTAlertV2.Manager process.

    - Decodes window: "Copy to Clipboard" and "Open Browser to QRZ.com" functions
       added to Callsign right-click context menu.

  Changes:

    - JTAlertV2.Manager process: Introduced a small (200ms) delay between UDP
       initialization instructions for each module handled by the process. This
       was needed by some underpowered or high CPU utilization PCs which were
       experiencing module init failures (eg, online logs, XML services & DXLab).

  Fixes:

    - Callsign Tooltip & Decodes Window: Missing Grid/Distance/Bearing data when
       decode doesn't contain a grid but earlier decodes did (the grid data was
       not being cached correctly).

    - Confirmed Bands Display: USState total count showing the Dxcc total count.

    - WSJTX: Not responding to callsign clicks or callsign coloring when WSJT-X
       has been restarted after a crash or has been forcibly killed while
       JTAlert remains running.

    - Text Messages: Online status not working for instance #2 and higher.

    - Text Messages: Incorrect or invalid UTC Date shown for received messages

    - User Alert: Test function (Settings window) not working (2.15.4 defect).

2.15.6 (01-JAN-2020)

  *** Includes Callsign database file version 2020-01-01 (2020-January-01)

  New Features:

    - Length of time old decoded callsigns will remain visible when there are no
       new incoming decodes is now configurable from 1 to 10 mode periods.
       A setting of 1 period will give a similar result to previous JTAlert
       versions where callsigns are displayed for one period only.
       (Default: 2 periods, Window: Settings, Section: "Window").

    - JTAlert will detect any changes in Windows audio output device ordering,
       which typically happens when the default device is changed. JTAlert will
       adjust to using any new device id assigned to your named JTAlert audio device.
       There can be up to a 60 sec delay before device reordering is detected.
       Note: any addition or removal of Windows audio devices while JTAlert is
       running is not handled and may break JTAlert audio, JTAlert will need to
       be restarted to account for the changes in number of Windows output devices.

  Changes:

    - JTAlert no longer preemptively clears the callsigns prior to a new batch of
       decodes is received from WSJT-X, instead the Callsigns are cleared just
       prior to a new batch of Callsigns is to be displayed. If WSJT-X fails to
       decode a period or monitoring is turned off, the last batch of displayed
       Callsigns will remain visible, matching the last batch of decodes
       displayed in WSJT-X.

    - Cached callsign data (dxcc, zones, state, etc) now reused across JTAlert
       sessions (previously cleared at start of each session). Callsign data is
       auto-cleared after 7 days which will trigger a new lookup when the call
       is next decoded. This will help reduce alerting delays during the initial
       decode periods when JTAlert is first started on very busy bands.

    - Faster display of the decoded Callsigns at the end of an Rx period.

    - "Check QSO Log Record" time setting moved from the "Performance" section
       to the "Logging" section of the Settings window.

  Fixes:

    - Band Activity popup window showing an unwanted taskbar button.

    - Decodes database storing decode data from instance #1 only. (2.15.4 defect)

    - Decodes distance column header text showing "km" instead of "Miles" after
       loading a Layout file when the settings specify miles display.

    - Decodes Layout not restored correctly. Note: The default all columns layout
       may be shown when this version is run for the first time, with future runs
       the last used layout will be correctly shown.

2.15.5 (06-DEC-2019)

  *** Includes Callsign database file version 2019-12-02 (2019-December-02)

  *** Important:
  *** If the Windows default sound device is changed while JTAlert is running
  *** and Alert sounds stop playing, restart JTAlert.

  Changes:

    - Performance setting "Disable dupe removal and frequency sorting" is now
       permanently enabled. It is no longer user-settable.

    - Cached callsign data (dxcc, zones, state, etc) now reused across JTAlert
       sessions (previously cleared at start of each session). Callsign data is
       auto-cleared after 7 days which will trigger a new lookup when the call
       is next decoded. This will help reduce alerting delays during the initial
       decode periods when JTAlert is first started on very busy bands.

  Fixes:

    - Some users experiencing no audio after changing Windows default sound device
       or after an automated Windows reassignment of default device after an
       existing device is unplugged or goes to sleep. (2.15.4 defect)

2.15.4 (04-DEC-2019)

  *** Includes Callsign database file version 2019-12-02 (2019-December-02)

  Changes:

    - The Windows Default Sound Device is NO longer supported as one of the
       selected audio devices. A specific named device must be set.
       JTAlert will now present a dialog to change the device whenever it
       encounters (at startup) the last used named device is no longer found
       or was never set (ie was using the Windows default).
       Reason for change:
       In the past JTAlert would default to using the Windows default if the
       previously used device is no longer found or was never set. This worked,
       but in some cases had the undesirable affect that sounds were getting
       played on-air if the users sound devices had been reassigned (usually
       after a Windows update) such that the Windows default was now the WSJT-X
       rig audio device. By eliminating the use of the Windows Default Device,
       provided the user doesn't set the JTAlert audio device matching the Rig
       audio device JTAlert sounds will never be played on-air.

    - JTAlert no longer uses fixed UDP ports for inter-process communications
       between JTAlert.exe and JTAlertV2.Manager.exe. Ports are now assigned
       by the Windows OS from free ports in the range 49152 to 65535.

  Fixes:

    - Mode not written to the B4Log.mdb file when logging is disabled.

2.15.3 (16-NOV-2019)

  *** Includes Callsign database file version 2019-11-16 (2019-November-16)

  New Features:

    - Ability to select the Sound device to use for alerts via the "Sound" menu.

  Changes:

    - Toggle Sound on/off hotkey has been removed.

    - Country name change, Swaziland is now "Kingdom of Eswatini". This is a
       cosmetic change, the underlying dxcc number as used by the Dxcc Alert
       remains unchanged (# 468).

  Fixes:

    - Sound Card drop-down list in the Settings window not highlighting active
       selection after JTAlert restart.

    - Sound not playing for a small number of users.

    - Callsigns display not cleared for non FT8/FT4 modes (JT65, JT9, MSK144)
       at approximately 48 seconds of the current minute.

    - Installed callsign database version included with the JTAlert installer not
       shown in the Program Updates section of the Settings window when an older
       database was previously installed by the standalone Database installer.

2.15.2 (10-NOV-2019)

  Fixes:

    - Some users experiencing delays in alert sounds playing (5, 10, 30 seconds).
       The delays were common among Flex/DAX users. The cause is unknown and was
       resolved by changing the sound library used (first introduced in 2.15.1)

2.15.1 (07-NOV-2019)

  *** Includes Callsign database file version 2019-11-07 (2019-November-07)

  New Features:

    - Decreased load times when opening the Settings window. This will be most
       noticeable for users running older PC hardware.

    - Option to include ADIF header in the LastQSO.adi file.
       (Default: ON, Window: Settings, Section: Logging, Last QSO API).

  Changes:

    - The JTAlertPlugins.exe file, a recent source of false-positive detection's by
       some major protection software vendors, has been replaced along with all 15
       plugin files with a single multi-threaded executable. This file uses high-
       performance (compared to the old code) .NET based code taken from the
       JTAlertV3 project. Functions handled by this file are...
         - Playing alert sounds.
         - XML lookups (QRZ and HamQTH)
         - Weblog uploads (QRZ, Eqsl, HrdLog, ClubLog and HamQTH)
         - Uploading of Spots to HamSpots.
         - Downloading of Band Activity data from HamSpots
         - Managing sending/receiving of Text messages and Callsigns online checks.
         - User defined Alerting.
         - JTAlert session files cleanup.
         - Program updates available checks.
         - All DXLab DDE based functions. This includes DXK, DXV and PF callsign
            lookup, DXV rotator control and local spotting to SC.

    - Callsign validation has been simplified. When processing decodes or entering
       Callsigns for the Wanted Callsign and Ignored Callsign alerts only minimal
       validation is performed. This change is due to the large number
       of special event Callsigns that don't follow traditional Callsign layout
       that are now very common on the bands. Words that don't pass these rules
       are deemed invalid and ignored, less than 3 characters, all numbers or
       all letters, looks like a 4 character Grid and "TU73".

2.15.0 (24-OCT-2019)

  *** Includes Callsign database version 2019-10-24 (2019-October-24)

  New Features:

    - "Online for text messages" indictors for decoded callsigns. Callsigns
       that have messages enabled will be indicated by underlining of the
       callsign and the callsign tooltip will show an "ONLINE" entry.

    - Selectable mode columns in the Band Activity window. A minimum of one Mode
       displayed is enforced. Default is all four modes are displayed. Use the
       "View -> Band Activity Options -> Mode Display" menu to deselect modes,
       or via the Settings window, "Window -> Band Activity Display" section.

    - New JTAlertV2.Manager.exe process that uses new JTAlertV3 multithreaded
       .NET code to manage BandData collection, Text Messaging, Spotting to
       HamSpots and update checks. This replaces some of the functionality of
       the current (old and slow) JTAlertPlugins.exe manager. Eventually all
       plugins will be moved to the new .NET based manager application.

  Changes:

    - Number of TCP ports for accessing BandData, Spotting to HamSpots and
       Text Messaging services has been doubled for each, from 2 to 4 ports.
       JTAlert no longer uses a fixed port for each service, but randomizes
       the port used with each JTAlert session. This is done to provide load
       balancing on the Server hosting the services.

    - Band Activity data refresh rate changed from 60 seconds to 30 seconds.

    - Spotting to HamSpots changed from every 60 seconds to every 30 seconds
       (every two FT8 periods) at 18 seconds and 48 seconds.

    - Text Message window now shows "OFFLINE" for callsigns who don't have text
       message receipt enabled.

    - Previous text messages shown increased from 5 to 10.

    - The limit of one text message per callsign stored on the Text Message Server
       waiting to be collected has been removed. There is now no limit.

    - The character limit of text messages has been increased from 128 to 256.

    - Uncollected text messages are automatically removed from the Server after
       12 hours. This is a change from the previous age limit of 2 hours.

    - Callsign underline for JT9 decodes has been removed.

    - Added a 600ms delay before the BandActivity popup will show in response
       to the mouse cursor being over the Bands display area. Quick movement of
       the mouse cursor over the Bands area will no longer show the popup.

    - JTalert update checks and Text Message User online checks now using
       secure https. This is a permanent change and will require that users
       with old Windows PCs have upgraded to using current generation SSL.
       If you can access HamSpots.net using https than you should be OK.

  Fixes:
    - JTAlert becoming temporarily unresponsive with excessive window flicker
       lasting from several seconds to several minutes depending on the PC
       environment, caused by an internal code race-condition being triggered.

    - Excessive window flicker when callsign slots are painted or cleared and
       the Band Activity display is refreshed.

    - Band colors in the Band Activity status bar not reflecting the actual band
       counts as shown in the popup window. This affected all bands on the
       Traditional Layout build only. (2.14.0 defect)

    - Missing FT8 column gridlines in the Band Activity window.

    - IOTA data not being logged to any of the supported Loggers.

2.14.5 (30-SEP-2019)

  New Features:
    - Option to turn off State Code display after Callsign.
       (Default: OFF, Window: Settings, Section: Alerts, Wanted States).

  Changes:
    - The JTAlert "Alternate Layout" build has been renamed "Alt Layout".
    - "Alt Layout" builds of JTAlert are no longer provided via a separate installer.
       The one installer now includes both builds of JTAlert, "Traditional" with
       menus in the title bar and "Alt Layout" with the menu below the titlebar.
       Switching to a different layout build is simply handled by executing the
       correct shortcut.
    - "Alt Layout" builds of JTAlert now use unique colored icons for the shortcuts
       and the JTAlert window titlebar.
         Red => JTAlert for WSJT-X.
         Blue => JTAlert for JTDX.
         Green => JTAlert (Alt Layout) for WSJT-X.
         Purple => JTAlert (Alt Layout) for JTDX.
    - Support for JTDX non-standard FT4 UDP decode mode identification
       character. (WSJT-X = "+", JTDX = ":")

  Fixes:
    - ADIF import window progress bar not displaying to the full width when the
       import has completed and reaches 100%.
    - Log4OM MySQL logs not being scanned correctly resulting in all entities
       (dxcc, state, etc) being flagged as needed. (2.14.4 defect)
    - Application auto-start entry "Close" checkbox incorrectly enabled when
       the "Start" checkbox is unchecked.
    - Desktop shortcuts for additional callsigns (under the Station section of
       the Settings window) created for no-longer-supported JT65-HF & HB9HQX
    - TX Mode not displayed in JTAlert titlebar status (between the square
       brackets) when JTAlert is working with JTDX.

2.14.4 (13-SEP-2019)

  New Features:
    - Decodes History CQ direction filtering via a right-click context menu on
       the direction word (in the CQ column).

    - The Callsign database is no longer optional for JTAlert, as such it is now
       included in with the JTAlert installer program. The database version
       included with the JTAlert installer will be current at the time of the
       installer release. Users who want to keep the database current should
       continue to run the separate Callsign database installer.

  Changes:
    - "JTAlertX" title name changed to "JTAlert"
    - JTAlert window icon changed to the Red musical note (previously Red "X")
       when working with WSJT-X.
    - JTAlert window icon changed to the Blue musical note (previously Blue "X")
       when working with JTDX.
    - "Decodes History V3" window name changed to "Decodes".
    - Updated sqlite3.dll file to latest general release version (3.29.0.0).
    - JTAlert Installer now automatically displays the Release Notes at the end
       of the Install unless checkbox is un-checked.

  Fixes:
    - WSJT-X UDP rebroadcast not being actioned for invalid UDP messages (invalid
       magic number in header or unsupported schema) and UDP decode messages
       where the decode is flagged "off-air".
    - Not responding to a "WM_CLOSE" Windows message sent by 3rd party applications.

2.14.3 (21-AUG-2019)

  Changes:
    - Decodes History DB highlighting is now dual purpose, highlighting either weak
       signals or strong signals. Setting the threshold below 0dB will perform weak
       signal highlighting or setting the threshold above 0dB will perform strong
       signal highlighting.
    - Decodes History DT & DB highlighting now have user settable background colors.

  Fixes:
    - Unable to delete Wanted Callsign list entries that contain a wildcard
       character added to the list through a file import. (2.14.2 defect)
    - MSK144 "T" column in WSJT-X incorrectly highlighted values due to the
       "DT" highlighting used for other modes, FT8, FT4, etc.

2.14.2 (12-AUG-2019)

  Fixes:
    - Wanted Callsign csv file import not accepting entries with a wildcard
       character ("%").
    - Missing Settings option to enable/disable single-click of Callsign (main
       JTAlert Window) copy of Callsign text to clipboard.
       (Default: OFF, Window: Settings, Section: Window).
    - Missing "FT4" from the "Any WSJT-X Mode" Mode Tracking dropdown list
       of all Wanted Alert types. This was a cosmetic defect only.
    - Spelling errors in Language file.

2.14.1 (29-JUL-2019)

  New Features:
    - Single left mouse click on a Callsign in the Decodes History on the main
       JTAlert window automatically places the callsign in the Windows clipboard.

  Fixes:
    - FT8 Dxcc bands confirmed status showing as worked in the Bands Confirmed
       /Worked display (below the log fields area). (2.14.0 & 2.5.0 defects)
    - Manually updating Wanted DXCC lists, the Add All & Del All buttons not
       correctly updating the lists for FT4 only, the changes are not remembered.
    - Scan Log report for CQZones, title incorrectly shown as FT8 for the FT4
       scan, and only when running all scans. The actual scan was correctly
       scanning FT4 QSOs despite the report title.
    - Callsign slot text being copied to clipboard when double-clicked. This
       was unwanted default behaviour of the controls used in JTAlert.

2.14.0 (25-JUL-2019)

  New Features:
    - FT4 mode is now fully supported. FT4 Alert tracking for all Alert types.
       The Bands worked/confirmed display now supports FT4. The BandActivity
       includes FT4 rx/tx counts.

  Changes:
    - MixW logging no longer available.
    - JT65-HF support no longer available.
    - HB9HQX JT65-HF edition support no longer available.
    - Minor cosmetic changes to accommodate FT4.
    - Band Activity now includes 2200m, 630m, 4m & 2m. Note: these additional
       Bands are visible in the status bar of the "Alternate Layout" build of
       JTAlert only. All Bands regardless of JTAlert build are shown in the popup.

2.13.10 (06-JUL-2019)

  Fixes:
    - WSJT-X hashed callsigns (with "<>" brackets) not being colored when an
       alert is generated and the decode is a non-CQ. (2.13.8 defect)

2.13.9 (03-JUL-2019)

  Changes:
    - B4Log.mdb adif import now imports FT4, MSK144 & QRA64 QSOs.
       Note: The B4Log.mdb file is only used when there is no enabled logger.

  Fixes:
    - ADIF Logging, import process not importing FT4 QSOs recorded as MODE=MFSK
       + SUBMODE=FT4. QSOs recorded as MODE=FT4 were imported correctly.
    - Special event callsigns with a single leading alpha character,
       like "R2019CG" not passing validation causing lack of alerts and an
       inability to add to the "Wanted Callsign" list.

2.13.8 (19-JUN-2019)

  Changes:
    - Contest exchanges forced to upper-case when sent to N3FJP loggers.

  Fixes:
    - Non-responsive Minimize and Close buttons (traditional JTAlert) after
       Win10 v1903 update. Note, these buttons still don't display the normal
       color changes when the mouse pointer is hovered over the buttons, but
       are now responding to mouse-clicks.
    - Alerted DX Callsign coloring in WSJT-X applied to the wrong decode when
       another station is calling that DX Callsign in the same period as the DX
       is transmitting and their decode appears after the original DX decode.
    - B4 colors not being applied. (2.13.6 defect)

2.13.7 (27-MAY-2019)

  Fixes:
    - AClog pre-entered "Comments", "Name" and "Grid" data being removed by JTAlert
       logging when the corresponding fields in JTAlert and WSJT-X contain no data.

2.13.6 (23-MAY-2019)

  New Features:
    - Decodes History: Highlight excessive DT values (bold font + red background).
       (Default: ON, threshold 1.5 sec, Window: Decodes History Settings).
    - Excessive DT highlighting within the WSJT-X Band Activity panel.
       (Default: ON, threshold 1.5 sec, Window: Settings, Section: Applications, WSJT-X).
    - Option to log FT4 mode QSOs as ADIF 3.1.0 compliant, MODE=MFSK + SUBMODE=FT4.
       Available for ADIF File, last QSO ADIF, DXKeeper, Log4OM, & HRD 6.5+ only.
       *** NOTE *** Do not enable this option unless your Logger has been updated
       to require this MODE/SUBMODE for FT4 QSOs.
       (Default: OFF, Window: Settings, Section: Logging).

  Changes:
    - Alert color highlighting of Callsigns in WSJT-X has been extended to highlight
      the entire decode message when the decode is a CQ. Non CQ decodes will only
      highlight the Tx Callsign (as in previous versions).

  Fixes:
    - With the "hide B4" filter active, Wanted Alerts were not shown/played when
       Callsign was a B4 and the Ignore B4 option for the Alert is enabled.

  Note: The DT value highlighting in WSJT-X and the Decodes History involve
        independant settings that are not syncronised. The enabling and the DT
        threshold value for WSJT-X highlighting is handled by The JTAlert Settings
        while the Decodes History has its own independant settings.

2.13.5 (11-MAY-2019)

  Fixes:
    - Missing CQ indicators, "*" & "#", when mode is FT4.
    - UDP error when using JTDX with a --rig-name (2.13.3 defect).
    - Help file missing "Tutorials -> N3FJP Contest Logs Logging" topic.

2.13.4 (01-MAY-2019)

  *** Important Note:
  *** Decodes History users will need to manually delete two database files
  *** before running this version for the first time. This only needs to be
  *** done once. Old decodes in the History will be lost.
  *** Using Windows File Explorer delete "decodes.sqlite" and "lookup.sqlite"
  *** which are located at %localappdata%\HamApps\JTAlert\YOUR_CALLSIGN\Decode\
  ***
  *** FT4 support is only partial. There is no Alerting for FT4 DXCCs, States, etc.
  *** Accurate FT4 B4 checks and FT4 logging are fully supported.

  Fixes:
    - FT4 Callsigns not being displayed in the Callsign display.
    - FT4 decodes not being displayed in the Decodes History window.

2.13.3 (28-APR-2019)

  New Features:
    - Decodes History: Highlight (bold font) DX Callsign setting.
       (Default: ON, Window: Decodes History Settings).
    - Decodes History: Ability to hide one or more Sources, Continents,
       Countries, States and/or Callsigns from the display. See the resulting
       context menu when right mouse clicking one of the values.
    - Decodes History detailed Filter status window when clicking the filter
       status in the lower status bar when "Filtered" is shown or via the top
       "Filter -> View detailed Filter status" menu entry.
    - Decodes History display Clear (under the View menu). This clears the
       display, but does not clear the database.

  Fixes:
    - Not reading correct WSJT-X config file for 64bit compiled versions of
       WSJT-X running with a --rig-name parameter.
    - Decodes History export files missing the "Source" field data.
    - Decodes History not coloring B4 callsigns.
    - Decodes History fatal error when trying to sort a column of the display.

2.13.2 (25-MAR-2019)

  New Features:
    - Decodes History now displays in the status bar (to the right of the clock)
       a median calculation of decode DT values. Initially no display until
       sufficient samples (25) are collected. If the median DT exceeds +-2 it is
       colored red, while DTs between +-1 and +-2 are colored yellow. A tooltip
       provides information about the sample count and time period. See the
       "Introduction" topic of the Decodes History Help.

  Changes:
    - Macedonia renamed to North Macedonia. This doesn't require any changes by
       the user as the logged DXCC number is unchanged and DXCC alerting is
       based on the DXCC number, not the Country name.

  Fixes:
    - Decodes History displaying DT values incorrectly for Windows users
       with a language that uses a period "." as a number group separator.
       eg "1.0" became "10", "1.6" became "16, "0.1" became "1", etc.
    - Scan Log failing to update Wanted lists for some Log entries.
       This affected a very small number of QSO records, those with
       State/Province data that contained a single quote.
    - Some Callsigns with two slashed suffixes not decoding due to failed
       callsign validation. eg AA1AA/2/P

2.13.1 (12-MAR-2019)

  Changes:
    - Decodes History "Receiver/Rcvr" column now named "Source/Src".
    - Callsign highlighting UDP commands are no longer sent to JTDX. Callsign
       highlighting is available for WSJT-X only.

  Fixes:
    - Decodes History Filter Controls panel not showing after Layout file load.
    - Decodes History column header missing tooltips.

2.13.0 (07-MAR-2019)

  New Features:
    - New Decodes History (part of the under development JTAlertV3).
    - Callsign highlighting within the WSJT-X Band Activity panel. Callsigns are
      coloured, matching the alert color for the Callsign in the main JTAlert window.
       (Default: ON, Window: Settings, Section: Applications, WSJT-X).
    - N3FJP Contest Logs no longer require the mode override being set.
       JTAlert now shows the correct Callsign/DXCC/State Bands worked status for
       the current WSJT-X DXCall.
    - Option to enable logging of WSJT-X sent and received Contest exchanges.
       (Default: OFF, Window: Settings, Section: Logging. "Log WSJT-X Contest
        Exchanges" checkbox under Logging Options).
       (Note: DXKeeper does log these Contest exchanges, but does not use them
        when creating its Cabrillo file. It is recommnded that DXKeeper is not
        used for Contest logging via JTAlert. HRD and Log4OM have not been
        tested to see if they exhibit the same behaviuour as DXKeeper)

  Changes:
    - WSJT-X sent and received Contest exchanges (SRX_STRING & STX_STRING)
       are no longer automatically logged to DXKeeper, HRD V5/V6 or Log4OM.
       ACLog, ADIF & N3FJP Contest Logs are not affected by this.
       See the New Features above for a description of the applicable setting.
    - N3FJP RTTY Roundup Contest Log enabled status in JTAlert title text
      changed from "RCL" to "RRCL".
    - Last QSO ADIF UDP transmission can now be disabled.

  Fixes:
    - WSJT-X 2.0.0 Special Operation Mode status incorrectly shown in JTAlert
       titlebar text when running against JTDX.
    - Setup not showing install path selection page if JTAlert already installed.
    - QSL flags/stripes not painted for some callsigns. This was typically seen
       on busy bands when JTAlert was set for multiple callsign display lines
       with less than 9 callsigns per line.
    - Marathon Scan Log randomly not identifying previosuly worked WAE Countries
       like IT9 Sicily.
    - Blocked Spotting popup message showing incorrect non-https web link.

2.12.10 (28-DEC-2018)

  New Features:
    - Logging WSJT-X 2.0.0 Special Operation Mode Contest QSOs (RTTY Roundup,
       Field Day & NA VHF) to N3FJP Contest Logs (ARRL RTTY Roundup, ARRL Field
       Day & VHF respectively). Important: See JTAlert Help File for setup & usage.
       ("Tutorials, N3FJP Contest Logs Logging" topic).
    - WSJT-X 2.0.0 Special Operation Mode shown in JTAlert titlebar status text.
       [RU] = RTTY Roundup, [FD] = Field Day, [EU] = EU VHF, [NA] = NA VHF
       [FOX] = Fox, [HND] = Hound.
    - Option to log WSJT-X 2.0.0 Contest exchanges (rcvd & sent) to N3FJP ACLog
       "Other" fields.
       (Default: OFF, Window: Settings, Section: Logging, ACLog, Other Fields).

  Changes:
    - Maximum number of auto-start applications entries changed from 10 to 30.
    - Updates available titlebar indicator changed from "(Updates!)" to "(!)".

  Fixes:
    - Incorrect Log4OM Sqlite Log file mismatch warning shown at JTAlert startup
      when file paths contain non-english accented characaters.
    - FT8 Decodes containing two callsigns only, incorrectly flags the 2nd
       callsign as a gridsquare (when it is a compound callsign that follows
       gridsquare formatting) and incorrectly flags the fist callsign as the
       transmitting callsign. eg. "VK3AMA AA12BB" when AA12BB is transmitting.
    - Address data containing single quotes (apostrophe) logged with multiple
       single quotes to DXKeeper & HRDLogbook V6.
    - Callsign of directional CQ decode with 3 & 4 character direction word
      incorrectly displayed with standard CQ indicator ("*") and colored border.

2.12.9 (17-DEC-2018)

  Changes:
    - 3 and 4 alpha character directional CQ messages (previous only 1 and 2
       alpha character) are now alerted and spotted. eg. "CQ TEST VK3AMA QF22"
       is now alerting and spotting the Callsign, "VK3AMA".

  Fixes:
    - HRD V5 logging failing. (2.12.8 defect)
    - Callsigns not displayed when using MSK144, JT65, JT9 & T10 (2.12.8 defect)

2.12.8 (16-DEC-2018)

  New Features:
    - Logging of WSJT-X Contest Exchanges (SRX_STRING & STX_STRING). Requires
       WSJT-X v2.0.0. Available for DXKeeper, Log4OM, HRD V5/V6, ADIF file,
       lastqso ADIF file and lastqso UDP broadcast.

  Changes:
    - All Alert sounds are now disabled if JTAlert is set to use the same
       Soundcard output device as that configured in WSJT-X & JTDX. A warning
       popup message is shown and and all sounds are disabled for the duration
       of the current JTAlert session.
    - WSJT-X decodes will no longer be processed (no alerting or spotting) if
       a band change has occured during an FT8 15 second period. There are no
       longer any attempts to determine the true band of the spots based on
       where in the 15 second period (early, mid or late period).
    - Increased timeout before showing the unable to communicate with WSJT-X
       error window. Timout changed from 30 seconds to 2 minutes. JTAlert needs
       to receive its first UDP packet from WSJT-X within this time period.
    - Distance value for the "Out of Shack" distance trigger is now manually set
       up to 5 numeric digits (previously a dropdown list of discrete values).
    - Header added to LastQSO.adi file.
    - ?, About window now reports the enabled WSJT-X special operation mode.
      Fox, Hound and supported Contests. WSJT-X v2.0.0 only.
    - Callsign validation extended to accept non-traditional callsign naming.
       eg "DM152ZYA", "TC630MECCA", "DL70PADER", "SX60RAAG", "DF1000ZEIL"
       Typically seen with special event Station callsigns that are now being
       decoded by 77 bit FT8 (since WSJT-X 2.0.0).

  Fixes:
    - VK portable Callsigns (CALL/VK & VK/CALL) incorrectly alerted as Antarctica.
    - Callsigns shown as "" in WSJT-X decodes not processed and alerted.

2.12.7 (02-NOV-2018)

  Changes:
    - Late logging of a WSJT-X QSO (after changing DX Call before completing the
       logging of the previous DX Call), initially no longer shows a Callsign
       Mismatch error. The log fields data from a snapshot taken (for the
       previous DX Call) when the DX Call was changed is used if the Callsign
       of the snapshot matches the logged Callsign, otherwise the Callsign
       Mismatch error is still shown.

  Fixes:
    - Incorrect country for WSJT-X decode callsigns using special event words as
       the callsign prefix eg. POTA/Callsign, SOTA/Callsign, QRPP/Callsign, etc.
       (Why the recent change in operator behaviour? The convention has been to
       include these activation words as a suffix, eg Callsign/POTA).

2.12.6 (09-OCT-2018)

  New Features:
    - Logging the Operator Callsign if set within WSJT-X. (Available for DXKeeper,
       Log4OM, ADIF File, the Last QSO UDP broadcast and Last QSO ADIF file only).

  Changes:
    - Text Messages settings moved from "Web Services" to "Window, Text Messages"
       section of the Settings form.
    - Latitude and Longitude are no longer shown in the "Station Callsign" section
       of the Settings as the values were never used in logging.
    - Option to log QRG only (dial frequency only) has been removed. Frequency
       now logged will always be the true Tx frequency (Dial + df). Note: Since
       WSJT-X doesn't provide the Rx frequency in the logged QSO packet, the Rx
       frequency logged will be the Tx frequency.

  Fixes:
    - Incorrect Zones determination for some Russian Callsigns.
    - ADIF import failing on ADIF Master produced files where the last field of a
       QSO record contains data with unicode characters. (ADIF Master trucates the
       data of that field and produces an incorrect character count for the field)
    - Incorrect logging of dial & df (reported via the WSJT-X status packet) when
       Band is changed before finalising logging of the last QSO. That is the WSJT-X
       Log QSO window is open, the Band is changed before logging the QSO via the
       OK button on the Log QSO window.

2.12.5 (29-AUG-2018)

  Changes:
    - Default Check QSO retry time changed from 2 seconds to 5 seconds.
       Existing times less than 5 seconds automatically changed to 5 seconds.
       (Settings section: Miscellaneous, Performance).

  Fixes:
    - Some "RI1AN" prefixed callsigns reported as European Russia rather than the
       correct Antarctica.
    - Incorrect dxcc lookup for "CE,HB,HK,YV" portable Callsigns.
    - Adif Import throws an error dialog when reading an invalid config file.

2.12.4 (07-AUG-2018)

  Changes:
    - WSJT-X UDP receive packets rebroadcast (JTAlert Settings, Applications,
       WSJT-X section) is now automatically disabled if the port is incorrectly
       set to the same port as used by WSJT-X (UDP Server Port).
    - Config file (SQLite) changes to reduce the risk of file corruption.

  Fixes:
    - "OH/" prefixed callsigns incorrectly alerted as Aland Is (OH0) rather
       than the correct Finland (OH).
    - End of UTC day decodes (for 23:59:45 period) incorrectly have their date set
       to the new UTC day if the decodes are received for processing after 00:00:00.

2.12.3 (24-JUL-2018)

  Changes:
    - The ADIF import process now uses the frequency data in the log to determine
       the Band when the Band data is missing from the log file.

  Fixes:
    - Distance not being logged (affecting all Loggers) when using JTDX. Caused by
       JTDX UDP Protocol no longer up-to-date with the WSJT-X UDP specifications.
    - ADIF Scan Log not returning any found entries for the Wanted Lists when the
       input adif file doesn't contain QSO Band data.

2.12.2 (18-JUL-2018)

  Changes:
    - Settings will now show a "JTAlert requires a restart" popup message when
      the file for ADIF or MIXW logging is changed.
    - Miscellaneous internal code changes to improve responsiveness.
    - Additional debugging data to help diagnose some of the random errors
       encountered by some users, especially those using underpowered PCs.

  Fixes:
    - Non-US States/Provinces, when available from an XML lookup or previous
       QSO in the log, not being logged. This affected all supported loggers.
    - US Counties, when available from an XML lookup or previous QSO in the
       log, not being logged to MIXW log.
    - Random non-clearing and appending of current period Callsigns to the end
       of the last (non-cleared) period callsigns. On some slower PCs combined
       with a busy Band, this could happen for a number of consecutive periods.
    - A random defect where the number of display lines in the Decodes History
       window was increasing over time, rather than being automatically trimmed
       as new decodes were added.

2.12.1 (07-JUL-2018)

  New Features:
    - Worked B4 ignore option for Wanted Callsign Alerts. When enabled, a B4
       station will still generate the Wanted Callsign Alert, color and sound.
       (Default: OFF, Settings Section: Alerts, Misc Alerts, Wanted Callsign).
    - Option to exclude RTTY mode from "Any Digital Mode" Log Scans for Wanted
       CQ Zone Alerts.
       (Default: OFF, Settings Section: Scan Log and Rebuild, Wanted CQ Zone).

  Changes:
    - CQ Alert filter menu text changed to "Show CQ only Callsigns" to match the
       true filtering being performed.

  Fixes:
    - Posting logged QSO to online Logs failing. (2.12.0 defect)

2.12.0 (01-JUL-2018)
  *** Important Note:
  *** Windows XP & Vista are no longer supported.
  *** Installation will fail if attempted on these versions of Windows.
  *** Installation requires .NET Framework 4.7.2 to be installed on users PC.

  New Features:
    - Option to restore TextMessage window on JTAlert start.
       (Default: OFF, Window: Settings, Section: Web Services).
    - Option for TextMessage Callsign to follow WSJT-X DX Call changes.
       (Default: OFF, Window: Settings, Section: Web Services).
    - TextMessage window now displays "ONLINE" if the target callsign is using
       JTAlert and has message receipt turned on, otherwise nothing is shown.
    - Option to add right offset space to Band Activity display in titlebar.
       (Default: 0, Window: Settings, Section: Window, Band Activity Display).

  Changes:
    - New Adif File processing plugin offering significant improvement in file
       import speed. This uses new .NET based code.

  Fixes:
    - Incorrect Station Callsign logged after switching configurations in
       WSJT-X when the new configuration uses a different Station Callsign
       compared to the first configuration.


Version History 2.0.0 - 2.11.5

Navigation: Version History >

Version History 2.0.0 - 2.11.5

JTAlert Release Notes:
--------------------------------------------------------------------------------

2.11.5 (20-JUN-2018)
  *** Important Note:
  *** This is the last version that supports installation on Windows XP & Vista.

  Fixes:
    - Help file missing content (2.11.4 defect).
    - Some users (WinXP) not able to download version data (2.11.4 defect).

2.11.4 (18-JUN-2018)

   Changes:
     - Double-LeftMouse-click on Callsign to setup WSJT-X removed and replaced
        with Single-LeftMouse-Click.
     - All DXLab DDE functions (used for DXView/DXKeeper/Pathfinder lookups and
        SpotCollector spots) now handled by an independent plugin process.
     - JTAlert DXPedition Mode with N1MM+ logging support has been removed.
        This does not effect WSJT-X Fox/Hound Dxpedition mode.
     - Support for DL3VCO JT65-HF version has been removed.

  Fixes:
    - Random incorrect Grids shown in SpotCollector DXGrid & OriginGrid columns.
       Requires SpotCollector 7.9.8 for complete fix to the bad Grid Display.
    - Settings, Web Services, TCPIP tests reporting connection errors (#10060)
       despite the associated services working correctly (Band Activity Display,
       Spotting to HamSpots & Text Messages) (2.11.1 defect).

2.11.3 (05-JUN-2018)

  Fixes:
    - One time logging to HRD/DXKeeper/ACLog followed by subsequent logging
      failures and no decode reception from WSJT-X  (2.11.2 defect)
    - ADIF import failing for some adif log types (2.11.1 defect)

2.11.2 (04-Jun-2018)

  Fixes:
    - Intermittent logging failures to HRD, DXKeeper and ACLog. Caused by the TCP
       connect timeout value being too short for some systems. (2.11.1 defect)

2.11.1 (03-JUN-2018)

  New Features:
    - ADIF & MixW Logs show an import progress window after starting JTAlert.
       (B4 checks and Scan Log will be inaccurate until the import has finished)

  Changes:
    - JTAlert and all Plugins compiled using an updated version of the compiler.
    - Automatic Debug data recording is now disabled by default. Can be turned on
       via the Settings menu in the title-bar.
    - Auto-Halt after current TX symbol is hidden for FT8 mode. (previous disabled)
    - Callsign validation to accept Callsigns with 2 consecutive numbers.

  Fixes:
    - Decodes History database not updated with new decodes with the statistics
       staying at zero (2.10.17 defect).
    - CQ Marathon scans returning a total of 387 rather the correct 386.
       (386 = 340 dxcc + 40 cqzone + 6 WAEdxcc)

2.11.0 (Unreleased semi-private Beta.)

2.10.17 (20-APR-2018)

  New Features:
    - WSJT-X UDP packet rebroadcast. Rebroadcasts any received UDP packets on a
       user defined IP & Port.
       (Default: OFF, Window: Settings, Section: Applications, WSJT-X).
    - Option to disable Callsign frequency sorting (and dupe removal) of decodes
       at the end of a decode period, which causes Callsign shuffling in JTAlert.
       Typically seen when WSJT-X is set to Deep Decode. This will produce a notice-
       able speed up in the display of new Callsigns. This frequency sort was needed
       due to decodes being received in batches, out of frequency (DF) order, from
       WSJT-X (dupe removal was a side-effect of the sorting).
       (Default: ON, Window: Settings, Section: Miscellaneous, Performance).

  Changes:
    - Callsign sorting by frequency is now disabled by default, producing callsigns
       listed in the same order as WSJT-X. See the new feature above for detail.
    - Several plugins which were spawned every minute (or less) are now permanently
       running. Specifically, plugins for text messages, band activity, HamSpots.net
       spots and SpotCollector spots. (The plugin will not be run if the associated
       feature is not enabled).

  Fixes:
    - Very brief changeing of mouse pointer to the busy/waiting pointer several times
       per minute. Produced by the Windows OS whenever a background (non-window) process
       was spawned. This was NOT caused by JTAlert code changing the pointer claimed by
       some users, but by the Windows OS in response to a process load/start command.
    - Some users (Win7 & WinXP) not receiving updates available notifications.

2.10.16 (30-MAR-2018)

  New Features:
    - Clear button on Text Messages Window removes old messages.
    - Hotkeys to turn a DXLab DXView configured rotator, SP or LP for your current
       QSO partner (DX Call) when the DX Grid is set. Available for WSTX-X & JTDX
       only. The hotkeys are set to match those used by DXView (Alt+R = SP,
       Alt+P = LP) and cannot be changed.

  Changes:
    - ClubLog uploads now use secure http (https).
    - Callsign tooltip LoTW upload date extended to include the month as well as
       the year (format mm-yyyy). Note this requires the Callsigns database.
    - Ignored Callsigns will no longer trigger an "Out of Shack" alert regardless
       of any other alert types triggered by that callsign.
    - Internal code changes to try and prevent the random non-display of the Text
       Message window. Note, these changes may not correct the behaviour (as this
       has not been reproduceable in testing).

  Fixes:
    - QSL Message and Comments %Power% substitution not populated.
    - Log4OM SQLite Log logging failure message worded incorrectly as MySQL.
    - Incorrect LoTW & eQSL Flag positions on Alert Types Summary window.
    - Text Message window, if already open, not showing Callsign when using the
       right-click context menu of a decoded Callsign.
    - Decodes History: Random display of incorrect number of bars in Alerts graph
       (triggered by multiple image signals).
    - Grid Chase alerts for Callsigns already LoTW confirmed in the current Month
       when there existed a QSO for the same Callsign/Grid combination LoTW
       confirmed in a previous Month.

2.10.15 (14-FEB-2018)

  Changes:
    - Callsign data tooltip now includes the DF (Rx Freq) of the decode.

  Fixes:
    - Decodes History status values randomly displayed on non-JTAlert windows.
    - Kosovo (Z6) callsigns incorrectly displayed as "Rep. of Korea" in the
       Country Name field below the Callsigns of the main JTAlert display.

2.10.14 (02-FEB-2018)

  Fixes:
    - JTAlert closes unexpectedly when closing any of its child windows like
       the callsign history, decodes history, etc. (2.10.13 defect).
    - Wanted Marathon Alert needed and unneeded counts incorrectly displayed in
       the Settings (off by one) due to old Kosovo WAE entry present but not needed.

2.10.13 (01-FEB-2018)

  Changes:
    - Option to select JTDX executable name removed. JTAlert will now expect the
       JTDX executable to be named "jtdx.exe".
    - Option to clear DXKeeper Callsign Filter after logging removed.
       (Set the WSJT-X "Clear DX call and grid after logging" option instead)

  Fixes:
    - Antarctic based Callsigns incorrectly logged with Continent as "SA". This
       was due to the cty.dat file used by JTAlert. The cty.dat file uses "SA" for
       all Antartctic Callsigns by design and contains no "AN" entries. The DXCC
       and zones were correctly logged by JTAlert.
    - HRD V6 list of installed logs missing logs. This was caused by HRD V6 Logbook
       databases definition file layout changes.

2.10.12 (26-JAN-2018)

  *** This is a special build to try and avoid the false-positive virus warnings
  *** by MS Security Essentials/Defender that occured with 2.10.11
  ***
  *** All JTAlert executable files, including the plugin files have had their
  *** version number changed to 2.10.12 and have been recompiled, regardless of
  *** the lack of changes to the source files. They have all been recompiled to
  *** update their MD5 hash signatures and distinguish them as different from
  *** the files included in the 2.10.11 distribution.

2.10.11 (24-JAN-2018)

  New Features:
    - New DXCC Entity Kosovo (DXCC #522) now supported for alerts and logging.
       (Configuration Wanted DXCC and Marathon lists will be automatically updated)
    - Option to not display ToolTips using the Balloon style.
       (Default: OFF, Window: Settings, Section: Window, Popup Windows).

2.10.10 (21-JAN-2018)

  New Features:
    - Works with new 5.4 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)
    - Option to ignore warning and continue to log QSO when Logged Callsign is
       different from Current QSO Partner Callsign (or DX CAll cleared).
       (Default: OFF, Settings Section: Logging)

  Changes:
    - Many code tweaks & optimizations to improve repsonsiveness and
       facilitate defect diagnosis.

  Fixes:
    - With Grid Chase enabled, some Callsigns may not be detected as a B4,
       resulting in possible inappropriate alerting or non-alerting.

2.10.9 (14-JAN-2018)

  New Features:
    - Works with new 5.3.1 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Log4OM Settings, MySQL port field extended to accept 5 digits.
    - QSOs will not be logged and an error window will be shown if the Callsign
       to be logged doesn't match the Callsign of your current QSO partner.
       This occurs when double-clicking a new decode before completeing the
       logging of the previous QSO.

  Fixes:
    - With Grid Chase enabled, some Callsigns may not be detected as a B4,
       resulting in possible inappropriate alerting.
    - Manually changed Wanted States not being remembered with the needed count
       not updating. Affecting WAS alerts, on 20m and when mode tracking is set
       to "Any WSJT-X Mode (JT9 or JT65 or FT8)". (2.10.0 defect)
    - ADIF Scan Log not finding States when an LoTW ADIF export file is used.
    - Decodes History statistics not updated, decodes not restored after
       JTAlert restart and exports/backups non-functional.
       (affecting a very small number of users).
    - No B4 detection for those running with Logging disabled. (2.10.8 defect)
    - Scan Log ignoring ACLog records that were missing QSO frequencies.

2.10.8 (31-DEC-2017)

  Changes:
    - Decodes History Statistics refresh interval changed from once a minute to
       four times per minute inline with the FT8 T/R 15 second period.

  Fixes:
    - Intermittent Callsign double-clicks not being conveyed to WSJT-X.
       (Tnx to Mike W9MDB for the testing and the inspired suggestion for a
        change in JTAlert UDP handling that resulted in the fix.)
    - Intermittent failure to log QSOs to Log4OM.
    - Decodes History FT8 counts displaying the JT9 counts.
    - Decodes History Callsign alert colors not matching the alert colors of
       the JTAlert callsigns display area. (2.10.4 defect)
    - Frequencies above 23cm incorrectly logged.
    - WSJT-X UDP Communications error message when opening the Settings soon
       after starting JTAlert (< 15 secs).
    - Wanted Grids Scan Log for the ARRL 2018 International Grid Chase event
       not resetting the worked grids list at the start of each calendar month.
    - Worked Callsigns still triggering the Wanted Grid alert despite showing
       the B4 when the Grid Chase event is enabled.

2.10.7 (11-DEC-2017)

  New Features:
    - Works with new 5.2 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Fixes:
    - More changes to correct bad mode alerting/spotting of FT8 with JTDX 18.1.0

2.10.6 (09-DEC-2017)

  Fixes:
    - JTDX FT8 decodes alerted and spotted to HamSpots.net as MSK144. This is due
       to JTDX changes to the UDP protocol which are no longer compatible with the
       WSJT-X UDP protocol standard.

2.10.5 (01-DEC-2017)

  New Features:
    - Band Activity Display (titlebar), the color and visibility of the Band numbers
       is now controlled by the mode, either single mode counts or the highest
       count from a combination of modes (FT8,JT65,JT9) or (JT565,JT9).
       (Default: Auto (FT8,JT65,JT9), Settings Section: Window, Band Activity Display).
    - Wanted Grids option to instruct the Scan Log to only consider QSOs (year 2018)
       for the ARRL 2018 International Grid Chase event.
       (Default: OFF, Settings Section: Alerts, Wanted Grid)
    - Commandline parameter to change the enabled logger, "/log=".
       See the help file, Tutorials -> CommandLine Parameters topic.
    - Commandline parameter to specify the adif log file, "/logfile=". This is used
       only when "/log=ADIF" is also used. The file will be automatically created
       if it doens't exist and is a valid Windows name and path.
       See the help file, Tutorials -> CommandLine Parameters topic.

  Changes:
    - Spanish Language support removed.
    - "Scan Log and Update" (of Wanted Lists) renamed "Scan Log and Rebuild" to more
       accurately reflect the operations being performed.
    - Supported Bands extended. Now all bands from 2200m to 1.25cm are now correctly
       logged (previous unsupported bands were logged as 0m but with the correct freq).

  Fixes:
    - Non LoTW/eQSL Callsigns displayed despite QSL membership filters being set
       that should have hidden the Callsign from display.
    - For split operations the RX frequency (Dial + RX DF) was not being logged the
       TX frequency was being used for the RX value. This fix for WSJT-X only.

2.10.4 (27-OCT-2017)

  New Features:
    - Worked B4 ignore option for individual Wanted Alerts (DXCC, State, Zone, Grid,
       Prefix & Marathon). When enabled, a B4 station will still generate the Wanted
       Alert, color and sound, if the Alert is triggered by the decode.
       (Default: OFF, Settings Section: Alerts, see individual Alerts).
    - JTAlert usage license included in ?->About menu, Settings->About section
       and the Help file.

  Fixes:
    - CQ Alerts not obeying some of the QSL Filters (2.10.2 defect).
    - Own Call alerts not showing the "B4" indicator (2.10.2 defect).
    - F7 Hotkey not opening the Browser to the FT8 page when TX mode = FT8.
    - DXCC Names below Callsigns not displayed when the number of visible Callsign
       lines is increased during a JTAlert session (affecting the newly added lines).

2.10.3 (07-OCT-2017)

  New Features:
    - Works with new 5.0 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Fixes:
    - Truncated "Name" ($) Macros substitution. (2.10.2 defect)
    - HRD6 logging multiline address truncated. (now using undocumented API format)

2.10.2 (05-OCT-2017)

  New Features:
    - Don't display non-alerting Callsigns filter option.
       (Default: OFF, Settings Section: Alerts, Filters).
    - B4 Alert, Option to ignore Mode when testing B4 status.
       (Default: OFF, Settings Section: Alerts, Worked B4).
    - DXKeeper, Option to instruct DXKeeper to upload logged QSO to LoTW.
       Uploads to LoTW require DXKeeper 14.2.0 or later.
       (Default: OFF, Settings Section: Logging, DXLab DXKeeper).
    - Gridsquares, Option to apply standard format to all logged qrids (eg AA99aa).
       (Default: OFF, Settings Section: Logging).
    - Out of Shack alert triggers, Option to obey the Alert Filters if set.
       (Default: ON, Settings Section: Alerts, Miscellaneous Alerts, Out of Shack).
    - Out of Shack alert triggers, Option to ignore worked B4 decodes.
       (Default: OFF, Settings Section: Alerts, Miscellaneous Alerts, Out of Shack).
    - ACLog, Option to clear ACLog data entry fields prior to JTAlert logging.
       (Default: OFF, Settings Section: Logging, ACLog).
    - JTDX, Option to indicate that JTDX is using the wsjtx.exe process name.
       (Default: ON, Settings Section: Applications, WSJT-X).
    - Logging, Option to include seconds in the TIME_ON and TIME_OFF data sent in
       the logging command. (Default: OFF, Settings Section: Logging).
    - Two new QSL Message and Comments substitutions. %QsosFT8% and %BandsFT8%
       See help file for more detail (Settings, Logging topic).
    - Two new Macro window substitution characters.
       ":" = Previous FT8 Band Count, ";" = Previous FT8 QSO count.
    - Support for WSJT-X Alt-Double-Click on CQ Calls behaviour. For the latest
       WSJT-X builds only (r8108 or later). WSJT-X will not move Tx, only Rx is
       moved when "Lock Tx-Rx" is unchecked.

  Changes:
    - Check of active Log4OM sqlite log file no longer performed at startup
       when the Log4OM installation is on a remote PC.
    - XML data, additional keywords added to the two name QTH tests.
    - Band Activity counts abbreviated to +1K for counts of 999 to 1999.
       Similarly, +2K, +3K, +4K and +5K (for counts in excess of 4999).
    - QSL Alert Filters no longer have dedicated CQ variants. A separate CQ only
       option is available that will automatically apply to any QSL filters set.
    - Worked B4 alert enable/disable removed (use the filters to hide B4 calls).
    - Show/hide Worked B4 and Ignored Callsigns options moved to Filters menu
       and Alerts -> Filters section of Settings.

  Fixes:
    - HRD logging, address data previously turned off due to HRD API defect.
    - ADIF Logging, Previous QSO lookups returning gridsquare as all uppercase.
    - Inability to set the character case of your Station Gridsquare in Settings.
    - Band Activity, non-display of inactive Bands not utilising FT8 counts.
    - Old ADIF log sqlite cache files not being deleted.
    - Decoded Grid (DXGrid) not being sent to SpotCollector (2.9.9 defect).
    - Macro window substitutions not picking up data from JTAlert main window.
       Affecting WSJT-X and JTDX operating mode (2.10.0 defect).
    - Individual Wanted Alert sounds playing despite "Out of Shack" being enabled
       and decodes not triggering an "Out of Shack" alert.
    - CQ Callsigns incorrectly displaying CQ indicator and border when alert filters
       set to non-alert these callsigns (based on QSL filters).
    - Worked B4 file (B4log.mdb) import not recognising FT8.
    - Some Callsigns not being passed as valid due to a bad regex pattern. eg WS9V.
    - "Bosnia-Herzegovinia" Country name not visible below Callsign for most users.
    - Contact Support emails not being received for users using a slashed Station
       callsign, like CALLSIGN/QRP (2.10.1 defect).
    - Slow "Scan Log and Update" for large logs (typically over 20,000 records).

2.10.1 (07-AUG-2017)

  **** Important Contact Support changes.
  **** Due to Server security changes the Contact Support feature of JTAlert
  **** will no longer work for old JTAlert versions. Only versions 2.10.1 and
  **** later will be able to submit a support request via the HamApps Server.

  New Features:
    - Wildcard support for the Wanted Callsign Alert. Matching against the start
       of a Callsign only. Multiple wildcards can be defined. The wildcard is
       only supported as the last character in the callsign.
       eg "VK3%" is valid, "VK%AMA" and "VK%A%A" are invalid.
    - Single option to initiate simultaneous DXKeeper log filter, Pathfinder
       and DXView lookups when your QSO partner Callsign changes. See the
       "Applications -> DXLab Suite" section of the Settings.
    - Option to not lookup previous qso data from logbook. Band/Mode/Worked/Cfm
       QSO data from the logbook are still used, but Name, QTH, Grid, DXCC, Cont,
       State and Zones are ignored. Location data (DXCC, Zones, etc) are derived
       from a simple cty.dat lookup when this option is enabled.
       (Default: OFF, Settings Section: Logging).
    - Out of Shack option Alert trigger based on Distance to decoded call (not B4).
       (Default: OFF, Window: Settings, Section: Alerts, Misc Alerts, Out of Shack).
    - Maximum number of JTAlert instances increased from 10 to 15.

  Changes:
    - Auto-start entries are now independent when running against WSJT-X & JTDX.
       It is now possible, for example, to have WSJT-X auto-start or have JTDX
       auto-start, depending on which shortcut is used to start JTAlertX.
    - Changes to DXLab specific lookups (DXKeeper, DXView, Pathfinder). See the
       "Applications -> DXLab Suite" section of the Settings and enable the
       required lookups to perform on a DX Call change.
    - FT8 spots upload to HamSpots changed from every 15sec to once per minute.
       (only one occurrence of a Callsign in this one minute period is spotted)
    - HamApps installed applications version data now stored in a disk-based
       file. The Registry is still used as a fallback if versions file missing.

  Fixes:
    - Band Activity Bar band colors not reflecting the FT8 counts when
       they exceeded the JT65/JT9 counts (2.10.0 defect).
    - End TX/RX Alert ignoring WSJT-X TX Enabled setting (2.10.0 defect).
    - Wanted Callsign alert not obeying any set filters.
    - Intermittent non-delivery of spots to HamSpots.net
    - DXLab PathFinder not performing Callsign lookup if no previous QSOs
       in DXKeeper log.
    - Non-delivery of Support emails when containing a very large attachment.

2.10.0 (21-JUL-2017)

  New Features:
    - Full FT8 mode support and its 15 sec T/R period.
    - All the Wanted alert types support FT8 mode tracking.
    - Scan Log supports FT8 mode for all Alert types.
    - Additional Alert tracking option, "Any WSJT-X Mode (JT65 or JT9 or FT8)".
    - FT8 mode statistics from HamSpots included in Band Activity displays.
    - Call History popup & standalone window support FT8 data from Log lookup.
    - WSJT-X mode character included in JTAlert titlebar (before the Band).
       Character matches that used in WSJT-X, "#" = JT65, "@" = JT9, "~" = FT8.

  Changes:
    - Macros window single instance setting removed. Each JTAlert instance must
       open its own Macro window for each WSJT-X/JTDX instance.
    - End TX/RX Period alert disabled for FT8 mode.
    - Start of TX Period alert disabled for FT8 mode.
    - Auto-Halt after current TX is disabled for FT8 mode.
    - Confirmed Bands Display (below log fields) right area will display Bands
       worked/confirmed matching WSJT-X TX mode JT9 or FT8
    - Many internal code changes to support FT8 mode and 15s T/R period and to
       correctly distinguish between WSJT-X and JTDX running processes.
       (** The JTDX program calls itself wsjtx.exe which it isn't **)
    - The multi-instance support has also been changed. Running multiple copies
       of JTAlert against both WSJT-X and JTDX simultaneously is not supported.
       You can run multiple instances of JTAlert against either WSJT-X OR JTDX
       only. Both types of applications can be running simultaneously on the PC,
       but only one JTAlert operating mode (against WSJT-X or JTDX) is allowed.

  Fixes:
    - WSJT-X docking stops when a WSJT-X Configuration switch is made.
    - DXKeeper Capture window inadvertently populated when DXKeeper is instructed
       to filter its display on a new DX Call change.

2.9.10 (01-JUL-2017)

  New Features:
    - Limited support for FT8 mode. JTAlert will correctly report B4 status, mode
       and post to HamSpots. For user built WSJT-X (r7750 or later).

  Fixes:
    - FT8 mode spots incorrectly posted to HamSpots.net as T10 mode.

2.9.9 (24-JUN-2017)

  New Features:
    - Text Message History, option to clear at start of a JTAlert session.
       (Default: OFF, Settings Section: Web Services)
    - Works with new 3.9.6.7 version of JT65-HF Comfort by DL3VCO.
       (Important Note: Only Comfort internal ADIF Log is supported)

  Changes:
    - ACLog Callsign is now cleared when the WSJT-X/JTDX DX Call is cleared.

  Fixes:
    - Delays in painting Callsigns caused by local spots sent to SpotCollector
       that is exhibiting high CPU usage.
    - Additional Station Callsign desktop shortcuts created with incorrect icons
       and missing JTDX and DL3VCO shortcuts.

2.9.8 (31-MAY-2017)

  New Features:
    - Time schedule for audio alerts. Cycle Sound menu to "Sound UTC" to enable.
       (Default: All Hours enabled, Settings Section: Sound Card)
    - Ignore Beacon Callsigns (CALLSIGN/B).
       (Defualt: OFF, Settings Section: Alerts -> Misc. Alerts -> Ignored Callsigns).
    - Ignore Mode for CQZone by Band alerts for bands other than 80m to 10m.
       (Default: OFF, Settings Section: Alerts -> Wanted CQ Zone -> Individual Bands).
    - TextMessage History. The last 5 received messages shown in the TextMessage window.
       A read-only display, automaticlly updated and restored across JTAlert restarts.
    - Remember QSL Requested checkbox state across logging events and JTAlert restarts.
       (Default: OFF, Window: Settings, Section: Logging).

  Changes:
    - Sound title-bar menu now has 3 possible values "ON, OFF & UTC".
    - Supports JTDX mode name change of JT10 to T10.

  Fixes:
    - Incorrect WSJT-X UDP packet type sent in response to a Hearbeat packet.
    - Random Text Messages not being sent to Server.

2.9.7 (15-MAY-2017)
  New Features:
    - Last logged QSO API. Regardless of the enabled logger, an ADIF formatted
       record of the last logged QSO is automatically transmitted as an ascii UDP
       packet and simultaneously written to an ADIF text file.
       %localappdata%\HamApps\[CALLSIGN]\logs\lastqso.adi
       (UDP Default: Port 2333, Window: Settings, Section: Logging, Last QSO API)
    - Works with new JTDX v17.8 step 100.
    - Works with new 4.9.4 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Additional error reporting for WSJT-X & JTDX UDP Communication failures.

  Fixes:
    - Further KG4 Callsign fixes.

2.9.6 (13-MAY-2017)

  Fixes:
    - US based KG4 Callsigns incorrectly alerted as Guantanamo Bay when the HamApps
       Callsign database is not installed.

2.9.5 (12-MAY-2017)

  Changes:
    - Additional error reporting for WSJT-X & JTDX UDP Communication failures.
    - Midway and Kure Islands (DXCC #174 and #138) restored to DXCC list.

  Fixes:
    - Call History showing "Confirmed" rather than "Worked" when the Confirmed
       Bands Display is set to no QSL confirmation types.
    - Encryption used to stored passwords in the Config not decrypting properly
       on Chinese based Windows PCs.

2.9.4 (25-APR-2017)

  Changes:
    - Code restructure to avoid BitDefender false-positives preventing installation.
    - New warning message if Log4OM and WSJT-X both set to use the same UDP port.

2.9.3 (15-APR-2017)

  New Features:
    - Limited support for JT10. JTAlert will correctly report B4 status and post
       to HamSpots only. For JTDX (17.8.49 or later)

  Changes:
    - JTAlert will no longer try and read the WSJT-X status and log files if WSJTX
       UDP Server settings are not correctly set or UDP communication is blocked.
    - "Release Notes" menu entry added to "?" titlebar menu.
    - XML data, additional keywords added to the two name QTH tests.

  Fixes:
    - Gridsqaures returned from an XML lookup incorrectely formatted to all upper-case.
    - Blank WSJT-X Waterfall window when docking enabled and Waterfall manually closed.

2.9.2 (05-APR-2017)

  Changes:
    - Midway and Kure Islands (DXCC #174 and #138) removed from DXCC list.
       (Configuration Wanted DXCC and Marathon lists will be automatically updated)
    - Log Fields Grid no longer forced to upper-case (introduced in 2.9.1).

  Fixes:
    - Some users unable to enable HRDV5 logging.
    - Random Line #4 CQ Callsigns not displaying CQ colored border.
    - Line #4 of Decoded Callsigns not responding to double-clicks.
    - Grids logged in upper-case to all loggers (defect introduced in 2.9.1).

2.9.1 (13-MAR-2017)

  New Features:
    - "#" CQ indicator and colored border for directional style CQs "CQ AA CALL",
       where AA can be any two alpha characaters, DX, NA, EU, VK, etc.
       For WSJT-X only (1.7 or later)
       (Default: OFF, Window: Settings, Section Alerts -> CQ and QRZ).
    - Option to Log Bearing (Heading) to the logger ANT_AZ (Antenna Azimuth) field.
       For DXKeeper, Log4OM and HRD5 only, option is ignored by other log types.
       (Default: OFF, Window: Settings, Section: Logging).
    - Option to Log WSJT-X settings "My Grid" to an ACLog "Other" field.
       (Default: OFF, Window: Settings, Section: Logging -> ACLog).
    - Option to perform a second Log4OM logging if first appears to have failed.
       (Default: OFF, Window: Settings, Section: Logging -> Log4OM).

  Changes:
    - CQ indicator for "CQ 999 CALL" style CQs now visible. For WSJT-X (1.7 or later)
    - Log Fields Grid is now forced to upper-case.

  Fixes:
    - Unable to read Linux hosted Log4OM MySQL log.
    - Alert priority changes not being saved.
    - QRZ XML passwords containing URL reserved characters causing lookup failure.
    - Passwords containing two or more consecutive "@" characters incorrectly saved.
    - Decodes History trying to show window at JTAlert startup when disabled.

2.9.0 (19-JAN-2017)
  **** Important HRD V6 Logging Information
  **** HRD V6 logging is not supported by this version (or future versions).
  **** JTAlert 2.8.7 is the last version to support HRD V6 logging.

  New Features:
    - Works with new 4.3 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)
    - Confirmed Bands Display extended to support the 2m band.
    - Confirmed Bands Display can be set to show Callsign only, Callsign & DXCC
       or Callsign, DXCC & State simulateously. Select via the View menu.

  Changes:
    - HRD V6 Logging abandoned. Only V5 now supported.
    - Decoded Callsign Tooltip now shows the decode message.
    - JTPluginManager name changed to JTAlertHelper (due to Virus false-positives)

  Fixes:
    - Decodes of non-JT65/JT9 WSJT-X Modes (MSK144, QRA64, etc) falsely producing
       alerts and HamSpots.net spots as JT9.
    - Some Debugging Trace files not automaticlly pruned at JTAlert startup.
    - Address data from previous QSOs incorrectly logged when option turned off.
    - Marathon Scans incorrectly considering previous year QSOs. This affected ACLog,
       Log4OM and HRD logs only.

2.8.7 (29-NOV-2016)

  New Features:
    - Works with new 4.0 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

2.8.6 (19-NOV-2016)

  Fixes:
    - Last character of decoded Callsign stripped if it is an "F" and no grid in
      decode or last "F", if present, stripped from free-text msg.
      Affecting WSJT-X only (defect introduced in 2.8.5).

2.8.5 (08-NOV-2016)

  New Features:
    - Supports new JTDX v17.0 multi-instance changes.

  Changes:
    - Text Message Window will now show in Windows Taskbar.

  Fixes:
    - JT65 decodes alerted as JT9 when "VHF/UHF/Microwave features" enabled in WSJT-X v1.7.0-rc2

2.8.4 (11-OCT-2016)

  New Features:
    - Works with new JTDX v16.8 or later.
    - Dedicated shortcut for JTDX (Blue "X" icon).

  Changes:
    - Number of days of Debug data retained changed from 1 to 2 days (48 hours).
    - QRZ Log upload now includes the TX Power.

  Fixes:
    - Incorrect decodes processed when running against HB9HQX 3.5 which is set
       to use the non-default (Ascending) sort order.
    - Comments & QSLMSG "%Qsos%" macro returns wrong count (1 less than true count)
    - HRDLogbook (v6.3+) not accepting many data fields in the logging command
       if a multi-line "Address" is logged. The "Address" field now moved to the
       end of the logging command so only the "Address" will be potentially lost.

2.8.3 (17-SEP-2016)

  Changes:
    - Extended the PWR dropdown values up to 40 watts.
    - DXKeeper Logging will now default to using port 52000 if JTAlert
       is unable to get the port via the Registry read of the DXK Port.

  Fixes:
    - Unable to locate ACLog Config file under Windows XP.
    - WSJT-X Waterfall not minimizing when the JTAlert & WSJT-X minimized.
       Only for WSJT-X run without --rig-name (2.8.2 introduced defect).

2.8.2 (16-SEP-2016)

  New Features:
    - Option to turn on/off display of Log Failure Popup Window.
       (Default: ON, Window: Settings, Section: Window, Popup Windows).
    - Ability to show passwords as plain text in the Settings window.
       (click circle image to the right of each password field).

  Changes:
    - Internal code changes to remove support for WSJT-X 1.4 and 1.3 versions.
    - QRZ Log upload now includes Log "Comment" data.
    - Invalid or missing DXKeeper TCP port now recorded in session file.
    - Passwords for Online Logbooks and XML services are no longer shown as
       plain text in the Settings window.

  Fixes:
    - CQ Zone 7 setting unable to be changed and saved.
    - ACLog configuration not found when user is using non-default Documents dir.
       (ACLog doesn't obey the Windows path for "Documents")
    - Scan Log "All Results" button incorrect enabled state.
    - Scan Log "All Results" & "Scan All" buttons missing tootltips.
    - CQZone Scan Log skipping ACLog log entries with zones 1 to 9.
    - Kingman Reef (DXCC #134) still present in DXCC list.
       (due to source code recovery following a hard disk failure).
    - HB9HQX Desktop shortcut missing "/hb9hqx" target parameter.
    - Removed HRD message from Logging Failure notice when using a non-HRD log.

2.8.1 (25-JUL-2016)

  New Features:
    - Hotkeys to set number of Callsign display lines.
       (Defaults: Alt 1-4, Window: Settings, Section: Miscellaneous, Hot Keys)
    - WSJT-X TX Watchdog Triggered Alert (WSJT-X 1.7 or later only).
    - Option to display the decode Signal strength (dB) below the decoded Callsign.
       (Default: OFF, Window: Settings, Section: Window, "Show dB..." checkbox).
    - Recording of QSLMSG data to one of the ACLog user-defined "Other" fields.
       (Default: OFF, Window: Settings, Section: Logging, ACLog).

  Changes:
    - Maximum number of Callsign display lines increased from 2 to 4.
    - Alerts Settings Treeview restructure. Several Alert types moved to the
       "Miscellaneous Alerts" folder.
    - Enhanced reporting of HRD6.3+ logging failures for non-Access HRD logs.
    - Icons no longer included as resources within the JTAlert executable.
       (Reduces memory footprint with single icon only now loaded from disk)

  Fixes:
    - HRDLogbook DXCC numbers stored as zero padded strings producing Scan Log
       inconsitencies in DXCCs worked/confirmed. (Bad DXCC data was caused by QSOs
       previously logged to HRD by JT65-HF DL3VCO Comfort version, NOT JTAlert) .
    - WSJT-X Temp Directory held open until JTAlert closed.
    - Swaziland Callsigns not passing callsign validation, resulting in no alerts.

2.8.0 (04-JUL-2016)

  New Features:
    - Callsign Prefix "CQ is double-clickable" indicator "*" character (WSJT-X only)
       (Default: OFF, Window: Settings, Section: Alerts, CQ and QRZ).
    - Show "CQ is double-clickable" border around Callsign setting (WSJT-X only)
       (Default: ON, Window: Settings, Section: Alerts, CQ and QRZ).
    - "CQ is double-clickable" Callsign border color can now be set (WSJT-X only)
    - Remove spaces from "Callsign - B4" hyphen separator.
       (Default: OFF, Window: Settings, Section: Alerts, Worked B4).
    - Remove spaces from "Callsign - State" hyphen separator.
       (Default: OFF, Window: Settings, Section: Alerts, Wanted US State).
    - Option to log full QTH data returned from XML Lookups.
       (Default: OFF, Window: Settings, Section: Logging).
    - Rx Frequency Audio only Alert (WSJT-X 1.7 or later only).
       (Default: OFF, Window: Settings, Section: Alerts, Rx Frequency).

  Changes:
    - If DXKeeper lookup is enabled, a Callsign lookup is also sent direct to DXView
       rather than relying on DXKeeper to send the lookup command which can be delayed.
    - WSJT-X: Only standard format CQs will show the "double-clickable" indicators.
    - WSJT-X: When bad settings detected, the Help topic is automatically displayed.
    - Settings dialog extended to include "2 Callsign Lines" setting.
    - ChangeStationCall.exe is now included with the installer.

  Fixes:
    - Scan Log ODBC errors for HRD pre v6.3 MySQL logs.
    - HB9HQX: Incorrect frequency logged due to recent HB9HQX DF display changes.
    - B4 flag not updated after QSO logged when B4 "ignore band" setting enabled.
    - SpotCollector Spots: Frequency format errors for OS Regional Settings with a
       non-point decimal separator charcater.
    - Setting "Post decoded Callsigns to SpotCollector as local spots"
       visual display of setting state not correct (always off).
    - DL3VCO JT65-HF Comfort ver 3.9.6.6 not alerting all decodes and sending
       incorrect sig reports in HamSpots.net spots.

2.7.6 - 2.7.7
  Unreleased semi-private Betas.

2.7.5 (30-MAY-2016)

  New Features:
    - Support for AClog running on a remote networked PC.
       (Default: OFF, Window: Settings, Section: Logging, ACLog).
    - Docking position now selectable via the "View -> Dock to ..." title-bar menu.

  Changes:
    - ODBC System DSNs for HRD Logs functionality restored (was removed in 2.7.3).

  Fixes:
    - When docked, windows moved off screen affecting users running Win10 with 125%
       or greater text and app scaling (defect introduced in 2.7.3).
    - ADIF Log B4 checks failing (defect introduced in 2.7.3).

2.7.4 (27-MAY-2016)

  Fixes:
    - HRD and AClog B4 checks failing (defect introduced in 2.7.3).

2.7.3 (26-MAY-2016)

  New Features:
    - Worked B4 Callsigns display the B4 Date in the "Decoded Callsign Data Tooltip"
       (This requires that logging be enabled as the Log is read to obtain the date)
    - Out of Shack option to trigger Alert based on Distance to decoded station.
       (Default: OFF, Window: Settings, Section: Alerts, Out of Shack).
    - US County is now logged to all supported loggers, except MixW, (value
       returned either from a previous QSO in the log or from an online XML lookup).
    - Address is now logged to all supported loggers, except MixW & ACLog, (value
       returned either from a previous QSO in the log or from an online XML lookup).
    - QSO partner Callsign sent to ACLog at start of QSO to allow ACLog
       configured lookups to be performed.
    - Log4OM MySQL log files now supported.
    - Option to log WSJT-X Comment to QSL Message field of log, ignoring the
       JTAlert Comments field. (Default: OFF, Window: Settings, Section: Logging).
    - End TX/RX Period Alert option to play only when WSJT-X TX is enabled.
       (Default: OFF, Window: Settings, Section: Alerts, End of TX/RX Period).
    - Start of TX Period Alert. Only available for WSJT-X with UDP enabled.
       Will generate an audio alert when WSJT-X starts transmitting.
       (Default: OFF, Window: Settings, Section: Alerts, Start of TX Period).

  Changes:
    - Simplified HRD 6.3+ Log setup (DSN and Authentication read from HRD Config).
    - Warning shown when running WSJT-X 1.5.0 or later and UDP is not configured.
    - Warning shown if Log4OM SQLite log file is different from that set in JTAlert.
    - DXKeeper logging now uses TCPIP rather than the DDE communications.
    - Additional debugging added to facilitate logging failure diagnosis.
    - Kingman Reef (DXCC #134) removed from DXCC list.
       (Configuration Wanted DXCC and Marathon lists will be automatically updated)

  Fixes:
    - Decodes History statistics area missing mouse tooltips.
    - HRD MSSQL 6.3+ logs using SQL Authentication failing with ODBC errors.
    - Log4OM eQSL/LoTW requested flags set to "N" when logging options turned off.
    - Docking gaps between windows when running under Win10.
    - Support email not obeying CC settings.

2.7.2
  Unreleased semi-private Beta.

2.7.1 (21-APR-2016)
  New Feature:
    - Recording of QTH data to one of the ACLog user-defined "Other" fields.
       (Default: OFF, Window: Settings, Section: Logging, ACLog).

2.7.0 (19-APR-2016)
  New Features:
    - ACLog (5.4 or later) logging now supported.
    - Scan Log to automatically update Wanted Lists available for ACLog.

  Fixes:
    - Log QSL Message and Comments not being remembered after Settings opened.
    - HB9HQX 'Name' field not being logged if JTAlert 'Name' field is empty.

2.6.31
  Unreleased semi-private Beta.

2.6.30 (19-FEB-2016)
  Changes:
    - HB9HQX, Callsign slot clearing set to the smallest of the two decoder
       "Stop Receiving at ..." settings.

  Fixes:
    - "End of TX/RX Period" alert playing when "Out of Shack" alert enabled.
    - Decodes History CSV export not displaying completed message window.

2.6.29 (11-FEB-2016)
  Fixes:
    - Swaziland Callsigns not passing callsign validation, resulting in no alerts.

2.6.28 (18-JAN-2016)

  New Features:
    - Works with new 1.4 Update 02 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Own Call #1 is auto set to Station Call if it contains no value.

  Fixes:
    - Callsigns cleared when WSJT-X (UDP mode only) decodes cleared when
       auto-clear option is turned off.

2.6.27 (05-DEC-2015)

  Fixes:
    - JT65HF.dat file written to desktop with each JTAlert start.

2.6.26 (03-DEC-2015)

  Fixes:
    - HB9HQX 1.1 update 01 logging event not detected and frequency not read.

2.6.25 (29-NOV-2015)

  Fixes:
    - HB9HQX 1.1 logging event not detected.
    - DL3VCO JT65-HF Comfort ver 3.9.6+ not alerting all decodes and sending
       incorrect sig reports in HamSpots.net spots.

2.6.24 (28-NOV-2015)

  New Features:
    - Works with new 1.1 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Queued WSJT-X UDP packets now ignored when exiting the JTAlert Settings window.

  Fixes:
    - Line 8062 error when performing a Prefix Log Scan. (2.6.23 introduced defect)
    - WPX prefix incorrectly calculated for MixW and Adif logs.
       (A Prefix Log Scan needs to be done to correct the Wanted Prefix list.)

2.6.23 (23-NOV-2015)

  New Features:
    - Additional debugging data added for HRDLogbook V6.3+ log failures.

  Changes:
    - PFX from Log no longer used, but is automatically determined from Callsign
       when performing a Wanted Prefix Log Scan.
    - HB9HQX QSL Message now sent to Logger if JTAlert QSL Message is empty.

  Fixes:
    - Title-Bar menu placement overlapping Band Activity display.
    - Wanted Prefix tracking via band or mode not alerting correctly.

2.6.22 (10-NOV-2015)

  New Features:
    - Additional debugging data added for HRDLogbook V6.3+ log failures.

  Fixes:
    - Log Confirmation popup not obeying Sound mute setting.

2.6.21 (05-NOV-2015)

  New Features:
    - Works with new 1.0 Update 6 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)
    - Workaround to mitigate the HRD Defect where the HRDLogbook QSO modify
       routine would remove the Country Name and DXCC code when the QSO is saved.

  Fixes:
    - All desktop shortcuts (except WSJT-X) missing required startup parameter.
    - Macro substitution "@" (Callsign) not working when no log enabled.
    - HRD 6.3+ logging, MY_LON field containing MY_LAT data.

2.6.20 (30-OCT-2015)

  Changes:
    - HRD V6 logging now uses the HRD TCP logging interface.

  Fixes:
    - R10NRC decodes not alerted (failing Callsign validation).

2.6.18 - 2.6.19
  Unreleased semi-private Betas.

2.6.17 (16-OCT-2015)

  New Features:
    - Two new Alert filters. (LoTW OR eQSL) and (LoTW AND eQSL).
    - Ten new QSL Message and Comments susbtitutions. %Name%, %Power%, %RstS%",
       %RstR%, %Qsos%, "%QsosJT9%, %QsosJT65%, %Bands%, %BandsJT9%, %BandsJT65%
       See help file for more detail (Settings, Logging topic).
    - Restore Comments from last JTAlert session,
       (Default: OFF, Window: Settings, Section: Logging).

  Changes:
    - QSL Message %n substitution changed to %Name%.

  Fixes:
    - Not detecting JT65-HF HB9HQX v1.0 logging event.
    - Config backup auto-deleting of old files had been turned off during testing.

2.6.16 (19-SEP-2015)

  New Features:
    - QSL Message %n substitution. A %n in the Log Fields "QSL Message" text is
       replaced with the Log Fields "Name" text (first name only).
    - Works with new 1.0 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Call History mouse-hover hotspot, left of Callsign slots, available again.

  Fixes:
    - A changed QSL message not being logged in some circumstances.

2.6.15 (28-AUG-2015)

  Fixes:
    - Callsign History window (standalone) missing worked/confirmed and QSL data.
    - Log4OM B4 check on 160m returning True if exists a previous QSO on 17m.
       (Log4OM defect storing freqs as character strings rather than numbers)

2.6.14 (24-AUG-2015)

  Fixes:
    - Test Sound buttons (Settings window) not working.
    - Truncated checkbox labels on Settings window.

2.6.13 (18-AUG-2015)

  New Features:
    - Setup WSJT-X to respond to a CQ decode by double-click of JTAlert Callsign.
       See Help file, "Tutorials - WSJT-X UDP Server" topic.
       (for WSJT-X 1.5 or later only with UDP Server enabled).
    - B4 Date filter. Ignore Log QSOs before this date when checking if worked B4.
       (Default: OFF, Window: Settings, Section: Alerts,Worked B4).
    - Log QSL Message field. Shared with the Comments field. Click label below the
       field to switch. QSL message restored from previous JTAlert session.
    - View menu to open Browser to HamSpots.net at your current TX mode page.
    - Hotkey to open Browser to HamSpots.net at your current TX mode page.
       (Default: F7, Window: Settings, Section: Miscellaneous,Hotkeys).

  Changes:
    - Logging Setting "Copy Comments to QSL Message Field" removed.
    - Will prompt for JT mode application if JTAlert started without using a
       shortcut or with an invalid/missing shortcut target parameter.
    - JT65-HF JTAlert shortcut now requires "/jt65hf" in shortcut target field.
       (shortcuts created during JTAlert install already have this parameter set).
    - Macros window minimum vertical height reduced (half previous height).
    - Contact Support moved from Settings window to a standalone window.

  Fixes:
    - QSL Message not sent to eQSL.
    - QSL Message not used with DXKeeper logging.
    - Only instance #1 Decodes History Window can be opened.
    - Session file not being truncated due to corrupt sqlite database file.
    - Decoded Callsigns are cleared too early when running HB9HQX.
    - Hotkey shortcuts still visible on menus when hotkeys are disabled globally.

2.6.10 - 2.6.12
  Unreleased private Betas.

2.6.9 (13-JUL-2015)

  New Features:
     - User Defined Alert. Executes a user defined file in response to alert.
       (Default: OFF, Window: Settings, Section: Alerts, User Defined Alert).

  Changes:
    - Reduced startup time.
    - Alert Summary Window reduced size and new help/settings/expand buttons.
    - Several plugins removed. Now part of a single plugin manager file.
    - Config file backups now include timestamp as part of filename. Limit on
       number of backup files removed. Backups older than 7 days are deleted.

  Fixes:
    - Text Messages not working (2.6.3 defect)

2.6.4 - 2.6.8
  Unreleased private Betas.

2.6.3 (21-JUN-2015)

  New Features:
    - Option to upload newly logged QSOs to HamQTH.com Logbook.
       (Default: OFF, Window: Settings, Section: Web Services, Online Logbooks).

  Changes:
    - HRD logging settings now has an option to set if a HRD V5 log.
    - HRD in title bar now shows HRD Version, "HRD5" or "HRD6".
    - TCPTest.exe no longer included in Setup executable.
       (available for direct download from HamApps.com)

  Fixes:
    - Line 28071 errors after decode due to non-default Alert Priorities.
       (Error dependent on decode message type and user configuration)
    - Keyword alert not working if keyword list has only one entry.
    - Subscript errors during Log Scan due to malformed Callsigns.

2.6.2 (25-MAY-2015)

  New Features:
    - Wanted Decode Keyword Alert (eg "HYBRID", "PICTURE" ,"VIDEO" , etc).
       (Note: Keywords detected only within free-text messages)
    - Options to exclude Ignored Callsign decodes from HamSpots, SpotCollector
       and Decodes History display. Three independent settings.
       (Default: OFF for each option, Window: Settings, Section: Ignored Callsign).
    - Automatically adjust the time (seconds) when decoded Callsigns are cleared
       to match the HB9HQX "Stop Receiving at second" setting.
    - Works with new 0.9.98 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Prefix Log Scans now use log entries with no Prefix (WPX) recorded.
    - Removed duplicate logging of Comments data to HRD COL_NOTES field.

  Fixes:
    - Macros window "#" field has a "2" when JT65-HF/WSJT-X frequency is changed.
    - Individual Wanted US State names sound files not being played.
    - XML lookup incorrect capitalisation of names containing a single letter.
    - Decodes History CSV export files only contain a header with no decode data.
    - XML lookup not returning nicknames, "nick" or (nick), at start of name data.
    - 2m and 6m Wanted State and Continent setting changes not saved correctly.
    - HRD logging workarounds to prevent HRD 6.2.9.355 Clublog upload crashes.

2.6.1 (11-MAR-2015)

  New Features:
    - Works with new 3.9.6 version of JT65-HF Confort by DL3VCO.
       (Important Note: Only ADIF Log is supported)

  Fixes:
    - eQSL and LoTW requested not being set for HRD Logging.
    - Macros window "#" field has a "2" when Macros is set to restore at startup.
    - Settings "Save" button remains disabled when changing alert sound volumes.
    - Alerts Priority order not being saved/restored correctly.

2.6.0  (28-FEB-2015)

  New Features:
    - Wanted CQ Marathon Alert (Tracking by Band and Mode) with Scan Log update
       for populating needed Zones and Countries (including WAE).
    - Wanted Prefix list update via the Scan Log funtion. Now supports Band
       and Mode tracking (Important Note: File import Prefix lists no longer used)
    - "View -> Callsign Display Slots" menu. This allows for changing the Callsign
       Slots displayed without the need to open the Settings Window.
    - Band Activity TX/RX counts can be limited to Spotter (RX) Continent.
       (Default Off, Menu: View -> Band Activity RX Continent Filter)
    - New Macros window (replaces JTMacros).
    - Individual Alert types can be excluded from Scan Log processing.
    - Additional Alert filter presets. Now 7 in total.
    - Callsign tooltips now include WAE Country name in applicable.
    - Callsign tooltips display distance in miles option.
       (Default: Off, Menu: Alerts -> Decoded Callsign Data Tooltip)
    - Callsign tooltips display all alerts regardless of enabled alerts status.
       (Default: ON, Menu: Alerts -> Decoded Callsign Data Tooltip)
    - Option to NOT use the JTAlert Log fields time value.
       (Default: OFF, Window: Settings, Section: Logging).
    - Works with new 0.9.96 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Improved Decodes processing speed.
    - Alert filters changed. Only one filter can be enabled.
    - Menu changes, reorganization and new "View" & "?" (Help) menus.
    - Improved WPX Prefix determination.
    - WPX Prefix now logged to all loggers (except MixW).
    - Wanted Prefix import from csv file no longer available.
    - HB9HQX versions earlier than 0.9.88 no longer supported.
    - B4Log.mdb settings now hidden when a supported log type is enabled.
    - Progressive Alert triggered counts removed from Alert Summary window.
    - Call History mouse-hover hotspot, "+", no longer available.
    - JTMacros no longer available. See new Macros window.

  Fixes:
    - Unresponsive behaviour, while docked, when minimized window is restored.
    - Using wrong HB9HQX log file on PCs with multiple HB9HQX versions installed
    - Docking to HB9HQX when running in JT65-HF or Comfort (DL3VCO) mode.
    - ADIF Plugin skipping QSOs with County data containing an apostrophe.
    - Cutting short of current playing sound file to play the next sound.
    - QRZ lookup button loading wrong QRZ.com callsign page if Call History
       performed on a callsign other than the current QSO partner callsign.
    - Contact Support email failing for callsigns containing a slash.

2.5.7 - 2.5.12
  Unreleased private Betas.

2.5.6  (01-JAN-2015)

  New Features:
    - "Blocked Spotting" popup window when spots sent to HamSpots.net have been
       blocked due to wrong band spotting.
    - Band Activity Window JT65 and JT9 background colors user settable.
       (Window : Settings, Section: Window,Band Activity Display).
    - Works with new 0.9.92 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)

  Changes:
    - Decodes History Odd/Even row color changes no longer require restart.
    - JTAlertX 5 second delay in clearing QSO Partner Callsign now only applies
       if WSJT-X "Clear DX Call..." setting is enabled.

  Fixes:
    - WSJT-X created temporary directory being held open by JTAlertX.
    - HB9HQX decodes not detected when WSJT-X instance is is also running.
    - Line 1179 error in JTDecodesHistory.plugin file.
    - JTMacros vertical size not restored correctly (short) when not docked.
    - Incorrect Date logged when QSO spans both sides of midnight, 0000 utc.
    - Recursion errors. Note: this error is rare and the exact cause is unknown.
       Internal code changes have been made to try and avoid this type of error.
       At this time it is unknown if the cause(s) have been completely removed.

2.5.5  (30-Nov-2014)

  Changes:
    - Installer no longer creates JTMacros desktop shortcuts. Configure JTAlert
       to autostart or use JTAlert Settings menu entry to start JTMacros.
    - Installer now provides a summary dialog of the Desktop shortucts that are
       marked to be installed.
    - Each JTAlert operating mode (for WSJT-X, JT65-HF, HB9HBX & DL3VCO) uses a
       different colored icon.
    - Settings menu now contains a Help entry to open the Help file.
    - Space delimiter requirement for Own Name detection removed. Name can now
       appear any where in a decode and have other characters adjacent.

  Fixes:
    - MixW log, incorrect QSO duration time logged.
    - Text Message character count not cleared after sending message.
    - Not detecting calling Tx Callsign of a "Callsign Callsign" decode.
    - Temporary files sent to recycle bin rather than being permanently deleted.
    - JTAlert unresponsive when importing very large Wanted Callsign csv file.
    - Multiple instances only detecting decodes of first WSJT-X instance.

2.5.4
  Unreleased private Beta.

2.5.3  (18-Nov-2014)

  Changes:
    - 5 second delay before QSO Partner Callsign is cleared after WSJT-X
       "DX Call" is cleared.

  Fixes:
    - No Callsign population when running against WSJT-X 1.3 (or earlier)
       (Defect introduced in ver 2.5.2)
    - Several incorrect log warnings and missing logged data from the Log Fields
       when the WSJT-X "Clear DX Call..." setting is enabled.

2.5.2  (16-Nov-2014)

  Changes:
    - JTAlert in JT65HF mode will now wait for JT65-HF (and Comfort by DL3VCO)
       to be running before continuing its startup.
    - "Test Sound Card" menu will warn that Sounds are OFF and not play the test.

  Fixes:
    - WSJT-X decoded.txt file check method changed to prevent WSJT-X Fortran
       error message during very busy band decodes.
    - WSJTX.dat and JT65HF.dat configuration files moved from Common AppData
       directory to users Local AppData directory to avoid permission issues.

2.5.1  (15-Nov-2014)

  Changes:
    - Tuning of new decodes detection to help reduce callsign population time.

  Fixes:
    - WSJT-X 1.40 multi-instance support broken when WSJT-X install directory
       contains an "-r".
    - Unable to close QSO History popup after visiting the Settings window.
    - Missing WSJTX.dat or JT65HF.dat files prevent startup.
    - Missings text on HamSpots.net spotting request dialog window.
    - JTAlert hang when closing needing to be killed by taskmanager.

2.5.0  (13-Nov-2014)

  New Features:
    - Option to have a solid color area behind Band Activity area of titlebar.
       (Default: OFF, Window : Settings, Section: Window,Band Activity Display).
    - Decodes History display. Provides detailed data about each decode, current
       and previous minutes and the alerts triggered. Exports to daily csv files.
       (Default: OFF, Window: Settings, Section: Window,Decodes History).
    - Confirmed / Worked Bands display, for QSO partner, their DXCC or US State.
       This is available in the Log Fields area and logging must be enabled.
       (Default: ON, Window: Main, Menu: Settings,Show Worked Bands).
    - QSO Start time field in Log Fields area. Populated with the utc time when
       a new QSO partner Callsign is detected. If it contains a value it will
       override the time provided by WSJT-X and JT65-HF logging event.
    - Option to upload newly logged QSOs to QRZ.com Logbook.
       (Default: OFF, Window: Settings, Section: Web Services,Online Logbooks).
    - Option to upload newly logged QSOs to eQSL.cc Logbook.
       (Default: OFF, Window: Settings, Section: Web Services, Online Logbooks).
    - Display time for Text Message received popup window can varied or turned off.
       (Default: Auto close, 20secs, Window Settings, Section: Web Services).
    - Works with new 0.9.90 version of JT65-HF HB9HQX Edition.
       (Important Note: Only JT65-Log, the default, is supported)
    - Right-click context menu (same as callsign slots) on QSO partner callsign.
    - Decoded callsign summary tooltip now includes Distance (km) and the
       Bearing (short-path) to Station if the Gridsquare is known.
    - Standalone utility to facilitate Station Callsign changes.

  Changes:
    - JTAlert-X name changed to JTAlertX. (removed hyphen)
    - If a band change is detected mid-minute (after 15secs) the processing of any
       new decodes is skipped.
    - Saving decodes history to csv file no longer available. This has been replaced
       with the Decodes History display which provides a csv export function.
    - JTAlert in HB9HQX mode will now wait for JT65-HF HB9HQX to be running before
       continuing its startup.
    - If DXKeeper lookup on new Callsign is enabled, the DXKeeper Callsign filter
       is removed when QSO partner Callsign is cleared.
    - QSL flags changed to stripes. LotW on left & eQSL on right of callsign.
       (old style flags are still available).
    - QRZ & HamQTH XML lookup results are now cached for up to 7 days.
    - Improved Decoded Callsign and Gridsquare validation.
    - Band Activity Display now shows both TX & RX Callsign counts for JT65 & JT9.
    - JTAlert will exit with a warning if JT65-HF or WSJT-X don't have a Grid set.
    - Callsign clearing now at 45secs for JT65-HF HB9HQX (others 47secs).
    - When WSJT-X is docked to JTAlertX, the WSJT-X Wide Graph window will follow
       the main WSJT-X window when it is minimized and restored.
       (Default: ON, Window: Settings, Section: Appplications,WSJT-X).
    - Local user appdata directory restucture. All files now stored under "HamApps".
    - Several DXCC names changed to be consistent with ARRL naming convention.
       (eg. "Kampuchea" changed to "Cambodia", "Gambia" changed to "The Gambia")
    - Halt TX position (left or right) option removed. Now always right of Callsigns.

  Fixes:
    - Dragging windows showing only a frame rather than the content of the window.
    - ADIF Log, Incorrect Name/QTH data being displayed after previous QSO lookup.
    - Line 23503 error when cancelling "Waiting for WSJT-X to start" dialog.
    - If JTAlert power set to 0, JT65-HF and WSJT-X power ignored and not logged.
    - Error downloading program versions/updates available data.
    - Corrected DXCC name "Fed. Republic of Germany" for HRD Logbook.
    - WSJT-X 1.4 "-rig-name" command line option not detected.
    - Occasional hidden JTAlert process needed to be killed by taskmanager.
    - Reading incorrect data from 3.9 DL3VCO Comfort JT65-HF Edition when additional
       controls added to Comfort window while it is running.

2.4.21 - 2.4.29
  Unreleased private Betas.

2.4.20  (20-Jul-2014)
  New Features:
    - Works with new ver 3.9 DL3VCO Comfort JT65-HF Edition.
       (Important Note: Only Comfort ADIF log is supported)
    - Option to use Comments(Notes) as QSL Message (DXKeeper, HRD, ADIF & Log4OM)
       (Default: off, Window: Settings, Section: Logging , "Log Type").
    - Alert Types summary Window (F1 to activate) shows list of all hot-keys.

  Changes:
    - Callsign clearing now at 46secs (previous 47secs).

  Fixes:
    - Log4OM, Invalid State logged when a previous QSO existed in Log4OM log.
    - HamQTH and QRZ.com XML lookups returning no data.

2.4.19  (19-Jun-2014)
  New Features:
    - Works with new ver 0.9.80 HB9HQX JT65-HF Edition.

  Changes:
    - JTAlert-X will now wait until WSJT-X is found running.
    - Language file format changed to a binary format (improved performance).

2.4.18  (9-May-2014)
  New Features:
    - Option to set titlebar text font color for both active and inactive windows.
       For Vista/Win7 Aero themes and Win8/Win8.1 only.
       (Default: off, Window: Settings, Section: Window).
    - Option to turn off font glow of titlebar text and bandactivity display.
       For Vista/Win7 Aero themes only.
       (Default: off, Window: Settings, Section: Window).

  Changes:
    - JTAlert will now start even if no copy of JT65-HF (or variants) is running.
       (Note: JTAlert-X will not start if WSJT-X is not found running)

  Fixes:
    - Not following WSJT-X or JT65-HF window forward of other windows when docked.
    - Unexpected docking to WSJT-X Log Window (WSJT-X 1.4.0 pre-release only).

2.4.17  (6-May-2014)
  New Features:
    - Works with new ver 0.9.78 HB9HQX JT65-HF Edition.

  Fixes:
    - False Wanted Grid Alerts on non-tracked bands.

2.4.16  (2-May-2014)
  New Features:
    - HB9HQX JT65-HF Edition (ver 0.9.77) is now supported.
    - Supports WSJT-X 1.4.x log and status file locations which are now stored in
       user profile and temp folders rather than the WSJT-X install folder.
    - Support for 10 running instances of WSJT-X. Note, this support is still under
       development.

  Changes:
    - JT65-HF must be running before starting JTAlert. This can be done via an
       auto-start entry with a suitable start delay.
    - Dedicated auto-start slot for JTMacros.
    - Number of user settable auto-start application slots increased to 10.
    - Own Call callsign summary popup includes all triggered Wanted Alerts.
    - Text Message window now shows dynamic character count of message edit field.

  Fixes:
    - JT65-HF Comfort 3.8 by DL3VCO broken functionality.
    - Broken Prefix CVS file import.
    - Broken Log Fields Tooltips regression introduced in 2.4.15.
    - Decoded Callsign Tooltips hidden behind other Active windows.
    - Decoded Callsign Tooltips not being cleared for empty Callsign slots.
    - Alerts not activated despite Callsign tooltip showing Alert triggered.

2.4.15  (20-Mar-2014)
  New Features:
    - Wanted Prefix Alert.
       (Default: off, Window: Settings, Section: Alerts,Wanted Prefix).

  Changes:
    - WSJT-X must be running before starting JTAlert-X. This can be done via an
       auto-start entry with a suitable start delay.
    - Log4Om help file section updated per new Log4OM 1.16 version.
    - Log Scan will consider a QSO as Card Confirmed if the QSL_RCVD field="S".
    - Strip non-numeric characters from TX_PWR ADIF field of JT65-HF and WSJT-X.
    - Bearing to logged Station no longer recorded as the Antenna Azimuth.

  Fixes:
    - Own Call Alert not being triggered when Own Name in decode exchange.
    - Settings Window cascading error messages when opening.
    - Setting values containing an apostrophe, "'", not saved.
    - Autostart apps delay parameters not correctly displayed in Settings window.
    - Some ODBC DSNs driver types (for HRD Log) not being listed.
    - Duplicate Audio Alerts on slow processing PCs.

2.4.14
  Unreleased private Beta.

2.4.13  (01-Dec-2013)
  Fixes:
    - Line 18228 Crash when receiving a Text Messages after December 1.

2.4.12  (26-Nov-2013)
  New Features:
    - Option to log full name returned from XML Lookups.
       (Default: off = first name only, Window: Settings, Section: Logging).

  Changes:
    -  Right-click context menu no longer appears for empty callsign slots.

  Fixes:
    - Reduction (~ 40%) in Settings Window load time.
    - JT65-HF Comfort 3.7 by DL3VCO broken functionality.
    - QSOs History Popup for wrong callsign on 2nd line when set for 8 callsigns.
    - Not detecting WSJT-X Band changes made during JTAlert-X startup period.
    - HamQTH xml lookups plugin failing to handle session timeouts in some cases.
    - Plugins failing due to lockfile modified timestamps set into the future.

2.4.11  (13-Oct-2013)
  New Features:
    - Option to automatically place received text message into Windows clipboard.
       (Default: off, Window: Settings, Section: Web Services).
    - Test and set TCPIP ports used by the Spotting, Band Activity and Text Message plugins.
       (Window: Settings, Section: Web Services , TCPIP Network Ports)

  Changes:
    - Default for logged frequency changed from QRG Only to True RF.
    - Default TCP ports used by HamSpots Spotting, Band Activity and Text Message
       plugins changed to 48081,48082 and 48083 respectively.

  Fixes:
    - Auto-Start application parameters not being saved.
    - Early dual mode versions of WSJT-X decodes not correctly identified as JT9
       resulting in missing mode from Worked B4 checks and spots to HamSpots.

2.4.10  (26-Sep-2013)
  New Features:
    - Wanted Lists settings initial mode view follows current TX mode.
    - WSJT-X Option to log frequency as dial freq (QRG) or true RF (QRG + DF).
       (Default: QRG only, Window: Settings, Section: Logging).

  Changes:
    - Cosmetic changes to Band Actvity popup to improve readability.
    - JT65-HF log frequency as QRG + DF optioned removed. Options now dial freq
       (QRG only) or true RF (QRG + DF + 1250Hz audio offset).
       (Default: QRG only, Window: Settings, Section: Logging).
    - TCP ports used by Band Activity, HamSpots spotting and Text Message plugins
       changed to more ISP-friendly values, 81,82 and 83.
    - Pending text messages no longer retrieved during the Band Activity update.

  Fixes:
    - Excessive delay before processing/alerting new WSJT-X and JT65-HF decodes.
    - SQLite error causing failed ADIF Logging and Log Scans.
    - Wanted DXCCs, Continents and Grids lists not correctly displayed in
       Settings window when switching tracking mode.

2.4.9  (16-Sep-2013)
  New Features:
    - User option for creation of desktop shortcuts during install/upgrade.

  Changes:
    - Grid logged by JT65-HF & WSJT-X now override Grid returned from a previous
       QSO or XML callbook lookup unless first 4 chars match and is 6 chars long.
    - Text message character limit increased from 64 to 128.
    - Band Activity Popup, JT9 counts moved to the right of the JT65 counts.

  Fixes:
    - Ignored Callsigns only background color and QSL flags displayed.
    - Band Activity popup blank for users with no log set (2.4.8 defect).

2.4.8  (29-Aug-2013)
  Changes:
    - Server changes (HamSpots.net) to improve reliability of processes
        handling Band Activity data, Auto-Spots and Text Messages.
    - Updates to new links for the HamApps.com website and Yahoo support group.

  Fixes:
    - Alaska and Hawaii callsigns incorrectly shown as United States.

2.4.7  (18-Aug-2013)
  New Features:
    - Option to auto-close text message window after message sent.
       (Default: ON, Window: Settings, Section: Web Services).

  Changes:
    - Auto-start delays increased to a maximum of 15000ms (15 seconds).
    - Worked B4 US Callsigns will display their State next to the Country name.

  Fixes:
    - DXCC database missing "DPR of Korea" (North Korea) entry.
    - DXCC database missing "Niue" entry due to recent prefix change (ZK2 , E6).
    - Blank lines in ignored and wanted calls lists that couldn't be removed.

2.4.6  (10-Aug-2013)
  New Features:
    - Reply button for incoming Text Messages. Auto-filled with target Callsign.
    - User selectable sound file for Text Message notification.
       (Default: _Hello.wav, Window: Settings, Section: Web Services).

  Changes:
    - Text Message window now closes after message sent.

  Fixes:
    - Some decoded callsigns missing from the 2nd line in the 2 line display.
    - Occasional WSJT-X not closeing when started as an auto-start application.

2.4.5  (03-Aug-2013)
  Fixes:
    - Broken Docking with WSJT-X 1.1.1 r3520.

2.4.4  (30-Jul-2013)
  New Features:
    - Works with JT65-Comfort 4.0.0 by DL4OCE (Alpha release).
    - Works with JT65-Comfort 3.6 by DL3VCO. NOTE: JTAlert logging only supports
       Comfort internal log types adif and MixW only.
    - German Language File.

  Changes:
    - JT65-HF JT65A decodes now spotted using the true DF offset from the QRG
       rather than DF zero = 1250Hz as traditionally reported by JT65-HF.

2.4.3  (29-July-2013)
  Fixes:
    - JTMacros when set to auto-start always starting in wsjtx mode, causing
       missing JT65-HF specific macros and broken JT65-HF docking.

2.4.2  (29-July-2013)
  New Features:
    - Option to instruct DXKeeper to upload a new QSO to eQSL.
       (Default: OFF, Window: Settings, Section: Logging,DXLab DXKeeper).

  Changes:
    - JTAlert-X will exit if unable to determine WSJT-X installation directory.
    - Minimum autostart delay for WSJT-X is now 2000ms. This is the amount of
       time JTAlert-X will pause while waiting for WSJT-X to finish starting.
    - Create Station shortcut extended to automatically create both JT65-HF and
       WSJT-X shortcuts regardless of current JTAlert operating mode.
    - ADIF log sqlite cache file is now automatically deleted and recreated at
       startup, rather than only adding newer QSOs since last time log used.
    - Text Message (via HotKey) auto-filled with current QSO partner Callsign.

  Fixes:
    - Not detecting Standard ADIF file was same as WSJT-X default adi log file.
    - Create Station desktop shortcut not adding /wsjtx parameter of WSJT-X mode.
    - B4Log.mdb file ADIF import not importing JT65 QSOs for dual-mode WSJT-X.
    - LotW and eQSL flgs not showing on 2nd row of Callsign display slots.

2.4.1  (16-Jul-2013)
  Fixes:
    - Wanted Alert lists changes not being remembered in some circumstances.

2.4.0  (16-Jul-2013)
  Important: Significant Wanted Lists changes requires re-run of Log Scans.

  New Features:
    - Support for new dual-mode WSJT-X (ver 1.1 or later).
    - WSJT-X operation, Wanted lists (by mode) are mode dependent (JT9 or JT65).
    - Two line decoded callsigns display. "Settings,Show 2 Callsign Lines" menu.
    - Decoded Callsign mouse-hover tooltip shows all Wanted Alerts that apply,
        regardless of individual Wanted Alert enabled setting.
    - Toggle Spots to HamSpots.net menu entry under "Alerts" menu.
    - Restrict Log Scans to specific DXKeeper homeQTH values. Settable for each
       Wanted Alert type. See "Logging,DXLab DXKeeper,homeQTH Selections" section.

  Changes:
    - Significant reduced log scan times, especially Wanted Grids.
    - QSO partners Call History popup follows the TX mode of WSJT-X.
    - JT9 Decoded Callsigns are shown using an underlined font.
    - Band Activity Display now provides both JT9 and JT65 band counts.
    - Decoded callsign mouse-hover tooltip now displays operating mode.
    - JTMacros sets WSJT-X TX5 when free text sent (WSJT-X 1.1 or later).
    - Log Scan results are shown in Green when counts have changed since last run.
    - Reduced window flicker on redraw after layout changes.
    - JTAlert updates no longer available while JTAlert is running and will
       require a manual download and run of the setup file.

  Fixes:
    - WSJT-X 1.1 (JT9+JT65 operation) spots sent to HamSpots as mode "JT9 JT65"
    - WSJT-X 1.1 JT65A spots sent to SpotCollector sent as JT9
    - Missing option to turn off receipt of text messages.

2.3.2, 2.3.3, 2.3.4
  Unreleased private Betas.

2.3.1  (02-JUL-2013)
  New Features:
    - Works with JT65-Comfort 3.5 by DL3VCO. NOTE: JTAlert logging only supports
       Comfort internal log types adif and MixW only.

  Fixes:
    - Ocassional docking to WSJT-X waterfall window.

2.3.0  (24-Jun-2013)
  New Features:
    - Send a simple text message (max 64 chars) to other JTAlert user.
       (F5 shortcut key or via decoded Callsign right-click menu)
    - JTMacros start menu entry. Menu "Settings,Start JTMacros".

  Changes:
    - Program Name change from JT-Alert to JTAlert.
    - JTMacros now included as part of the JTAlert distribution.
    - For HRD Logging, now warns if Log ODBC DSN not set and disables logging.

  Fixes:
    - Comfort 3.4 adif or mixw log not found for some installations.
    - JTAlert-X shows missing JT65-HF log file error at startup.
    - JTMacros not docked but being brought forward when JTAlert is docked.
    - Truncated adif data on import if data field contains adif delimiter character.
    - Settings, Logging, select ADIF file not considering .adif extension.

2.2.4  (04-Jun-2013)
  New Features:
    - Works with JT65-Comfort 3.4 by DL3VCO.

2.2.3
  Changes:
    - Config files for 1.x versions no longer auto upgraded to 2.x version.
    - End TX/RX period sound no longer played if WSJT-X mode not equal to JT9-1.
  Fixes:
    - Broken Callsign, frequency and mode detection with WSJT-X v0.95, r3278.
    - Invalid Grids (eg TU73) triggering Grid alerts.
    - Not showing an error when WSJT-X install path and config file not found.
    - Missing clear callsigns when decodes cleared option for WSJT-X.
    - Truncated adif data if tag contains an adif delimiter character.

2.2.2
  New Features:
    - Option to clear DXKeeper Callsign Filter after logging QSO.
       (Default: OFF, Window: Settings, Section: Applications,DXLab Suite).
    - Hotkey to open Browser to QRZ.com Callsign page of QSO Partner.
       (Default: F4, Window: Settings, Section: Miscellaneous,Hotkeys).
    - Support for JT65-HF-Comfort by DL4OCE. (This Comfort version under constant
        development and support make break with new DL4OCE releases).
    - TX_PWR field (Watts) in Log Fields Display. Value remembered between sessions
       and if set will override JT65-HF value. Sent to JT-Macros 2.2.2 or later.
  Changes:
    - Spots sent to DXLab SpotCollector sent as "JT65" or "JT9" without submode.
    - Wait time between repeated log checks of QSO saved now user configurable.
       (For Log failure messages on Slow PCs when QSO was correctly logged).
    - Option to delete User Settings during an uninstall no longer available.
       (User settings are always kept during an uninstall. A seperate application
        is available for a total removal of settings files and registry entries).
  Fixes:
    - Docking not working when running in JT65-HF mode.
    - Hotkeys not being passed to other windows when JT-Alert is not active.
    - Display of LoTW/eQSL flags, top left of screen when exiting Settings window.
    - On busy bands not all callsign slots filled despite more decodes.
    - QSL flags and Callsign mouser-hover ToolTip shown in empty callsign slots.
    - JT-Alert-X displays JT65-HF rather than WSJT-X in log failure messages.
    - No Log B4 checking is broken when the "Ignore Band" setting is checked.
    - Incorrect Coloring of some callsign slots during slow WSJT-X decodes.
    - USA Based Calls with non-USA Prefixes not correctly flagged as USA.
    - Unable to locate Help File when a help link clicked.
    - Scan Log for US States incorrectly considering non-USA QSOs with the same
       2 char State abbreviations.

2.2.1
  Unreleased private Beta.

2.2.0
  Important: JT-Alert-X requires WSJT-X v0.9 r3158 or later.

  New Features:
    - JT-Alert-X shortcut icon for alerting and logging JT9 modes using WSJT-X.
    - Simultaneous running of JT-Alert-X and JT-Alert.
    - Callsign Right-Click menu item - "Copy Callsign to Clipboard".
    - Now logs any DXKeeper User Defined Values to DXKeeper Log.
    - Option to delete adif cache file at JT-Alert start.
       Recommended not to use unless advised by Support to enable.
       (Default: OFF, Window: Settings, Section: Miscellaneous,Performance).
  Fixes:
    - JT-Alert not following JT65-HF above other windows when docking enabled.
    - Incorrect titlebar font color under some Vista/Win7/8 Aero themes.
    - Incorrect reporting new version available when using pre-release version.
    - Not reporting installed Ham-Apps program versions for non-admin users.
       This requires new versions of Sounds, Databases and JT-Macros.

2.1.3
  Unreleased private Beta.

2.1.2
  Changes:
    - Change use of DXCC name from "Germany" to "Fed. Republic of Germany".
  Fixes:
    - Show Call History Hotkey change not saved.
    - Band Activity Display - Hide inactive bands option not being obeyed.
    - JT65-HF Comfort variant fails to start when set as an auto-start application.

2.1.1
  Fixes:
    - Support email broken.

2.1.0
  New Features:
    - Works with JT65-HF-Comfort variant, alerts and logging.
    - Log4OM Logging. UDP (DM780) Connection Method, SQLite format log file only.
       (Default: OFF, Window: Settings, Section: Logging,Log4OM).
    - Call History Popup now available as a separate and movable window (F3 hotkey).
       (Default: Popup, Window: Settings, Section: Window,QSO Call History).
    - Option to query QRZ.com XML service for QSO partner details.
       (Default: OFF, Window: Settings, Section: Web Services,Online Callbooks).
    - Option to query HamQTH.com XML Service for QSO partner details.
       (Default: OFF, Window: Settings, Section: Web Services,Online Callbooks).
    - Option to upload newly logged QSOs to HRDLog.net
       (Default: OFF, Window: Settings, Section: Web Services,Online Logbooks).
    - Enable/Disable option for automatic updates of decodes.csv history file.
       (Default: OFF, Window: Settings, Section: Miscellaneous)
    - Decoded Callsign mouse-hover tooltip. US State, Country & LoTW/eQSL data.
       (Default: ON, Window: Settings, Section: Window,Popup Windows)
    - Commandline option to start with auto-start apps turned off (/noautostarts).
       (pre-configured shortcut included with install/upgrade).
  Changes:
    - WAS Test button will play a random State Name file when option "Use Individual
       State Name..." is checked and Ham-Apps Sound Files are installed.
    - Displayed Callsigns cleared whenever the JT65-HF decodes are cleared.
       (Default: ON, Window: Settings, Section: Applications,JT65-HF)
  Fixes:
    - Soundcard Test Play failed when no Ham-Apps Sounds installed.
    - DXKeeper Capture, unneeded updates after Band changes or after logging a QSO.
    - Alerts not generated if Own Call alert disabled and Own Call appears in decode.
    - Incorrect eQSL/LoTW flagging of some callsigns.
    - Slow decode processing on low-end PCs caused by decodes.csv file updating.
    - Incorrect Prefix to DXCC mapping flagging some callsigns in the wrong country.
       (eg CE/Call flagged as CE0=Easter Is. when correct country is CE=Chile).

2.0.9
  New Features:
    - Ignore (Blacklisted) Callsign option.
    - F11 hotkey (user changeable) to open Settings Window.
    - Band Activity Popup now available as a separate and movable window (F2 hotkey).
    - Alert Types Window and Band Activity Window hotkeys now configurable.
    - Non Alerts - background and font color change option.
    - All Decodes recorded in decodes.csv file showing decode data and results of
       processing. See the "Miscellaneous" section of settings, help link available.
  Changes:
    - Configuration window now named Settings window.
    - "Hotkeys", "Performance" & "Language" sections of Settings window moved
       to new "Miscellaneous" section.
  Fixes:
    - End TX/RX Period sound not playing.
    - Incorrect frequency logged when using QRG+DF or QRG+DF+audio formats.
       (Windows with Regional Settings with non-dot used as decimal separator)
2.0.8
  Changes:
    - Decoded callsigns/colors are now cleared when Configuration is opened.
    - Language files will default to using English for missing words and phrases.
    - Setup now records a log of warnings and errors generated during install.
  Fixes:
    - Sound playing with wrong soundcard after Windows reassigned Soundcard IDs.
    - Soundcard selection box not showing current setting (not all users).
    - One of the debugging session files being incorrectly truncated.

2.0.7
  New Features:
    - Alerts Types popup window with enable/disable, defined color and count history
       for each Alert. Activate by "F1" key.
    - Option: Logged frequency accuracy, QRG, QRG+DF or QRG+DF+Audio Offset(1250Hz).
       (see Logging section of Configuration)
  Changes:
    - Improved CQ & ITU Zone determination accuracy for Australia (VK6, VK8 & VK4).
  Fixes:
    - Calls never worked on 160M Band being flagged as B4. MixW & ADIF logs only.
    - Single Apostrophe in notes field breaks ADIF & MixW logging.
    - Incorrectly reporting VK6 & VK8 zones.

2.0.6
  Fixes:
    - Not logging JT65-HF user modified frequency only the QRG frequency.
    - Setting QSL Sent to "4" on some DXKeeper installations

2.0.5
  Important: LoTW date features require HamApps-Databases 12.12.18 or later.

  New Features:
    - Option to customise alert priorities.
    - Last LoTW upload Year shown in Call History popups.
    - Option to ignore LoTW membership if last upload date more than 1 to 5 years
       in the past. This will affect LoTW flags and LoTW Only alerting.
  Changes:
    - New Alert sound priority defaults. "Own Call" overrides all others.
       Lowest to highest... Wanted Call,Grid,State,DXCC,CQZone,Continent
    - Updates indicator now "(Updates!)". On large font systems is still "(!)"
    - LoTW & eQSL flags now visible for worked B4 callsigns and Own Call Alerts.
    - Log-Scan results now show current Band/QSL/Mode settings in reports.
  Fixes:
    - Alert Sounds stop playing, but Test Sound functions work.
    - Inaccurate Log Scan results for adif & MixW logs when scanning by Band.
    - Call History popup being shown when JT-Alert is hidden by other windows.
    - QSL request checkbox value not being obeyed.

2.0.4
  Fixes:
    - Repeating audio alert requiring taskmanager kill of JT-Alert.
    - Updates available indicator, "(!)", showing for programs not installed.
    - Incorrectly placed installed/latest labels in "Program Updates , Sounds"
       section of the Configuration window.
    - Line 0 error when selecting ADIF or MixW Log in Configuration.
    - Error messages when closing JT-Alert after trying to start a second copy.

2.0.3
  New Features:
    - Option to upload logged QSO to your Club Log logbook.
       (see new "Web Services" section of Configuration)
    - Option to turn on/off automatic check of new updates at JT-Alert start.
    - Check for updates button in "updates" section of Configuration.
    - Updates available indicator. "(!)" at end of window title.
  Changes:
    - DXCC management, separate lists for needed and unneeded entities.
    - HamSpots.net setting moved to new "Web Services" section of Configuration.
    - Show dxcc & show log fields options added to Configuration, Window section.
  Fixes:
    - Log Scans, when set to Any Band (all Wanted Alerts), may return zero needed.
    - Intermittent spawned processes not closed (visible in taskmanager).
    - Installer not removing old Start Menu Folders after program upgrade.
    - Typographic errors in Configuration Window.

2.0.2
  Fixes:
    - Updater not responding and needed to be killed by taskmanager.

2.0.1
  Changes:
    - Attempts to determine correct DXCC when users Log returns invalid DXCC code.
    - Default log mode (for new installs) changed to JT65A now that eQSL will
        match JT65 to submodes JT65A, JT65B and JT65C.
  Fixes:
    - CQZones log scan broken for ADIF and MIXW logs.
    - Errors accessing HRD log when DSN setup to use SQL Server authentication.
    - Not detecting HRD "SQL Server" Driver ODBC DSNs.
    - Intermittent Line 13056 Error.
    - Premature end of Updater process when run from Configuration window.
    - "Halt JT65-HF TX" hotkey showing "All Sounds Mute" text label in Config.

2.0.0
  Important: This version compatible with JT-Macros 2.0.0 or later ONLY.
  Important: This version compatible with HamApps-Sounds 2.0.0 or later ONLY.
  Important: This version compatible with HamApps-Databases 12.10.13 or later ONLY.
  Important: Support for Swisslog and VQlog logging abandoned.
  Important: Support for DXLab LoTW, eQSL & US databases abandoned.

  New Features:
    - Support for custom JT65-HF Windows control definition files.
    - Option to send new decode data to HamSpots.net.
       (much faster and more reliable than using the JT65 RBN)
    - Interface Language Support. This release, English and Spanish only.
       (new languages can be added without the need to upgrade JT-Alert)
    - Previous QSOs summary popup for current QSO partner via mouse hover over
       callsign with "New Band", "First QSO" or "QSO B4" display below callsign.
       Also Mouse hover hotspot ("+" symbol) if Log Fields not visible.
    - Previous QSOs summary via right-click menu on any of the decoded callsigns.
    - Current QSO partner data sent to JT-Macros for use in macro substitution,
       Bands worked count, Name and Callsign.
    - Updater program to check and install updated files.
    - Option to display Calls left-to-right, following the decodes
       low-to-high DF order or right-to-left as used in old JT-Alert versions.
    - Detect and process new decodes at any time in the minute.
    - Own Call alerts now detects callsign and name in free-form exchanges.
    - Single Log Scan option to update all Wanted Lists with text file results.
       (Log Scan still available for each individual Wanted Alert type)
    - Band Tracking - set Individual bands for each the Wanted alerts (DXCC, WAS,
        WAC, Grids & CQZones). This also applied to Log Scans.
    - Log scan for ADIF & MixW Logs to update Wanted (State, DXCC, etc) Lists.
    - Band Activity popup shows change in band spotters count since last check.
    - Band Activity popup displays latest SFI, A-Index and K-Index data.
    - SFI, A-Index & K-Index values saved with each logged QSO (expect MixW).
       (Band Activity must be enabled as data is retrieved with band data)
    - Option to prevent logging of propagation data, SFI/A/K, to DXKeeper.
    - Distance and Ant_AZ are now logged (other stations grid must be logged).
    - Option to display US State Checkboxes by State Code or State Name order.
    - Option to display "Halt TX" Symbol to Left or Right of decoded callsigns.
    - Option to display DXCC Country names below decoded callsigns.
    - "Disable Alert if Station worked B4" option for Own Call Alert.
    - "Generate Alerts ONLY if Station is calling CQ or QRZ" option.
    - "Generate Alerts ONLY if Station is eQSL(AG) member" option.
    - "Generate Alerts ONLY if Station is LoTW member" option.
    - DXKeeper log file now automatically detected.
    - DXlab Test Configuration section. Test running & dde connect DXLab Apps.
    - Button to open your browser to QRZ.com page of your current QSO Callsign.
       (visible if "Show Log Fields" is enabled)
    - EQSL & LoTW QSL Request defaults for ADIF format log.
    - Auto-Start Apps delay, after start before next application start.
    - Auto-start Apps selection more file extensions, .bat, .cmd, .lnk & .com.
    - Add 60M & 2M to Bands for Wanted alerts (DXCC, WAS, WAC, Grids & CQZones).
    - Option to turn off Sliding effect on popup windows.
    - Option to not display Log Success popup window.
    - Option to not display Call QSO & Band History popup window.
    - Sound Card selection now includes Windows Default.
    - Test Sound Card menu entry (under "Settings" menu).
    - Test Sound Card button under Sound Card section of configuration window.
    - Progress display when sending Config & Session files email to support.
    - Un-installer has option to completely remove all user settings.
  Changes:
    - Callsign Right-Click QRZ menu now open to main QRZ page if call box empty.
    - Internal B4 file now auto-created, no longer user selectable.
       (prevents user incorrectly selecting JT65-HF, DXKeeper or HRD .mdb files).
    - Settings moved from ini file to an SQLite database.
    - Session data now saved to an SQLite database (max 2 days of data).
    - Layout changes to Configuration window to improve display for users
       running Windows with increased font size or Language other than English.
    - Individual Bands (per alert) now managed by a single config section.
    - Support for Swisslog and VQlog logging abandoned.
    - Support for DXLab LoTW, eQSL & US databases abandoned.
    - Ham-Apps US State, LoTW & eQSL databases now distributed as a single file.
    - HRD V5 MS Access File method abandoned, use the HRD V5 ODBC DSN instead.
    - All Log scans to update Wanted Lists moved to a single section of Config.
    - Own Call alerts will not generate other alerts even if they apply.
    - Default log mode changed from JT65 to JT65A for new installs only.
    - 95% decrease in log scan time when updating Worked Grids Lists.
    - Improved CQ & ITU Zone determination accuracy for Canada.
    - Improved CQ & ITU Zone determination accuracy for China.
    - Improved CQ & ITU Zone determination accuracy for Russia (AS & EU).
    - Country name of US calls for HRDLog saved as "United States".
    - Halt after TX symbol changed to "filled square" symbol.
    - Improved data lookup speeds & improved caching or past database queries.
    - Improved error reporting, detection and recovery.
    - Improvements in Callsign validation tests.
  Fixes:
    - Color Selection Dialog not remembering custom colors.
    - Color Selection Dialog incorrectly displayed always top left of screen.
    - Alerting old decodes if Config Window has been open for an extended time.
    - Log fields with long text shows end of text, now showing start of text.
    - Restore window to nearest screen edge if the window would be placed off
       of the screen during startup.
    - Not logging 60M QSOs because JT65-HF doesn't log frequency or band.
    - HRD DSNs detection failing when using "Microsoft Access-Treiber" driver.
    - HRDLog producing garbage data for own CQ & ITU zones.
    - HRDLog when modify a QSO resets country name to blank for "United States"
    - Own call alert generated for other callsigns that start with own call.
    - Not detecting log type change after return from running Configuration.
    - DXKeeper QSL request incorrectly set to "N" rather than "".
    - HRD QSL/eQSL/LoTW Received incorrectly set to "" rather than "N".
    - Some auto-start Apps fail to close after config window has been opened.
    - Log scan DXCC count not matching DXKeeper progress counts.
    - Part of hidden log fields visible on displays with 125% font scaling.
    - Text cropped on Band Activity popup on displays with 125% font scaling.
    - DXCC list incorrectly displayed "Asiatic Turkey" for "Turkey".
    - Not logging US State or generating alerts where State was "DC".
    - WAS Log scans not using State "DC" as State "MD".
    - Titlebar menus & Band Activity displays delayed on Win7 & Vista Aero themes.
    - Un-managed Error when Config encounters invalid database file path.
    - Error message when Wanted Call Alert triggers the JT65-HF ToTop event.
    - ACLog ADIF file errors due to non-standard adif tags.


Version History 1.0.0 - 1.6.0

Navigation: Version History >

Version History 1.0.0 - 1.6.0

JT-Alert Release Notes:
--------------------------------------------------------------------------------

1.6.0
  New Features:
    - Support for "Slashed" Station Callsigns.
    - Wanted CQ Zone alerts by band (160M to 6M) or any band with log scanning
       to update needed lists.
    - Wanted Continent alerts by band (160M to 6M) or any band.
       NOTE: Log scanning to update needs list currently disabled.
    - Wanted Grids can be configured by band or any band.
    - 3 user-configurable hotkeys to toggle sound on/off, toggle out of shack
       alert and toggle "halt after current TX". (config "JT-Alert" section)
  Changes:
    - Reduced load times for JT-Alert and Configuration windows.
    - Support for running under Wine/Crossover dropped.
    - Improved CQ & ITU Zone determination accuracy for EU & AS Russia.
    - Wanted Grid management changed to use log scanning to update needs list.
    - Increased memory cache read speed.
  Fixes:
    - DXKeeper 10.0.1 not detected.
    - Config screen throws error when OK button double-clicked.
    - Scan log option (States, DXCCs & Zones) not displaying despite using
       a supported log type.
    - No decodes for timezones offsets from UTC that were not an even hour.
    - If JT65-HF running a 2nd instance was started by auto-start settings.
    - Intermittent display of configuration sections overlaying each other.

1.5.10
  Unreleased private Beta.

1.5.9
  New Features:
    - MixW logging & B4 checking (CSV format logs only).
    - WAS & DXCC update from Log Scan support for MixW.
    - Option to enable JT65-HF Multi Decoder after JT-Alert Halt TX activated.
  Changes:
    - Improved log scanning (WAS & DXCC) speed.
  Fixes:
    - Random alerting on old decodes from previous minute.
    - False appearing beside callsign when no callsign databases selected.
    - Random fail to close some auto-start applications.
    - 1.5.8 startup crash for new installs or pre 1.5.x upgrades.

1.5.8
  New Features:
    - Auto-start/close up to 5 applications when JT-Alert starts/closes.
  Changes:
    - Removed auto-start/close JT65-HF when JT-Alert starts/closes option.
       (settings moved to new Auto-Start Applications section of configuration)
    - Contact Support email now requires an email address & problem description.
  Fixes:
    - Incorrect CQ & ITU zones being logged for some US calls.
    - End JT65 TX & RX alert playing regardless of sound-off setting.

1.5.7
  New Features:
    - Dock to Top of JT65-HF window option.
    - Alert at end of JT65-HF RX & TX period (48 seconds).
    - Settings->Contact Support menu opens Support section of Config window.
    - Wanted WAS & DXCC bands update from Log Scan now supports VQlog.
  Changes:
    - Log fields Grid now limited to maximum 6 characters.
    - Band Activity layout adjusted for users with enlarged font scaling (125%).
    - Band activity popup will display down rather than up if the normal
       position places part of the popup off the top of the screen.
  Fixes:
    - Log fields Grid after Notes in Tab order.
    - Out Of Shack Alert triggered by B4 calls when individual alerts checked.
    - Intermittent processing of old JT65-HF decodes when first started.
    - HRDV5 recording German QSOs as "Germany deleted" Country.
       (due to HRDV5 bug misinterpreting correct DXCC code)
    - Incorrect Docking (gap or overlap) if JT65-HF 1.0.9 is resized vertically.

1.5.6
  New Features:
    - Support for JT65-HF version 1.0.9
    - WAS & DXCC update from Log Scan now processes all bands with one scan.
    - Notes field will override JT65-HF notes if not empty when logging.
    - Settings menus for Wanted State or Wanted DXCC will open Config
       to State or DXCC Band as per current JT65-HF operating Band.
    - Bearing & distance now calculated and recorded in the HRD V5 log.
    - Single mouse-click "Halt JT65 TX" toggle option.
       ("H" to the right of the last decoded callsign display position)
  Changes:
    - Layout adjustments for users running enlarged font scaling (125%).
    - Decoded Callsigns right-click context menu entries renamed.
    - HRD V4 logging and B4 check no longer supported.
    - Internal code changes to reduce CPU usage.
  Fixes:
    - Newly logged Calls were not shown as a "B4" on subsequent decodes.
       (only occurred when "Ignore Band when checking B4" option checked)
    - US based Callsigns with KG4 prefix wrongly identified as Guantanamo Bay.
    - Intermittent incorrect DXCC code logged (either 0 or empty).
    - HRDV5 Log error when Name, QTH or Notes contained a single quote.
    - Config crash on slow PCs that take over 10 seconds to load the window.

1.5.5
  Fixes:
    - No decoding or alerting when JT-Alert docking is disabled.

1.5.4
  Fixes:
    - Possible system crash if JT65-HF closed while JT-Alert is running
        while having the docking option checked.

1.5.3
  New Features:
    - JT65-HF "To Top" option for Wanted DXCC Alert.
  Fixes:
    - Wanted DXCC enable checkbox in Configuration window not remembered.
    - Intermittent bring to front when JT-Alert docked to JT65-HF window.
    - Repeated missing Ham-Apps Callsign Databases warning message.
    - B4 not identifying previous QSOs in an ADIF file downloaded from LoTW.
    - HRDV5 recording German QSOs as "Germany deleted" Country.
       (due to HRDV5 bug misinterpreting correct DXCC code)

1.5.2
  New Features:
    - Sounds and databases now distributed as separate installer files.
    - Configuration Support section. Email Config & Session files.
    - DXCC alerts now available by band (160M to 6M) or any band.
    - Scan Log to populate Wanted DXCC settings.
       (Currently only, DXKeeper, HRD4/5 (Access) & HRD5 (MySQL & MSSQL)).
    - DXKeeper warning messages and logging disabled if DXKeeper
       Configuration log path doesn't match log path in JT-Alert.
    - ADIF warning messages and logging disabled if ADIF log path
        is the same as the JT65-HF log file path
    - Records Longitude & Latitude (based on Gridsquare) in HRDV5 log.
    - Configuration Updates section. Display installed and available
       versions of JT-Alert, Callsign Databases and Sound files.
  Changes:
    - Enhanced error checking, warning messages & session recording.
  Fixes:
    - HRDLog producing garbage data for log fields not containing data.
    - When JT65-HF minimised to taskbar, JT-Alert not following (when docked).
    - Menus and Band activity pop-up don't display in multi-monitor
       setup when Secondary display is to the left or top of Primary.
    - Incorrect docking in multi-monitor setup when Secondary display
       is position to the left or top of Primary display.
    - Band Activity Display showing regardless of enabled setting.
    - When logging is disabled, B4 log being called in error.
    - ADIF Log Band field missing "m"

1.5.1
  New Features:
    - HRDV5 & DXKeeper options to flag QSO with LoTW/eQSL upload requested.
    - Additional error detection and warning of inability to locate
       the JT65-HF log file and or path.
    - Support for multi-monitor PCs when moving and restoring windows.
    - Option to not use Memory Cache for DB query results.
       (Only enable if advised by Support)
    - Warning if log & database files specified in Config don't exist.
       (file paths will get reset to blank in Config after this warning)
  Changes:
    - Removed pop-up window display timeout for failed QSO logging.
    - Logging Configuration layout for clearer understanding of which log
       is active. Enabling one log force disables other logs.
    - JT65-HF Notes now logged to HRDV5 Comments field.
  Fixes:
    - Callsign not shown as B4 after failed QSO Log message.
    - Failed Log message when QSO was correctly logged due to timing.
    - Windows Regional Settings with non-dot used as decimal separator
       caused logging failures and SQL error messages.
    - Config window position off screen.
    - HRDV5 log crash when missing DXCC code logged.
    - HRDV5 QSOs being flagged as SWL rather than normal contact.
    - DXLab Workspaces caused JT-Alert Configuration to abort.
    - Spaces in JT65-HF Log path or no trailing backslash caused no logging.
    - Sound OFF setting not being remembered between restarts.
    - Out of Shack alert not correctly toggling Wanted Calls check mark.
    - JT-Alert always on top not working.
    - DXKeeper Lookup on new JT65-HF "TX to Call Sign" entry not working.

1.5.0
  New Features:
    - Code changes to support new JT65-HF ver 1.0.8.x
    - Distributed as a single Setup/Installer executable file.
       (manual install no longer supported).
    - US State & Misc sound wave files now included in Installer file.
    - LoTW, eQSL & US State callsign databases are included in Installer file.
       (in future releases, these will be via a standalone updater).
    - Sound and Callsign databases installed outside of program folder in
       Windows Common AppData area (typically C:\ProgramData under Win7)
    - Logging: HRD4/5 (Access), HRD5 (MySQL & MSSQL), SwissLog, VQLog, ADIF.
       (JT65-HF data plus Name, QTH, DXCC, State, ITUZ, CQZ & QSL request).
    - Scan Log to populate WAS settings.
       (Currently only, DXKeeper, HRD4/5 (Access) & HRD5 (MySQL & MSSQL)).
    - WAS count of needed States display on WAS Configuration pages.
    - Menus moved to title bar for a cleaner look and increased space
       for up to 9 decoded callsigns.
    - Toggle sound on/off now on titlebar.
    - Customize font color of visual alerts.
    - Custom font & background colors for "Worked B4" decoded callsigns.
    - If sounds installed, sets default alert sound files if not configured.
    - Band activity indicator in titlebar with auto updates from HamSpots.net.
    - LoTW & eQSL(AG) membership indicators on decoded callsigns.
    - Out of Shack Alert with own volume and sound file(repeat 1 to 5 times)
       triggered on any combination of existing alerts. The idea is that this
       will sound to draw attention to JT65 activity.
    - Wanted DXCC Alert.
       (still in beta with settings improvement due in next release).
    - Tree Style Settings/Configuration window layout.
    - Settings saved to a file (instead of Registry) in users AppData directory.
       (old REG settings auto migrated to new file on first run of V1.5.0).
    - Own Call alerts now support two callsigns.
    - Right-click menu on decoded calls. Add/delete call to/from Wanted-
       Calls alert list and initiate QRZ.com lookup.
    - Option to vary number of decoded callsigns displayed. (6,7,8 or 9).
    - Always OnTop of all windows option for JT-Alert.
    - Wanted Calls & Wanted Grids management (Add, delete, import).
    - Select message format (7 available) of SpotCollector spots.
    - Multi-user support with individual settings and logs and alerts.
       (one PC, one JT-Alert plus ancillary files install)
    - Auto create empty JT-Alert B4 file if missing and needed.
  Changes:
    - Logging to JT-Alert B4 file only if not using a supported logger.
       (If using a supported logger, B4 checking uses that log)
    - B4 checking of WinLog & DXBase logs no longer supported.
       (use inbuilt B4 file instead)
    - JT-Import is now part of the Configuration/Setup program.
       (Support of standalone adif import program is dropped).
    - Configuration WAS State order to match ARRL LoTW State order.
    - Extended CQ & QRZ detection to include non-standard decodes.
       (CQ DE, QRZ DE, QRZ?, QRZ??, CQDX, CQ DX, CQ USSTATE)
    - Left-Click DXKeeper lookup moved to Right-Click context menu.
       Pathfinder lookup also available.
    - Option to repeat play an alert wave file removed.
    - Auto layout adjustments for Screen resolutions with large fonts.
    - Compiler options reduced .exe file-size and memory usage 50%.
    - Performance enhancements - caching of database lookup results.
    - Application icon now supports Vista/Win7 large (256x256) icon sizes.
    - "Stop TX" asterisk replaced with "Halt TX' menu entry.
    - Status icons removed.
  Fixes:
    - Incorrect Docked position and size under Vista/Win7 Aero theme.
    - Soundcard setting not being restored under Vista/Win7 (rare event).
    - JT65-HF CWID being truncated when using Stop TX option.

1.4.1
     New - Option to ignore Band when checking B4 status of decoded callsigns.
  Change - The JT-Alert.mdb (B4 log) can now be located outside the JT-Alert folder.
  Change - B4 checking using DXKeeper, HRD, DXBase, Winlog & Swisslog restored.
  Change - Time for new decodes detect extended to 15 sec into the next minute.
           (for slow CPUs where JT65-HF decodes don't appear until the new minute)
     Fix - Incorrectly handled LoTW & eQSL DXlab file paths stopped correct
           flagging of DXKeeper log entries.

1.4.0
     New - Dedicated database file (JT-Alert.mdb) for "Worked B4" searches.
     New - ADIF import utility for initial setup of JT-Alert.mdb database.
  Change - Support for other logger files dropped for "Worked B4" searches.

1.3.9
  Unreleased private Beta.

1.3.8
     Fix - Winlog32 "worked B4" searches causing crash.
     New - Support for multiple logs in WinLog32 log database file.
     New - Additional logging fields (Currently only for DXKeeper logging).

1.3.7
     New - "Mute All Sound" menu option and status icon.
     New - option to Auto-log to DXKeeper on JT65-HF Log QSO activation.

1.3.6
     New - Swisslog V5 Logs supported for Worked B4 status checking.
     New - Auto-Stop Transmission after current TX has completed (click "*").

1.3.5
     New - WinLog32 Logs supported for Worked B4 status checking.
     New - DXBase2007 Logs supported for Worked B4 status checking.
  Change - DXKeeper lookup now activated by single left-mouse click.
  Change - If JT65-HF QRG not set, B4 check will now flag any B4 QSOs (any Band).
  Change - Worked B4 searches now look for mode 'JT65' or mode 'JT65A'.
  Change - Cancelling from browse Log file now remembers original file path.
  Change - Code to prevent attempts to move JT65-HF off screen by JT-Alert.

1.3.4
  Unreleased private Beta.

1.3.3
     New - HRD V4 & V5 (MS Access) Logs supported for Worked B4 status checking.
            (see the Settings "LOG" tab to set preferred log to use)

1.3.2
     Fix - Correctly triggers "CQ" alert when "CQ DX callsign" is decoded.
  Change - B4 search now accounts for DXKeeper log entries with no TX Freq recorded.

1.3.1
     New - Colour for "Own Call" alerts.
  Change - Cancelling from browse audio file now remembers original file path.
  Change - Alert callsign font changed to Bold for improved readability.
     Fix - Multiple same alerts now all being coloured correctly for all alerts.

1.3.0
     New - Horizontal layout that matches JT65-HF Window width.
     New - JT-Alert will follow JT65-HF (if enabled) to front of other windows.
     New - Decoded Callsigns now includes US state display.
     New - Color selection for each Alert Callsign display.
     New - Dock to bottom of JT65-HF Window option (will follow JT65-HF moves).
     New - Auto-start JT65-HF when JT-Alert starts option.
     New - Close JT65-HF on JT-Alert close option.
     New - Title Bar displays JT65-HF QRG Band.
     New - When not running, start JT65-HF, DXKeeper & SpotCollector via
            click on program "not-running" status icon.
1.2.2
  Change - Browse to locate DXKeeper Log & USAP database if DXLab registry
            lookup fails for installations where DXLab is not installed.

1.2.1
     New - "Own Call" alerts will now always play first regardless of decode order.
     New - "Check All" & "UnCheck All" buttons for the WAS Band settings display.
     New - "Any Band" option for WAS alerts. Alert will sound if State is checked
            for the current Band or for the "Any Band".(Skip on B4 still applies).
     Fix - Not detecting Broken DDE links if SpotCollector or DXKeeper restarted.
     Fix - Disabled alerts (Calls & Grids) on worked B4 not being obeyed.

1.2.0
     New - WAS State alerts are available for all HF Bands (160M to 6M)
           (requires DXLab DXView USAP database file for State lookup).
     New - Bring JT65-HF to front of other windows at end of TX/RX period (49 sec).
     New - Bring JT65-HF to front of other windows only for selected Alerts.
     New - "B4" indicator in Last Calls Decoded display for worked before stations.
     New - Disabled individual Alerts if Station worked before on current band.
           (currently only for DXKeeper Log files).
     Fix - Wanted Calls & Grids lists being truncated on save and restore.
  Change - Additional instructions displayed in Settings Window Tabs.

1.1.2
     New - SoundCard selection.
     New - Each alert has a configurable volume setting.
  Change - Support for MP3 files dropped. Only Wave files supported.

1.1.1
     Fix - Incorrectly formatted SpotCollector Spot frequencies. (tnx Alex IZ4CZL)
  Change - Spots now use mode JT65 to match JT65-HF adi log. (tnx Alex IZ4CZL)

1.1.0
     Fix - Some slash callsigns not detected correctly. (tnx David KJ4IZW)
     Fix - Unable to restore window if previously closed when minimized.
     Fix - Calls with 2 or 3 digits or leading digit now detected.
     New - Prevents more than one copy of JT-Alert from running.
     New - Last Decoded Callsigns display.
     New - Perform DXKeeper Log lookup of decoded Callsign.
     New - Statusbar display of JT65-HF, SpotCollector & DXKeeper status.
     New - Each alert has a configurable repeat count (0=off, 1,2 or 3).

1.0.6
     Fix - Only spotting one decode to SpotCollector (tnx David KJ4IZW)
     New - Alert on QRZ as well as CQ
     New - Alert on Callsigns containing a slash (eg. VK3AMA/VK4)
     New - Tested with new JT65-HF version 1.0.7

1.0.5
     Fix - After browsing a new audio file, test audio would fail.
  Change - Settings now saved to Registry to avoid ini write fails (Win7).
     New - Decoded callsigns now propagated to DXLabs Spotcollector.

1.0.4
  Fixed  - Alert repeats are now limited to 2 per alert type per minute.

1.0.3
     New - Tabbed setup window.
     New - Wanted Callsigns and Wanted Grids alerts.
     New - CQ alert.
     New - Separate audio file for each alert type (.wav or mp3).
     New - Individual alerts can be disabled quickly from menu.
     New - Sample audio files included (extract to same folder as JT-Alert.exe).

1.0.2
     Fix - Sound failed in Vista & Win7.
     New - Changed sound code to use .wav file.

1.0.1
     New - JT65-HF status display.
     New - "Test Sound" menu item.

1.0.0 Initial Release.


Contacting JTAlert Support

Navigation: »No topics above this level«

Contacting JTAlert Support

Support for JTAlert is currently only available by posting a message to the community support forum at https://hamapps.groups.io/

The groups.io forums have replaced the Yahoo groups that no longer exist which for many years were used by many Amateur Radio software packages and enthusiast communities. groups.io membership is free with a single member account being used across any number of groups.


Logging

Navigation: »No topics above this level«

Logging

Important: QSO must be logged using WSJT-X Log QSO button.

JTAlert detects the WSJT-X Log QSO event and then logs the QSO to your log. Any additional data (Name, QTH, Grid, Power, DXCC, State, ITU zone, CQ zone and QSL request) set in the JTAlert log fields will also be logged.

If using one of these supported logs, worked B4 checking is based on the selected log.

It is recommended to use the ADIF log if you don't have one of the other supported logs.

Confirmed / Worked Bands Display

The Confirmed / Worked Bands display is only visible if the Log Fields are visible. It is displayed below the Log Fields. It can be hidden by using the JTAlert menu "Settings > Show Confirmed Bands".

Logging using one of the supported loggers must be enabled and correctly configured.

Current Band and Mode are shown in Red.

Whenever the current QSO Partner Callsign is changed (WSJT-X DX Call), the log is examined and the bands confirmed for both JT65 and JT9 modes are indicated. Confirmation type can be set using the Card / eQSL / LoTW checkboxes. Confirmed bands will be shown with a bold blue colored tick. Unconfirmed (that is worked only) bands are shown with a non-bold grey colored tick.

The Confirmed Bands can be shown for the QSO Partner Callsign, the DXCC of that Callsign or if a US based Callsign, the US State of the Callsign. The "JT65 #" and "JT9 #" counts are the number of Log entries (regardless of confirmation status) for JT65 and JT9 respectively, for either the Callsign, DXCC or US State.

Log Confirmed Bands

Logged Frequency

The logged frequency can be the QRG (VFO) frequency or the true RF frequency.

§For WSJT-X, the RF frequency is QRG + DF (DF = 0 is at the VFO frequency).

Logging Options

1: | Checked will log without the submode designator, JT65 or JT9. Uncheck to log the full mode, JT65A or JT9-1.
2: | Log the full name returned from an XML lookup. Uncheck to log only the first name.
3: | Log the full QTH (typically Address) returned from an XML lookup. Uncheck to log only the calculated City/Town name. (best effort is made to extract the QTH from the free-form XML data so is not 100% accurate)
4: | Log Solar data, SFI, A-Index and K-Index. This data is retrieved from HamSpots.net during Band Activity data updates. The Band Activity display must be enabled.
5: | Set the logged QSO with LoTW Sent = "R" and LoTW Received = "R".
6: | Set the logged QSO with eQSL Sent = "R" and eQSL Received = "R".
7: | Remember the QSL Requested checkbox status across logging events and JTAlert restarts.
8: | Comments in the JTAlert Log fields display are automatically restored from the last JTAlert session.
9: | Don't log the time shown in the JTAlert Log fields display Time field.
10: | Log the WSJT-X Comment to QSL Message field of JTAlert configured logger, ignoring the JTAlert Comments field.
11: | When unchecked any Address returned from a previous QSO in your Log or from the results of an Online XML Lookup will not be set yo you logger when logging a new QSO.
12: | Send to calculated Short-Path Bearing to the ANT_AZ Log field (if the logger supports this field).

Worked B4 Database File

This file is automatically used if NONE of the supported loggers are used. An import from an ADIF file can be done to initially populate this file and provide accurate worked B4 detection. The Callsign and Band only are recorded to this file every time a QSO is logged in WSJT-X.

Comments and QSL Message Text Substitutions

%Name% | First name of your QSO partner
%Power% | Your TX Power (read from Log fields PWR entry)
%RstS% | RST sent
%RstR% | RST received
%Qsos% | Number of QSOs with your QSO partner (including current)
%QsosJT9% | Number of JT9 QSOs with your QSO partner (including current)
%QsosJT65% | Number of JT65 QSOs with your QSO partner (including current)
%QsosFT8% | Number of FT8 QSOs with your QSO partner (including current)
%Bands% | Number of Bands with your QSO partner (including current)
%BandsJT9% | Number of JT9 Bands with your QSO partner (including current)
%BandsJT65% | Number of JT65 Bands with your QSO partner (including current)
%BandsFT8% | Number of FT8 Bands with your QSO partner (including current)


DXLAB DXKeeper

Navigation: Logging >

DXLAB DXKeeper

Important: DXKeeper must be running for JTAlert to log QSOs.


DXKeeper myQTH ID Selections

Navigation: Logging > DXLAB DXKeeper >

DXKeeper myQTH ID Selections

You can specify, for each of the Wanted Alert types (US State, DXCC, Continent, CQ Zone & Gridsquare, etc), one or more myQTH values that will restrict a Log Scan results to QSOs from the myQTH(s) selected.

This is useful where some awards are restricted to QSOs from a single location or a number of locations within a set distance range. If the DXKeeper log is setup with multiple myQTH values, each for a single operating QTH, then the Log Scan will produce accurate results.

Selections are remembered between JTAlert restarts and can be altered under the "Logging->DXLab DXKeeper->myQTH ID Selections" section of the Settings Window. The selection boxes, don't obey normal shift,ctrl - click mouse selecting. Just a single click on each line will toggle the selection on/off.

Notes:

·If applying myQTH selections against a Log Scan, it is important that all QSOs in the DXKeeper Log have a myQTH value set. QSOs without a myQTH will be ignored.

·If no selections are mode for a Wanted Alert type, then the Log Scan will be applied to all QSOs in the DXKeeper Log, including those without a defined myQTH.


Log4OM V1

Navigation: Logging >

Log4OM V1

Important: Log4OM V1 and Log4OM Communicator must be running for JTAlert to log QSOs.

Log Server and SQLite File

The UDP port (default 2236) must match the port used in Log4OM and the Server IP address is the IP address of the PC running Log4OM.

In a typical installation where JTAlert and Log4OM are running on the same PC, the Server IP address is 127.0.0.1.

The Log SQLite File is the Log4OM Log Database file. Use the "Select" button to select your log file.

Log4OM Communicator Interfaces Tab

These instructions valid for Log4OM 1.25

The Log4OM pdf help file has instructions for enabling UDP logging. Basically, you need to ....

1. Open the Log4OM Communicator window.

2. Use the Stop button on the Interfaces Tab.

3. Click menu Settings->Inbound->Inbound Settings.

4. Tick the "UDP Connection (ADD message) check box.

5. Leave the port at 2236.

6. Click menu File->Save Configuration.

7. Use the Start button on the Interfaces Tab.

Log4OM will now be listening for UDP logging messages from JTAlert.


Log4OM V2

Navigation: Logging >

Log4OM V2

Important: Log4OM V2 must be running for JTAlert to log QSOs.

Setup

1.Enable the Remote Control port in Log4OM V2.

2.Create an "ADIF_MESSAGE" inbound connection in Log4OM V2.

3.Enable the sending of the DX Call in JTAlert.

4.Set the Control port in JTAlert to match the port used in Log4OM V2 (Step 1.)

5.Set the ADIF_MESSAGE port in JTAlert to match the port used in Log4OM V2 (Step 2.)


ACLog

Navigation: Logging >

ACLog

Important: ACLog must be running for JTAlert to log QSOs.

·ACLog version 5.4 or later only.

·ACLog API TCP must be enabled (menu Settings -> Application Program Interface (API)).

·JTAlert automatically determines the current ACLog Log file and TCP port by reading the ACLog configuration file during startup.

·ACLog writes any configuration changes only when the program is closed. If you change the Log file or TCP port in ACLog, restart both JTAlert and ACLog to ensure JTAlert is using the correct values.

Additional Log Fields (Other Fields)

ACLog does not have QTH or QSLMSG fields defined in the log so one of the 8 "Other" fields can be used to store this data.

The QTH can be recorded to one of the "Other" user-defined fields. If using one of these "Other" fields to hold the QTH data, It is recommended that you rename the title of this field to "QTH" as this will be used in the ACLog display and the correct "QTH" adif tag will be used if the ACLog Log ever needs to be exported as an ADIF file, otherwise the QTH data will not be exported.

The QSLMSG can be recorded to one of the "Other" user-defined fields. If using one of these "Other" fields to hold the QSLMSG data, It is recommended that you rename the title of this field to "QSLMSG" as this will be used in the ACLog display and the correct "QSLMSG" adif tag will be used if the ACLog Log ever needs to be exported as an ADIF file, otherwise the QSLMSG data will not be exported.

Setup for ACLog running on a Remote Networked PC

·Make sure your ACLog API enabled, "Settings -> Application Programming Interface (API)" menu.

·Open the JTAlert Settings.

·Navigate to the Logging->ACLog section.

·Check the Enable check-box.

·Select the "Remote Networked PC" radio button.

·Set the IP Address of the PC running ACLog.

·Set the TCP port of the ACLog API server.

·Use the Select button to browse to the network share containing your ACLog log file.

·Close the JTAlert Settings.

·Restart JTAlert

·Your should see "ACL+" in the JTAlert title-bar. The "+" indicates Remote ACLog.

·Try logging a QSO


HRD V5/V6

Navigation: Logging >

HRD V5/V6

Important: HRD Logbook must be running for JTAlert to log QSOs.


Standard ADIF File

Navigation: Logging >

Standard ADIF File

Under Construction

If your preferred logger is not supported, it is best to select the ADIF log, as it will record additional QSO data (Name, QTH, Grid, DXCC, State, ITU zone, CQ zone and QSL request), that can be imported by your logger at a future time. Worked B4 checking will use this log.

Important: This IS NOT the adif file produced by WSJT-X (wsjtx_log.adi). If you select the WSJT-X log file, logging will be disabled and a warning message generated.


Last QSO API

Navigation: Logging >

Last QSO API

JTAlert will automatically, regardless of your enabled logger, write an ADIF formatted record of the last logged QSO to an ADIF file and simultaneously transmit an ascii UDP packet of the ADIF record.

The UDP packet is transmitted on the local PC only (127.0.0.1) using the defined port.

The ADIF File will contain a single record only, and is located at %localappdata%\HamApps\<YOUR_CALLSIGN>\logs\lastqso.adi

Replace <YOUR_CALLSIGN> with the Callsign used with JTAlert.


Tutorials

Navigation: »No topics above this level«

Tutorials

· ATNO (All Time New One) visual alert

· Wanted Alerts, Mode Tracking explained

· User Defined Alert - email using CMail smtp mailer

· CommandLine Parameters

· N3FJP Contest Logs Logging


ATNO (All Time New One) visual alert

Navigation: Tutorials >

ATNO (All Time New One) visual alert

·The ATNO alert requires that a Logger is enabled in JTAlert and that the "Rebuild Alert Database" operation is performed in order to keep the database updated and in sync with your Log. Manually maintaining the Alert Database is not supported and will likely produce incorrect ATNO alerting.

·The ATNO alert applies to Wanted DXCC, US State and VE Province alerts only.

·An ATNO is triggered when the alert entity (DXCC, State or Province) is not found confirmed in the log on any Band or any Mode.

·The confirmation requirement for this alert is based on the confirmation types set for the "Rebuild Alert Database" operation for each if the supported Alert types. For example, here the Wanted DXCC is set to require LoTW confirmations.

·The B4 status of a callsign is ignored when testing for an ATNO event.

·To turn off the ATNO visual display involves simply disabling the blinking effect under the Callsigns windows options. Untick the "Allow blinking effect" checkbox.

·This blinking visual display is not available for the Decodes window. Only the Callsigns window supports the blinking visual display.


Wanted Alerts, Mode Tracking explained

Navigation: Tutorials >

Wanted Alerts, Mode Tracking explained

·Any Mode

·Any Digital Mode

·Any WSJT-X Mode (JT9, JT65 or FT8)

·By individual mode (JT9,JT65 or FT8)

The Mode Tracking reflects how you want to be alerted for that specific Wanted Alert. When a Scan Log is performed, individual Wanted Lists are created reflecting the above 4 Mode Tracking options.

The Mode Tracking should be set to how you want to chase these alerts. The Wanted Lists influence what is alerted visually and audibly.

Using Wanted DXCC as an example. For the 4 tracking options the Log Scan does the following...

1.Any Mode : A log confirmed DXCC entity in any mode with be removed from the Wanted List.

2.Any Digital Mode : A log confirmed DXCC entity in any Digital Mode (not CW and not SSB) with be removed from the Wanted List.

3.Any WSJT-X Mode (JT9, JT65 or FT8) : A log confirmed entity in any of the WSJT-X supported modes (JT65 or JT9 or FT8) with be removed from the Wanted List.

4.By individual mode (JT9, JT65 or FT8) : Causes three mode specific Wanted Lists to be created, one each for JT65, JT9 and FT8. If an entity is confirmed on JT65 only, for example, That entity is removed from the JT65 list but not the JT9 or FT8 lists resulting in that Entity being alerted only for JT9 or FT8. This Tracking is for those who want to work all DXCCs for each mode.

Any DXCC not in the Wanted List for your preferred Tracking Mode method will not generate and audible or visual alert.

The Mode Tracking can be set for each Alert type. You can set the Tracking for Grids as "Any Mode" while for States where your chasing WAS by Mode you could set "By Individual Mode" as example. The choice is yours.


User Defined Alert - email using CMail smtp emailer

User Defined Alert - email using CMail smtp mailer

Navigation: Tutorials >

User Defined Alert - email using CMail smtp mailer

Sample batch file for use with CMail.exe (https://www.inveigle.net/cmail) smtp mailer.

@echo off

::==================================================================================

:: Description: Sample alert emailer batch file for use with JTAlert External Alert.

:: Requires: CMail command-line emailer. See https://www.inveigle.net/cmail

:: Version: 2.0, 21-Jul-2021

:: Author: VK3AMA

::==================================================================================

::***********************************************

:: setup variables for CMail. See https://www.inveigle.net/cmail

::

set cmaildir=

set smtpsender=

set smtpserver=

set smtpport=

set smtpuser=

set smtppwd=

set mailto=

set priority=

set timeout=

::***********************************************

setlocal enabledelayedexpansion

set argCount=0

for %%x in (%*) do (

set /A argCount+=1

set "argVec[!argCount!]=%%~x"

)

echo.

echo Number of passed arguments: %argCount%

echo.

for /L %%i in (1,1,%argCount%) do echo %%%%i ^: "!argVec[%%i]!"

echo -------------------------------------------------

echo.

echo JTAlert set environment variables

echo.

echo %%JTAlert_AlertNo%% ^: %JTAlert_AlertNo%

echo %%JTAlert_AlertType%% ^: %JTAlert_AlertType%

echo %%JTAlert_AlertTrigger%% ^: %JTAlert_AlertTrigger%

echo %%JTAlert_Decode%% ^: %JTAlert_Decode%

echo %%JTAlert_Call%% ^: %JTAlert_Call%

echo %%JTAlert_Date%% ^: %JTAlert_Date%

echo %%JTAlert_Time%% ^: %JTAlert_Time%

echo %%JTAlert_Band%% ^: %JTAlert_Band%

echo %%JTAlert_Mode%% ^: %JTAlert_Mode%

echo %%JTAlert_QRG%% ^: %JTAlert_QRG%

echo %%JTAlert_DF%% ^: %JTAlert_DF%

echo %%JTAlert_DB%% ^: %JTAlert_DB%

echo %%JTAlert_Dxcc%% ^: %JTAlert_Dxcc%

echo %%JTAlert_Country%% ^: %JTAlert_Country%

echo %%JTAlert_MthonCountry%% ^: %JTAlert_MthonCountry%

echo %%JTAlert_CQZone%% ^: %JTAlert_CQZone%

echo %%JTAlert_Continent%% ^: %JTAlert_Continent%

echo %%JTAlert_State%% ^: %JTAlert_State%

echo %%JTAlert_Grid%% ^: %JTAlert_Grid%

echo %%JTAlert_IsFFMAGrid%% ^: %JTAlert_IsFFMAGrid%

echo %%JTAlert_Prefix%% ^: %JTAlert_Prefix%

echo %%JTAlert_IsAtnoDxcc%% ^: %JTAlert_IsAtnoDxcc%

echo %%JTAlert_IsAtnoState%% ^: %JTAlert_IsAtnoState%

echo %%JTAlert_IsAtnoProvince%% ^: %JTAlert_IsAtnoProvince%

echo %%JTAlert_Bearing%% ^: %JTAlert_Bearing%

echo %%JTAlert_Distance%% ^: %JTAlert_Distance%

echo %%JTAlert_Eqsl%% ^: %JTAlert_Eqsl%

echo %%JTAlert_Lotw%% ^: %JTAlert_Lotw%

echo %%JTAlert_LotwDate%% ^: %JTAlert_LotwDate%

echo -------------------------------------------------

echo.

:: Setup email

::

set line=^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-^-

set line1=JTAlert generated an alert

set line2= Alert No ^: %JTAlert_AlertNo%

set line3= Alert Type ^: %JTAlert_AlertType%

set line4= Alert Trigger ^: %JTAlert_AlertTrigger%

set line5= Decode Text ^: %JTAlert_Decode%

set line6= Callsign ^: %JTAlert_Call%

set line7= Date (UTC) ^: %JTAlert_Date% (yyyy-mm-dd)

set line8= Time (UTC) ^: %JTAlert_Time%

set line9= Band ^: %JTAlert_Band%

set line10= Mode ^: %JTAlert_Mode%

set line11= QRG ^: %JTAlert_QRG%

set line12= DF ^: %JTAlert_DF%

set line13= DB ^: %JTAlert_DB%

set line14= DXCC # ^: %JTAlert_Dxcc%

set line15= Country ^: %JTAlert_Country%

set line16=Marathon Country ^: %JTAlert_MthonCountry%

set line17= CQ Zone ^: %JTAlert_CQZone%

set line18= Continent ^: %JTAlert_Continent%

set line19= State ^: %JTAlert_State%

set line20= VE Province ^: %JTAlert_Province%

set line21= Grid ^: %JTAlert_Grid%

set line22= Is FFMA Grid ^: %JTAlert_IsFFMAGrid%

set line23= Prefix ^: %JTAlert_Prefix%

set line24= Is ATNO Dxcc ^: %JTAlert_IsAtnoDxcc%

set line25= Is ATNO State ^: %JTAlert_IsAtnoState%

set line26=Is ATNO Province ^: %JTAlert_IsAtnoProvince%

set line27= Bearing ^: %JTAlert_Bearing%

set line28= Distance ^: %JTAlert_Distance%

set line29= eQSL member ^: %JTAlert_Eqsl%

set line30= LoTW member ^: %JTAlert_Lotw%

set line31= LoTW Date ^: %JTAlert_LotwDate% (yyyy-mm-dd)

set body="%line1%\n%line%\n%line2%\n%line3%\n%line4%\n%line5%\n%line6%\n%line7%\n%line8%\n%line9%\n%line10%\n%line11%\n%line12%\n%line13%\n%line14%\n%line15%\n%line16%\n%line17%\n%line18%\n%line19%\n%line20%\n%line21%\n%line22%\n%line23%\n%line24%\n%line25%\n%line26%\n%line27%\n%line28%\n%line29%\n%line30%\n%line31%\n%line%\n\n"

set subject="JTAlert generated an alert (%JTAlert_Band% %JTAlert_Mode%, %JTAlert_AlertType% - %JTAlert_AlertTrigger%)"

:: Run CMail

"%cmaildir%\cmail.exe" -starttls -host:%smtpuser%:%smtppwd%@%smtpserver%:%smtpport% -to:%mailto% -from:%smtpsender% -subject:%subject% -body:%body% -timeout:%timeout% -priority:%priority% -d

echo.

echo ErrorLevel returned from CMail == %ERRORLEVEL%

echo.

IF ERRORLEVEL=0 goto :NOERROR

:: If we get here a non-zero errorlevel returned by cmail

echo.

echo *** ERROR CMail returned error code %ERRORLEVEL% ***

echo.

goto :EXITWithPause

:NOERROR

:: Any additional batch processing goes here

goto :EXITNOpause

:EXITWithPause

pause

:EXITNOpause

:: End of batch file herepause


CommandLine Parameters

Navigation: Tutorials >

CommandLine Parameters

The list of publicly accessible parameters.

1."/wsjtx"

2."/jtdx"

3."/callsign="

4."/log="

5."/logfile="

6."/myid="

1 to 2 instruct JTAlert which JTMode application it is to inter-operate with. These are used with the different shortcuts created during JTAlert installation.

"/callsign=" allows JTAlert to use an alternate operator callsign (with a separate config from that used by the normal JTAlert operation).

"/log=" allows JTAlert to use a different loggger from that set within JTAlert. Setting the logger type using this parameter assumes that the necessary settings for that logger have already been set within the JTAlert Settings (but not enabled). Valid log names for the parameter are...

·"/log=DXKeeper"

·"/log=ACLog"

·"/log=Log4OM"

·"/log=HRD"

·"/log=ADIF"

"/logfile=" used to specify the ADIF file to use. If this parameter is missing the ADIF file specified within the JTAlert Settings is used. If the parameter is present and the log file doesn't exist and is a valid Windows path and name, JTALert will automatically create a new empty ADIF file. This parameter is ignored if the "/log=" type is not "ADIF".

"/myid=" a user defined string that will appear in the status section of the JTAlert titlebar text. This parameter is not used by JTAlert.


N3FJP Contest Logs Logging

Navigation: Tutorials >

N3FJP Contest Logs Logging

Important:

§ Requires WSJT-X 2.0.0 or later (NOT 2.0.0 -rc versions).

§ Requires JTAlert 2.12.10 or later.

§ Supports N3FJP RTTY Contest Log (3.6 or later), VHF Contest Log (6.2 or later) and Field Day Contest Log (6.0 or later, NOT Winter FD).

§ Use the JTAlert Settings, Logging -> ACLog section.

The JTAlert title-bar status text displays the current special operation mode of WSJT-X and the N3FJP Contest Log enabled.

WSJT-X Special Operation Mode.
[RU] | ARRL RTTY Roundup
[FD] | ARRL Field Day Contest
[VHF] | NA VHF Contest
N3FJP Contest Log
RRCL | ARRL RTTY Roundup Contest Log
FDCL | ARRL Field Day Contest Log
VCL | VHF Contest Log

JTAlert Setup:

·Uses the ACLog logging settings, "Logging -> ACLog" section.

·Enable ACLog logging (top right of section).

·Select "Manual Configuation" radio button.

·Enter the IPv4 address of the PC running the N3FJP Contest Log. This will typically be 127.0.0.1 for the local PC running both JTAlert and the Contest Log.

·Enter the TCP Port used by the N3FJP Contest Log API. Typically, 1100. See the Contest Log "Settings -> Application Programming Interface (API)" menu.

·Select the log file used by the N3FJP Contest Log. Typically the file is located in a sub-directory under %userprofile%\Documents\Affirmatech\N3FJP Software\

·Select the N3FJP Contest Log type being used.

WSJT-X Setup:

·Enable the Special operating mode via the "File -> Settings" menu.
NOTE: Only ARRL RTTY Roundup, NA VHF Contest and ARRL Field Day are supported.

Important:

When running WSJT-X 2.0.0, use Tab 1 during the contest.

This will ensure that WSJT-X correctly fills in the exchange fields of the Log QSO window.

N3FJP RTTY Contest Log Setup:

·Application Programming Interface (API) must be enabled and the Logger must be running.

·Enable the API via the "Settings -> Application Programming Interface (API)" menu.


Frequently Asked Questions

Navigation: »No topics above this level«

Frequently Asked Questions:

· Move JTAlert to a New PC

· Are the States automatically unchecked after working a Station?

· Not all my Spots showing on HamSpots.net

· US State Labels

· Warning about QSO not logged when it is logged

· cty.dat file

· Confirmed QSOs not reflected in my Wanted Alerts

· Why do I need to run a Rebuild Alert Database

· How to get support for my Logger in JTAlert


Move JTAlert to a New PC

Navigation: Frequently Asked Questions >

Move JTAlert to a New PC

1. Do a fresh install of JTAlert (and Sounds if needed) on the new PC.

2. Run JTAlert at least once on the new PC, providing your Callsign when prompted.

3. Stop JTAlert

4. Your Old flies & Directories are here...

§ On Win7/8/10: "C:\Users\<user_name>\AppData\Local\HamApps\"

5. Copy the above files & directories to the new PC, overwriting any existing to the following directory...

· On Win7/8/10: "C:\Users\<user_name>\AppData\Local\HamApps\"

6. JTAlert is now ready to run on the new PC.


Are the States automatically unchecked after working a Station?

Navigation: Frequently Asked Questions >

Are the States automatically unchecked after working a Station?

NO.

States (and DXCC, CQZones, etc) are not automatically unchecked (no longer needed) after working a Station. However, any future appearances of the Station on the current Band will no longer generate the Wanted Alert as the callsign would be flagged as a B4, even if the State is still checked as needed.

Updating the needed Sates has to be done manually, or if your using one of the supported loggers, you can perform a "Rebuild Alert Database" operation and automatically update your wanted lists. Many people only consider a State as no longer needed once it is confirmed by QSL. That is why the rebuild allows you to define the confirmation type for States that are no longer needed. If your happy to consider a worked State, regardless of QSL, as no longer needed, uncheck all the Confirmation types (will now consider a worked State as unneeded) in the rebuild section before doing a rebuild.


Not all my Spots showing on HamSpots.net

Navigation: Frequently Asked Questions >

Not all my Spots showing on HamSpots.net

You will never see all your spots in the Cluster Display. That display has dupes removed and a spotted Callsign can only appear once for each different spotting Continent in any minute. For example if VK3AMA gets spotted by EU, OC and NA stations there will appear 3 spots, one for each continent. Which Station gets the credit for the Spot is based on who is the first to get into the database. To give the different spotting stations a chance of getting the credit, JTAlert adds a random delay of 1 to 10 seconds (changes each minute) to the batch of outgoing spots. This is to avoid Stations with very fast PCs out spotting the slower PCs. If you routinely get decodes very late in the minute or into the new minute, it is unlikely that you will see you Callsign being credited with a Spot even with this delay.

The "Cluster Display" is NOT a good indicator of your spots being received.

ALL your spots are still in the database, so that Stations looking at their spot history will see any spots you have made for them regardless of whether the spot appeared in the Cluster Display.

To see if your spots are being received, look at the "Calls You Spotted" display (below the "Local Chat" display). This displays all your outgoing spots.


US State Labels

Navigation: Frequently Asked Questions >

US State Labels

The State information used for the labels comes from two sources. First from any previous QSOs in your Log. Second, if no previous QSOs, from the Callsign database. If you are not seeing the State for Stations not in your Log, this suggests that the Callsign database is not being used. Since the use of the Callsign database is automatic if it is installed, this suggests that it may not be installed or may be corrupt and needs to be reinstalled.


Warning about QSO not logged when it is logged

Navigation: Frequently Asked Questions >

Warning about QSO not logged when it is logged

When JTAlert logs a QSO, it then attempts to read your Loggers log file looking for that new QSO. If the QSO is not found, it attempts the read again 2 more times using a user-defined delay. The delay is specified under the "Logging" section of the Settings window.

The most likely cause of an unverified message is that you Logger was performing another task and hadn't completed the logging task initiated by JTAlert. This is common if the Logger is set to automatically upload new QSOs to an online logbook (like LoTW, eQSL, Clublog) and if that website is slow or timing out, this may delay your Logger in writing the QSO to the Log file (which JTAlert is reading) and this delay exceeds the verification retry time of JTAlert.

If you get this error message frequently, try increasing the delay time. A value of 5 seconds typically solves this for most users. On very slow PCs or PCs heavily loaded with many high-cpu use applications running, a value of 10 seconds or higher may be needed.


cty.dat file

Navigation: Frequently Asked Questions >

cty.dat file

When a new version of JTAlert is produced, the latest cty.dat is added as a resource to the executable. So, an old JTAlert will have an old cty.dat, EXCEPT when the HamApps Callsign Database is being used. The Database, which is regularly updated (about every 2 weeks), also includes the cty.dat which will always be current. The version built into JTAlert is used as a fallback if the user doesn't use the Callsign Database.


Confirmed QSOs not reflected in my Wanted Alerts.

Navigation: Frequently Asked Questions >

Confirmed QSOs not reflected in my Wanted Alerts.

Under Construction

JTAlert doesn't automatically adjust its needs list (in your case Grids) when a Station is worked and logged as at that time there is no QSL confirmation. The needs list needs to be updated after you update the QSL statuses of your QSOs.

For performance reasons, JTAlert keeps slow database file access to a minimum. It doesn't interrogate your log every time a Grid is encountered to see if it is confirmed. Instead, it uses an in-memory list of not needed Grids. That in-memory list is read from your configuration file each time JTAlert is started.

It is best to update that needs list whenever you get QSOs in your log that have their QSL statuses changed (say after doing a download from LoTW). The "Rebuild Alert Database" section of the JTAlert Settings window is what you need (there is a direct menu link "Settings->Rebuild Alert Database").

The "Rebuild" will search your log and update a single needs list or all of them for the different Wanted Alert types. You can have different QSL requirements for different Wanted Alerts and the settings for these are saved.

Important: Don't manually update your Wanted Lists and also perform the Rebuild. The Rebuild will overwrite any manual changes that have been made.


Why do I need to run a Rebuild Alert Database

Navigation: Frequently Asked Questions >

Why do I need to run a Rebuild Alert Database

Performance and lookup speed is a prime requirement for JTAlert especially during periods when the are many decodes to process. To avoid very slow disk-based file lookups of your log to determine what Alerts to generate as decodes are processed, in-memory lists are used. These in-memory lists, called the "Wanted Lists" are created/rebuilt when performing a "Rebuild Alert Database" and allow for very fast determination of which Alerts are generated by each decoded Callsign.

The "Rebuild Alert Database" should be performed on a regular basis, especially after your Logger log has been updated with any new QSL confirmations (Card, eQSL or LoTW).

If you have specific QSL requirements set for a Rebuild, say LoTW for Wanted DXCCs as an example, then only QSOs found in your log (during the log scanning) that have the LoTW confirmed flag set will be used to rebuild the Wanted DXCC List.

Important: Don't manually update your Wanted Lists and also perform the "Rebuild". The "Rebuild" will overwrite any manual changes that have been made.


How to get support for my Logger in JTAlert

Navigation: Frequently Asked Questions >

How to get support for my Logger in JTAlert

When considering a request for the addition of a new logger to JTAlert, there are three areas that I consider, Social, Technical and Support.

1.Social

1.How popular is this logger amongst the Ham community?

2.Have there been previous requests to incorporate this Logger into JTAlert?

3.What are the user experiences with using this Logger?

4.What do the eHam reviews say?

5.What has been the experience of users when dealing with the Company when requesting support?

2.Technical

1.What is the technology used for the logger program and its log format?

2.Is there a publicly documented logging Interface (eg. TCP/UDP/DDE) to allow for 3rd party logging without the need to write directly to the log file, database or physically manipulation of the windows controls of the Logging program?

3.Does the Log use a common Non-proprietary database format? e.g. Sqlite, Access files or MySQL, MSSQL, MariaDB database engines.

3.Support (by the Logger Developer)

1.The Developer needs to acknowledge identified and documented defects within their software and attempt to provide a timely fix.

2.The Developer has to be prepared to work with me in resolving usage issues, especially when they involve defects identified within their logger.

3.For commercial loggers that only provide time or feature limited access to unregistered users, the developer needs to be able to provide me with a software license to allow for unrestricted comprehensive compatibility testing.

I acknowledge that HRDV5 and ADIF don't meet my Technology requirements. Their inclusion in the JTAlert logging support is historical. Support for those logger types was added in the very early days of JTAlert development.


Troubleshooting

Navigation: »No topics above this level«

Troubleshooting

· Contacting JTAlert Support

· WSJT-X not responding to JTAlert Callsign clicks

· HRDLogbook 6.3+ Logging Failure

· Setting Changes Not Remembered

· B4 Status out of sync with Log File

· No Alert Sounds after new install

· Not logging to DXKeeper

· Applications don't auto-start

· Waiting for WSJT-X to start popup when WSJT-X is already running


WSJT-X not responding to JTAlet Callsign clicks

WSJT-X not responding to JTAlert Callsign clicks

Navigation: Troubleshooting >

WSJT-X not responding to JTAlert Callsign clicks

If WSJT-X is not responding to Callsign click events in JTAlert, typically, the cause is incomplete settings for the UDP Server. Specifically, the "Accept UDP requests" checkbox is not enabled. This is set under the "Reporting" tab of the WSJT-X Settings.

WSJT-X UDP setup instructions can be found here.


HRDLogbook 6.3+ Logging Failure

Navigation: Troubleshooting >

HRDLogbook 6.3+ Logging Failure

There is a long-standing defect with HRDLogbook 6.3+ where QSOs are not logged to non-Access HRD Logbooks.

The HRDLogbook TCP logging command reports that "Valid fields" were found in the log command sent by JTAlert and that these fields were added to the logbook, BUT the QSO is never logged.

This does not affect all HRDLogbook users.

If you experience this particular defect, please open a support ticket with HRDLLC to help get this defect fixed.

In summary, HRDLogbook is reporting back to JTAlert that the QSO was logged, but it never is. This is a HRD defect, not JTAlert.

Note: This defect was first reported to HRDLLC November-2015


Setting Changes Not Remembered

Navigation: Troubleshooting >

Setting Changes Not Remembered

If changes to JTAlert Settings are not remembered across JTAlert restarts, it is very likely the config file has become corrupt.

JTAlert maintains backups of the config.sqlite file (up to 7 days worth) so you should be able to recover by restoring one of the backups.

Do the following...

1. | Stop JTAlert
2. | Use Windows File Explorer and navigate to the following directory... %localappdata%\HamApps\<YOUR_CALLSIGN>\config\JTAlertX\
3. | You will see several files with a utc data/time as part of the filename. These are the backups and the data/time was when they were created.
4. | Delete the config.sqlite file.
5. | Rename one of the backup files to config.sqlite, choose a file that was created prior to you experiencing the Settings save problem.
6. | Start JTAlert and open the Settings and make a simple change.
7. | Close the Settings and JTAlert.
8. | Start JTAlert and open the Settings and check if the change made in step 6 is still set.
9. | If the change wasn't remembered, repeat steps 4 to 8, using an older backup.
10. | If none of the backups correct the problem, then the only option is to delete the config.sqlite file and start JTAlert without that file. It will be automatically created and you will need to re-enter your Settings and run a "Rebuild Alert Database" to update your Wanted Lists.


B4 Status out of sync with Log File

Navigation: Troubleshooting >

B4 Status out of sync with Log File

When a callsign is first encountered during a JTAlert session the worked B4 status (and other data) is retrieved via a lookup of your log

The lookup data is cached for speedier lookup on subsequent detection of that callsign. This is far quicker than a lookup of your logfile.

If a Station is worked and logged, using JTAlert logging, the B4 status is updated in the memory cache

If you don't use JTAlert logging, the B4 status in cache doesn't get updated as JTAlert is unaware that any logging has taken place and JTAlert doesn't go looking at your log file. So the JTAlert B4 status is now out of sync with the true log status.

If your manually logging, then JTAlert will need to check your logfile for every callsign detected and every time it is detected, on the off chance that that callsign may have been logged during the current JTAlert session. This will have a significant negative impact on performance and increase the time JTAlert is able to check decodes and generate the alerts.

The solution, visit the "Performance" section of the Configuration and tick the "Do not cache ..." checkbox..


No Alert Sounds after new update

Navigation: Troubleshooting >

No Alert Sounds after new update

The Test Sound function works, but the Alert sounds don't.

Go into Settings and set an Alert file for each Alert type. If you have The HamApps Sounds installed, you can use the "Default" button to quickly set the file.

When JTAlert is first started after a new install, the file paths are empty and JTAlert will attempt to set default paths if the Sounds are installed, otherwise it will leave the file blank. The attempt at setting up default paths is only attempted once. Subsequent JTAlert version updates will not set the defaults. Some people run with no sounds so having no file set is acceptable.


Not logging to DXKeeper

Navigation: Troubleshooting >

Not logging to DXKeeper :

If newly logged QSOs are not appearing in the DXKeeper log and you get a message that JTAlert was unable to confirm that the QSO was logged, that suggests that something is blocking the logging command issued by JTAlert to DXKeeper.

The usual cause is having DXKeeper set to run as Administrator. The Windows security model prevents normal privileged processes (JTAlert) from interacting with processes running elevated privileges (DXKeeper). There is no need to run DXKeeper elevated if it has been installed outside the "Program Files..." directory tree per the developers recommendations.

Another possible cause is that your virus/malware software is blocking the TCP request from JTAlert.

Open the JTAlert Settings window, "Applications -> DXLab Suite -> Test" section and use the Test button. It should show (in green) that DXKeeper is running and DDE is Connected if your environment is set correctly.


Applications don't auto-start

Navigation: Troubleshooting >

Applications don't auto-start

Applications don't auto-start if they are configured to run as Administrator. This is because JTAlert is running with normal user privileges (the default as it is not normally necessary). If an auto-start application must be run with these elevated privileges, then JTAlert must also be run with the same or higher privileges.

JTAlert does not need to be run as Administrator to function correctly and it is Highly Recommended to NOT set JTAlert to run as Administrator.


Waiting for WSJT-X to start popup when WSJT-X is already running

Navigation: Troubleshooting >

Waiting for WSJT-X to start popup when WSJT-X is already running

There are typically two causes for JTAlert to show a "Waiting for WSJT-X to start" window.

1.JTAlert is already running and your trying to start a second instance of JTAlert and that is waiting for a second copy of WSJT-X to be started. The popup message will indicate an instance number. You will need to locate the already running JTAlert process and kill it in Windows TaskManager including any already running JTAlert plugin processes. The easiest technique that ensures any JTAlert zombie processes and file locks are removed is to perform a Windows restart.

WaitingWsjtxInstance

2.WSJT-X is running with elevated process privileges and Windows is preventing JTAlert from interacting with the WSJT-X process due to the mismatch in process privileges. This is typically due to having set WSJT-X to run as Administrator, either the wsjtx.exe file, the shortcut used to start wsjtx.exe or both. There is never any need to run WSJT-X elevated. Stop WSJT-X and remove the run as Administrator setting.


WSJT-X UDP Setup

Navigation: »No topics above this level«

WSJT-X UDP Setup

1. | UDP Server must be a valid multicast IP address. 224.0.0.1 is recommended. Addresses in the 224.0.0.1 to 224.0.0.255 range or 239.255.0.1 to 239.255.255.255 range are supported.
2. | Accept UDP requests must be enabled.
3. | A loopback interface needs to be selected in the "Outgoing interfaces" selector.
4. | JTAlert needs the "Settings -> WSJT-X UDP Multicast on Loopback" menu ticked.

Important:

§WSJT-X instances must be running on the SAME PC as JTAlert.

§UDP Server must be a valid multicast IP address in the 224.0.0.1 to 224.0.0.255 range or 239.0.0.1 to 239.255.255.255 range

§Use a multicast address (eg 224.0.0.1) as it allows for multiple JTAlert/WSJT-X instance operation and also allows other applications that interact with WSJT-X (provided they support multicast), like DX Aggregator and Grid Tracker, to operate alongside JTAlert.

§A multicast address can be used when running a single instance of WSJT-X & JTAlert. This is the recommended setup.

§Accept UDP requests must be enabled.

§A loopback interface needs to be selected in the "Outgoing interfaces" selector.

§The port is best left at the 2237 default. Do not try and adjust it to match the UDP ports on other applications unless they are configured for the same multicast setup as WSJT-X.

§JTAlert needs the "Settings -> WSJT-X UDP Multicast on Loopback" menu ticked if using multicast UDP.

JTAlert will automatically detect if WSJT-X is correctly setup to use UDP.
To check if JTAlert is communicating with WSJT-X via, use the JTAlert "Help -> About" menu to open the About window and examine the WSJT-X settings that JTAlert has detected and is using.

If JTAlert is failing to communicate with WSJT-X and you need to get support via the official Support Forum on groups.io, click the "Copy to clipboard" icon to place the "Current operating state" results onto the Windows clipboard and paste into your message for posting to the Forum.


HRD 6.7.0.269, JTAlert settings

HRD 6.7.0.269 (or later), JTAlert settings

Navigation: »No topics above this level«

HRD 6.7.0.269 (or later), JTAlert settings

JTAlert users who have upgraded their version of HRD to 6.7.0.269 (or later) and followed HRD instructions on updating their existing FT4 QSOs to be adif 3.1.0 compliant, Mode=MFSK, Submode=FT4, need to do the following.

·These instructions apply to HRD 6.7.0.269 (or later) ONLY.

·Upgrade your JTAlert version to 2.16.4 or later.

·Open the JTAlert Settings window.

·Go to the Logging -> HRD V5/V6 section and enable the "This is a version 6.7.0.269 or later adif 3.1 compliant Log" setting.

Users of earlier versions of HRD DO NOT enable this option.

`

·Go to the Logging section and scroll the options to reveal the bottom check-boxes (use the right hand scrollbar). Enable the "Log FT4 as ADIF 3.1.0 compliant..." setting.

Users of earlier versions of HRD DO NOT enable this option.

·Go to the Scan Log & Rebuild section and run a scan all. This is needed to update the different Alert lists (DXCC, State, etc) to now consider the new MFSK/FT4 recorded QSOs.

·NOTE: Any QSOs still in your log that are still set as Mode=FT4 will be ignored by the Scan Log operation. They will need to be updated to MFSK/FT4 after which run the Scan Log again.


Auto-Start Applications

Navigation: »No topics above this level«

Auto-Start Applications

The delay value for an auto-start application is the time JTAlert will wait before starting the next auto-start application.

Delays are often needed so that applications have had time to finish starting and become stable before JTAlert can interact with them. This is especially important for WSJT-X which needs to be running before JTAlert can work with it.


HotKeys

Navigation: »No topics above this level«

HotKeys

Hotkeys will only perform the assigned functions when the JTAlert window is active (has focus).

All hotkey assignments are fixed, they cannot be changed.

Note: DXView rotator hotkeys match the hotkeys defined in DXView for rotating SP and LP. This requires that your QSO partner (DX Call) grid is set within WSJT-X.

Default Hotkey Assignments:

F1 | Open Help file.
F2 | Open Settings window.
F3 | Show Callsigns window.
F4 | Show Decodes window.
F5 | Show Messaging widow.
F6 | Show Call History window.
F7 | Show Alert Types summary window.
F8 | Show Macros window.
F9 |
F10 |
F11 | Show Activity window
F12 | Show Band Heat window
Alt + S | Toggle "Out of shack alert" On/Off
Alt + T | Send WSJT-X "Halt TX" command
Alt + H | Open Browser to HamSpots.net
Alt + Q | Open browser to QRZ.com for QSO partner callsign
Alt + R | Rotate the DXView connected rotator Short-Path
Alt + P | Rotate the DXView connected rotator Long-Path


Macros Window

Macros (Free-Text Messages)

Navigation: »No topics above this level«

Macros (Free-Text Messages)

A simple application that provides 12 to 36 additional macros (free-text messages) for WSJT-X.

Macros are limited to "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+-,/?" and a maximum length of 13 characters, per the JT9/JT65 specs.

Usage:

Clicking any of the buttons will write that buttons text (the macro) into the Free Text field (Tx5) of WSJT-X.

Clicking 2, top right of window, will show or hide the edit area for the macros and setup options.

The mouse-hover tooltip of the macro button displays what text is sent after substitution.

If the macro text is longer than 13 characters after a substitution character is replaced, only the 13 left-most characters are sent.

Setting Options:

Dock to WSJT-X

If docking is enabled, the JTMacros window will automatically adjust in height to match the vertical height of the WSJT-X window and alter the number of macros buttons available.

With docking turned off, the vertical height of the JTMacros can be adjusted using the normal mouse border resizing method.

Don't Activate

The free-text radio button of WSJT-X (Tab2 only) will not be enabled when a macro button is pressed if the "Don't Activate" option is checked. Note: When using Tab1 of WSJT-X, the free-text radio button is always activated.

Single Instance

Only visible for WSJT-X. When running multiple instances of WSJT-X and JTAlert, the Macros window can be run in single instance mode. It will automatically switch to whichever WSJT-X instance is active. The correct macro substitution data (Name, Power, etc) from the JTAlert instance corresponding to the active WSJT-X instance is automatically retrieved and macro buttons updated. Note: Docking must be enabled for single instance mode to work correctly.

Substitution Characters:

Important Note: All substitution characters (except #) take data from JTAlert, so JTAlert must be running for those substitutions to occur, otherwise the substitution character is replaced with empty text. The mouse-hover tooltip of the macro button displays what text is sent after substitution.

# | Replaced by the contents of the # edit field.
@ | Callsign of your current QSO partner.
$ | Name of your current QSO partner (Name field of the JTAlert log entry display).
& | TX Power set in JTAlert Log Fields area.
> | TX Report set in WSJT-X main window.
% | Number of unique worked BANDS (for current TX mode) with your current QSO partner. Includes the current QSO band. Note: JTAlert logging must be enabled.
[ | Number of previously worked JT65 Bands. Note: JTAlert logging must be enabled.
] | Number of previously worked JT9 Bands. Note: JTAlert logging must be enabled.
: | Number of previously worked FT8 Bands. Note: JTAlert logging must be enabled.
= | Number of QSOs (for current TX mode) with your current QSO partner. Includes current QSO. Note: JTAlert logging must be enabled.
{ | Number of previous JT65 QSOs. Note: JTAlert logging must be enabled.
} | Number of previous JT9 QSOs. Note: JTAlert logging must be enabled.
; | Number of previous FT8 QSOs. Note: JTAlert logging must be enabled.


Rebuild Alert Database

Navigation: »No topics above this level«

Rebuild Alert Database

The "Rebuild Alert Database" will update the needed lists of the different Wanted Alert types. Set the Confirmation check-boxes depending on which QSL confirmation type you want for a QSO to be considered no longer needed. If all check-boxes are unchecked then a worked station, without regard to QSL status is sufficient to be no longer needed.

QSL Confirmation Options

The Confirmation check-boxes instruct the Log Scan to look for QSOs that have been confirmed by ANY of the checked QSL options. For example, if you have All three, Card, LoTW, eQSL, checked, than any QSO that is confirmed or verified by ANY of these methods, Card OR LoTW OR eQSL, would be considered as confirmed.

If none of the check-boxes are checked, then the "Rebuild" will consider any logged QSO, even those without any QSL confirmation, as no longer needed.

·For each of the Wanted Alert types, there are 4 simultaneous lists maintained by the "Rebuild", Any mode, JT65, JT9 and any Digital mode, with tracking by band or by any band. You cannot choose which lists are updated during a "Rebuild", they are all updated and maintained, regardless of your preferred tracking requirements.

·The tracking requirements for each Alert are remembered between JTAlert restarts. How you are tracking and Alert type affects what decoded stations will produce an alert. To initially set your tracking or to change, visit each of the Wanted Alerts in the Settings window and set the Band and Modes tracked, per your requirements.

·After running an individual "Rebuild" or a "Rebuild All", which does an automatic scan for all Alert types, the results will highlight in Green any lists that have changed from the current, in memory, lists. The first time run, most will highlight since all the lists will initially be empty.


Station Callsign

Navigation: »No topics above this level«

Station Callsign

The Station Callsign is recorded with each logged QSO and should be the same as setup in WSJT-X. It is also used when sending spots to HamSpots.net and when sending text messages to other JTAlert users.

To change your Station Callsign and copy Configuration, Session and Log files, JTAlert must not be running. Use the ChangeStationCall.exe file located in your JTAlert installation directory to make the required changes.

Desktop Shortcut

JTAlert can be started to use a different callsign than the current Station callsign. This can be used for guest operators. A suitable shortcut will be created on the Windows Desktop. Each callsign will have independent settings and wanted lists.


Settings

Navigation: »No topics above this level«

Settings

Under Construction


Alerts

Navigation: Settings >

Alerts

Under Construction


Miscellaneous Alerts

Navigation: Settings > Alerts >

Miscellaneous Alerts

Enter topic text here.


Ignored Callsign

Navigation: Settings > Alerts > Miscellaneous Alerts >

Ignored Callsign

Import File Format:

Single line comma separated list of callsigns. eg. calls,call2,call3,...


Wanted Callsign

Navigation: Settings > Alerts > Miscellaneous Alerts >

Wanted Callsign

Import File Format:

Single line comma separated list of callsigns. eg. calls,call2,call3,...

Wild Card Matching:

·Matching against the start of a Callsign only.

·Only a single wildcard character "%" is allowed

·The wildcard is only supported as the last character

·"VK3%" is valid

·"VK%AMA", "VK%A%A", "%AMA" are all invalid.

Important : Wildcard matching is an expensive task, processing wise, and can lead to delays in decode alerting if there are many wildcards defined, especially if there are many decodes to process on a busy band. It is recommended that the number of wildcard filters be kept to a minimum, preferably less than 20.


Start TX Period

Navigation: Settings > Alerts > Miscellaneous Alerts >

Start TX Period

This Alert is generated at the start of the WSJT-X TX period. That is when WSJT-X first starts transmitting.

This is only available when running WSJT-X 1.6 or later and when the UDP options are enabled.


RX Frequency

Navigation: Settings > Alerts > Miscellaneous Alerts >

RX Frequency

Generates an audio only alert when a decode is detected at your current RX frequency (+- the range frequency) and the decode doesn't generate any of the other enabled alerts (typically a free-text decode).


TX Watchdog Triggered

Navigation: Settings > Alerts > Miscellaneous Alerts >

TX Watchdog Triggered

This Alert is generated when the WSJT-X Runaway TX Watchdog is triggered.

This is only available when running WSJT-X 1.7 or later.


User Defined Alert

Navigation: Settings > Alerts > Miscellaneous Alerts >

User Defined Alert

Execute a user defined file, typically a batch, script or executable file, in response to enabled alert conditions. JTAlert populates environment variables with Alert data which can be read by the application file that is executed.

A sample batch file using the CMail.exe command-line smtp mailer is available in the Tutorials section of this help file.

Important: Application file executions are queued during the JTAlert decode processing period and executed at the 10 second mark into the new minute.

Alert Triggers

Alert triggers are independent of the Alert triggers enabled in the main JTAlert program. For example, you may have the Wanted Grid alert enabled in JTAlert, but disabled for the User Defined Alert, so avoiding unwanted activation of your file if a Wanted Grid is triggered.

The Obey Alert Filters setting, when enabled, will ensure that these User Defined Alerts pass any Alert Filters set. For example, if the "LoTW Only" filter is set, a User Defined Alert will be executed only if the decode Callsign is a known LoTW member. If not an LoTW member, then the User Defined Alert will be ignored and not executed.

Alert Repeat

When a decode produces a User Defined Alert, it is given an ID which is constructed from The Decode Callsign, the AlertType number and the Value that triggered the alert. For example, AlertTrigger will be the 2 character US State abbreviation when a "Wanted State" alert is decoded.

When an Alert is triggered and executed, the ID and the time of execution are recorded.

When an new Alert is triggered, the ID is checked to see if that ID has previously been alerted (that is application file executed), if it has, the time elapsed must be greater than the "Repeat Interval" setting for the alert to be executed again.

The "Ignore Callsign of Alert Trigger" setting, when enabled, causes the above mention ID to be constructed without regard to the decoded Callsign. This means that multiple Alerts of the same AlertType and AlertTrigger will only result in a single application execution.

For example, with "Ignore Callsign..." unchecked, two decodes from two stations from the same "Wanted State" will cause two application executions. If the "Ignore Callsign..." is checked, then only one application execution will result.

Alert Application

The Alert Application is typically a batch, script or executable file. Configuring this file is left to the user to perform.

The Parameters section is typically left blank as all alert data is passed to the Application File via environment variables. The Parameters section can be set with any data that the user wants passed to their Application File. These is no validation or checking of this data, it is provided as a convenience.

A sample email batch file that has been tested is provided, but it still requires some configuration (SMTP settings) that need to be completed by the user.

Important: Support for setup or debugging of an application file is not provided by the JTAlert author.

Environment variables

JTAlert_AlertNo | A number representing the type of Alert triggered.
JTAlert_AlertType | Description or the Alert triggered. eg. "Wanted State". Obeys JTAlert language setting.
JTAlert_AlertTrigger | The value that cased the Alert trigger. eg. the State of a "Wanted State" trigger.
JTAlert_Decode | Decode text.
JTAlert_Call | Callsign of station decoded.
JTAlert_Date | UTC Date of decode (YYYY-MM-DD)
JTAlert_Time | UTC Time of decode (hh:mm)
JTAlert_Band | Band
JTAlert_Mode | Mode
JTAlert_QRG | QRG in kHz
JTAlert_DF | DF in Hz
JTAlert_DB | Signal Strength
JTAlert_DXCC | DXCC number
JTAlert_Country | Country name
JTAlert_MthonCountry | Marathon (WAE) Country name.
JTAlert_CQZone | CQ Zone number
JTAlert_Continent | Continent
JTAlert_State | US State
JTAlert_Province | VE Province
JTAlert_Grid | Grid square (4 char only)
JTAlert_IsFFMAGrid | Is an FFMA grid
JTAlert_Prefix | Prefix of Callsign
JTAlert_IsAtnoDxcc | Is this an ATNO (All Time New One) DXCC
JTAlert_IsAtnoState | Is this an ATNO US State
JTAlert_IsAtnoProvince | Is this an ATNO VE Province
JTAlert_Bearing | Short-path bearing to received Station.
JTAlert_Distance | Short-path distance to received Station. km or miles depending on JTAlert setting.
JTAlert_Eqsl | Is a known eQSL(AG) member.
JTAlert_Lotw | Is a known LoTW member.
JTAlert_LotwDate | Last known upload date to LoTW (YYYY-MM-DD)

JTAlert_AlertNo values

0 | Test Alert
1 | Wanted Callsign
2 | Wanted DXCC
3 | Wanted Continent
4 | Wanted US State
5 | Wanted CQ Zone
6 | Wanted Prefix
7 | Wanted Grid
8 | Wanted Marathon Zone
9 | Wanted Marathon Country
10 | Wanted VE Province

Note: If a decode causes both the Marathon Zone and Marathon Country triggers, then the Zone will take precedence. That is, the AlertNo will be 8 and the CQ Zone will be used as the AlertTrigger.


Blocked Spotting to HamSpots.net

Navigation: »No topics above this level«

Blocked Spotting to HamSpots.net

Callsigns that post spots on the wrong Band for an extended period will have their spots automatically removed from the incoming spot feeds and will not be displayed. Their Callsign will be placed on the Blocked List.

These Bad Spots are typically from users with their software setup to auto-spot all decoded Callsigns and failing to ensure the software is reporting the correct Band.

Open your browser to the https://hamspots.net/blocked/ page. If your Callsign is listed as being on the Block List, you can use the "Remove" button. You need to be logged in for the button to be visible.


Multiiple Instances

Multiple Instances

Navigation: »No topics above this level«

Multiple Instances

·Maximum of 16 instances

·Instance number is shown in titlebar of JTAlert. [#1], [#2], [#3], etc

·WSJT-X instances must be running before starting JTAlert

·JTAlert window position for each instance is remembered between restarts

·Logging is available across all instances. ** there are ADIF logging limitations and it is highly recommended that this logging type not be used when running multiple instances.

Actions restricted to first instance.

·Open Settings Window

·Receiving Text Messages

·Starting Auto-Start applications.

Important:

·Each JTAlert instance shares the same configuration file, so setting changes made in one running instance may NOT be reflected in the other running instances (it depends on the actual setting changed).

·If doing a "Rebuild Alert Database", this should only be done while running a single instance.

·DO NOT attempt to update the Callsign databases while running more than one JTAlert instance.

·Running multiple copies of JTAlert against both WSJT-X and JTDX simultaneously is not supported. You can run multiple instances of JTAlert against either WSJT-X OR JTDX only. Both types of applications can be running simultaneously on the PC, but only one JTAlert operating mode (against WSJT-X or JTDX) is allowed.


XML Lookup Online Callbooks

Navigation: »No topics above this level«

XML Lookup Online Callbooks :

An online Callbook lookup is automatically performed whenever the WSJT-X "DX Call" value changes. That is, whenever the callsign of your current QSO partner changes.

Data retrieved from the lookup will populate the different log fields of JTAlert. If the log fields are already populated with data from a previous logged QSO for the Callsign then the lookup data is not used and only empty fields will be populated.

The lookup is done as a separate background process from the main JTAlert process, ensuring that JTAlert is not affected by a non-responding server of lack of Internet connectivity. If the Callbook server is very slow or not responding, the lookup will fail and no result returned.


QSO Upload to Online Logbooks

Navigation: »No topics above this level«

QSO Upload to Online Logbooks :

After logging a QSO (remember the WSJT-X "Log QSO" button must be used), the QSO can be automatically uploaded to an online logbook.

The upload is done as a separate background process from the main JTAlert process, ensuring that JTAlert is not affected by a non-responding server of lack of Internet connectivity. The upload is done blind and no attempt is made to check that the the success or failure of the upload.


Text Messages

Navigation: »No topics above this level«

Text Messages :

Send a short (2048 character max) text message to another JTAlert user.

Activate by mouse right-click on a decoded callsign, replying to a text message or use the hotkey (F5).

·Messages are sent blind, there is no attempt to confirm a successful delivery.

·The recipient station may not be using JTAlert or may have messages turned off.

·Uncollected text messages are automatically removed from the Server after 12 hours.

Suggested Uses..

·Thanking for QSO, New State, DXCC etc.

·Advising their Clock is off.

·Advising their auto-spotting on wrong band.

·Advising another station is QRMing their signal.

·Requesting a Band Change.


Decodes History

Navigation: »No topics above this level«

Decodes History

Display decodes for the current running instance of JTAlert.

A single database file holds decodes from all running instances of JTAlert. The Export, Backup & Delete buttons work on all records, that is all instance decodes, not the current instance and are only visible on the first instance, [#1]..

Callsign LoTW and eQSL Stripes/flags.

·Font and background colors match those used for the main JTAlert window.

·The visibility setting of these is independent of the settings used for the main JTAlert window.

Alerts horizontal histogram display - number of bars equals the number of "Wanted" alerts triggered by the decode. The more bars (max 7) shown, the greater the importance in trying to work that Station.

Two display windows, minimum and maximum.

Statistics are updated at 10 seconds into the current minute (this is too avoid processor intensive database queries interrupting new decodes processing and alerting).

In the Statistics area, the three counts displayed between square brackets represent the JT65, JT9 and FT8 counts respectively.

Scroll with mouse-wheel or the Up and Down Cursor keys when vertical scrollbar is not visible (min width display).

Abbreviated Column Headings:

CQM | CQ Marathon Alert. C = Wanted Country. Z = Wanted Zone. CZ = Wanted Country and Zone.
St | State (US only)
L | Lotw Member
E | eQSL(AG) Member
SP | Short Path Heading

Buttons:

¾ | Clear decodes list. (Does not clear the database, only the visible decodes list)
; | Pause updating of decodes list.
~ | Refresh display. Reload decodes list from database and cancels pause.
2 | Expand / Shrink window. Expand the window to view the statistics area and additional toolbar buttons. The position of both window sizes are independent and remembered between JTAlert restarts.
 | Export decodes to daily csv files Note: Only visible on first instance.
< | Backup the decodes sqlite database file. Note: Only visible on first instance.
r | Delete old decodes. Only the decodes for the current UTC day are kept. Note: Only visible on first instance.
¤ | Open Settings window to the Decodes History section.
s | Open Help file.